Subversion Repositories svn LFS-FR

Compare Revisions

Ignore whitespace Rev 547 → Rev 548

/trunk/blfs/gnome/gnome.ent
File deleted
/trunk/blfs/gnome/gnome.xml
1,11 → 1,17
<?xml version="1.0" encoding="ISO-8859-1"?>
<part id="gnome" xreflabel="gnome">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../general.ent">
%general-entities;
]>
 
<part id="gnome" xreflabel="GNOME">
<?dbhtml filename="gnome.html" dir="gnome"?>
<title>GNOME</title>
 
&gnome-intro;
&gnome-core;
&gnome-add;
&gnome-otherlibs;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-intro.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="core/core.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="add/add.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="otherlibs/otherlibs.xml"/>
 
</part>
/trunk/blfs/gnome/add/libgtkhtml.xml
File deleted
/trunk/blfs/gnome/add/gtkhtml/gtkhtml.ent
File deleted
/trunk/blfs/gnome/add/gtkhtml/gtkhtml-intro.xml
File deleted
/trunk/blfs/gnome/add/gtkhtml/gtkhtml-inst.xml
File deleted
/trunk/blfs/gnome/add/gtkhtml/gtkhtml-desc.xml
File deleted
/trunk/blfs/gnome/add/at-spi/at-spi.ent
File deleted
/trunk/blfs/gnome/add/at-spi/at-spi-intro.xml
File deleted
/trunk/blfs/gnome/add/at-spi/at-spi-exp.xml
File deleted
/trunk/blfs/gnome/add/at-spi/at-spi-inst.xml
File deleted
/trunk/blfs/gnome/add/at-spi/at-spi-desc.xml
File deleted
/trunk/blfs/gnome/add/yelp.xml
File deleted
/trunk/blfs/gnome/add/nautilus-media/nautilus-media.ent
File deleted
/trunk/blfs/gnome/add/nautilus-media/nautilus-media-intro.xml
File deleted
/trunk/blfs/gnome/add/nautilus-media/nautilus-media-exp.xml
File deleted
/trunk/blfs/gnome/add/nautilus-media/nautilus-media-inst.xml
File deleted
/trunk/blfs/gnome/add/nautilus-media/nautilus-media-desc.xml
File deleted
/trunk/blfs/gnome/add/gal/gal-inst.xml
File deleted
/trunk/blfs/gnome/add/gal/gal-desc.xml
File deleted
/trunk/blfs/gnome/add/gal/gal.ent
File deleted
/trunk/blfs/gnome/add/gal/gal-intro.xml
File deleted
/trunk/blfs/gnome/add/gpdf/gpdf-exp.xml
File deleted
/trunk/blfs/gnome/add/gpdf/gpdf-inst.xml
File deleted
/trunk/blfs/gnome/add/gpdf/gpdf-desc.xml
File deleted
/trunk/blfs/gnome/add/gpdf/gpdf.ent
File deleted
/trunk/blfs/gnome/add/gpdf/gpdf-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-games/gnome-games.ent
File deleted
/trunk/blfs/gnome/add/gnome-games/gnome-games-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-games/gnome-games-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome-games/gnome-games-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-games/gnome-games-desc.xml
File deleted
/trunk/blfs/gnome/add/gnopernicus/gnopernicus.ent
File deleted
/trunk/blfs/gnome/add/gnopernicus/gnopernicus-intro.xml
File deleted
/trunk/blfs/gnome/add/gnopernicus/gnopernicus-exp.xml
File deleted
/trunk/blfs/gnome/add/gnopernicus/gnopernicus-inst.xml
File deleted
/trunk/blfs/gnome/add/gnopernicus/gnopernicus-desc.xml
File deleted
/trunk/blfs/gnome/add/gnome-utils/gnome-utils.ent
File deleted
/trunk/blfs/gnome/add/gnome-utils/gnome-utils-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-utils/gnome-utils-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome-utils/gnome-utils-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-utils/gnome-utils-desc.xml
File deleted
/trunk/blfs/gnome/add/gedit/gedit-intro.xml
File deleted
/trunk/blfs/gnome/add/gedit/gedit-exp.xml
File deleted
/trunk/blfs/gnome/add/gedit/gedit-inst.xml
File deleted
/trunk/blfs/gnome/add/gedit/gedit-desc.xml
File deleted
/trunk/blfs/gnome/add/gedit/gedit.ent
File deleted
/trunk/blfs/gnome/add/yelp/yelp-exp.xml
File deleted
/trunk/blfs/gnome/add/yelp/yelp-inst.xml
File deleted
/trunk/blfs/gnome/add/yelp/yelp-desc.xml
File deleted
/trunk/blfs/gnome/add/yelp/yelp.ent
File deleted
/trunk/blfs/gnome/add/yelp/yelp-intro.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprintui/libgnomeprintui-inst.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprintui/libgnomeprintui-desc.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprintui/libgnomeprintui.ent
File deleted
/trunk/blfs/gnome/add/libgnomeprintui/libgnomeprintui-intro.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprintui/libgnomeprintui-exp.xml
File deleted
/trunk/blfs/gnome/add/epiphany/epiphany.ent
File deleted
/trunk/blfs/gnome/add/epiphany/epiphany-intro.xml
File deleted
/trunk/blfs/gnome/add/epiphany/epiphany-exp.xml
File deleted
/trunk/blfs/gnome/add/epiphany/epiphany-inst.xml
File deleted
/trunk/blfs/gnome/add/epiphany/epiphany-desc.xml
File deleted
/trunk/blfs/gnome/add/gcalctool/gcalctool-intro.xml
File deleted
/trunk/blfs/gnome/add/gcalctool/gcalctool-exp.xml
File deleted
/trunk/blfs/gnome/add/gcalctool/gcalctool-inst.xml
File deleted
/trunk/blfs/gnome/add/gcalctool/gcalctool-desc.xml
File deleted
/trunk/blfs/gnome/add/gcalctool/gcalctool.ent
File deleted
/trunk/blfs/gnome/add/gnome2-user-docs.xml
File deleted
/trunk/blfs/gnome/add/gnome-mag/gnome-mag-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-mag/gnome-mag-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-mag/gnome-mag-desc.xml
File deleted
/trunk/blfs/gnome/add/gnome-mag/gnome-mag.ent
File deleted
/trunk/blfs/gnome/add/bug-buddy/bug-buddy.ent
File deleted
/trunk/blfs/gnome/add/bug-buddy/bug-buddy-intro.xml
File deleted
/trunk/blfs/gnome/add/bug-buddy/bug-buddy-exp.xml
File deleted
/trunk/blfs/gnome/add/bug-buddy/bug-buddy-inst.xml
File deleted
/trunk/blfs/gnome/add/bug-buddy/bug-buddy-desc.xml
File deleted
/trunk/blfs/gnome/add/gnome-speech/gnome-speech.ent
File deleted
/trunk/blfs/gnome/add/gnome-speech/gnome-speech-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-speech/gnome-speech-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-speech/gnome-speech-desc.xml
File deleted
/trunk/blfs/gnome/add/gconf-editor/gconf-editor.ent
File deleted
/trunk/blfs/gnome/add/gconf-editor/gconf-editor-intro.xml
File deleted
/trunk/blfs/gnome/add/gconf-editor/gconf-editor-inst.xml
File deleted
/trunk/blfs/gnome/add/gconf-editor/gconf-editor-desc.xml
File deleted
/trunk/blfs/gnome/add/gnome2-user-docs/gnome2-user-docs.ent
File deleted
/trunk/blfs/gnome/add/gnome2-user-docs/gnome2-user-docs-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome2-user-docs/gnome2-user-docs-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome2-user-docs/gnome2-user-docs-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome2-user-docs/gnome2-user-docs-desc.xml
File deleted
/trunk/blfs/gnome/add/eog/eog.ent
File deleted
/trunk/blfs/gnome/add/eog/eog-intro.xml
File deleted
/trunk/blfs/gnome/add/eog/eog-exp.xml
File deleted
/trunk/blfs/gnome/add/eog/eog-inst.xml
File deleted
/trunk/blfs/gnome/add/eog/eog-desc.xml
File deleted
/trunk/blfs/gnome/add/zenity/zenity-intro.xml
File deleted
/trunk/blfs/gnome/add/zenity/zenity-exp.xml
File deleted
/trunk/blfs/gnome/add/zenity/zenity-inst.xml
File deleted
/trunk/blfs/gnome/add/zenity/zenity-desc.xml
File deleted
/trunk/blfs/gnome/add/zenity/zenity.ent
File deleted
/trunk/blfs/gnome/add/gnomemeeting/gnomemeeting.ent
File deleted
/trunk/blfs/gnome/add/gnomemeeting/gnomemeeting-intro.xml
File deleted
/trunk/blfs/gnome/add/gnomemeeting/gnomemeeting-exp.xml
File deleted
/trunk/blfs/gnome/add/gnomemeeting/gnomemeeting-inst.xml
File deleted
/trunk/blfs/gnome/add/gnomemeeting/gnomemeeting-desc.xml
File deleted
/trunk/blfs/gnome/add/gok/gok.ent
File deleted
/trunk/blfs/gnome/add/gok/gok-intro.xml
File deleted
/trunk/blfs/gnome/add/gok/gok-exp.xml
File deleted
/trunk/blfs/gnome/add/gok/gok-inst.xml
File deleted
/trunk/blfs/gnome/add/gok/gok-desc.xml
File deleted
/trunk/blfs/gnome/add/file-roller/file-roller.ent
File deleted
/trunk/blfs/gnome/add/file-roller/file-roller-intro.xml
File deleted
/trunk/blfs/gnome/add/file-roller/file-roller-exp.xml
File deleted
/trunk/blfs/gnome/add/file-roller/file-roller-inst.xml
File deleted
/trunk/blfs/gnome/add/file-roller/file-roller-desc.xml
File deleted
/trunk/blfs/gnome/add/ggv/ggv-inst.xml
File deleted
/trunk/blfs/gnome/add/ggv/ggv-desc.xml
File deleted
/trunk/blfs/gnome/add/ggv/ggv.ent
File deleted
/trunk/blfs/gnome/add/ggv/ggv-intro.xml
File deleted
/trunk/blfs/gnome/add/ggv/ggv-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome-netstatus/gnome-netstatus-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-netstatus/gnome-netstatus-desc.xml
File deleted
/trunk/blfs/gnome/add/gnome-netstatus/gnome-netstatus.ent
File deleted
/trunk/blfs/gnome/add/gnome-netstatus/gnome-netstatus-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-netstatus/gnome-netstatus-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome-system-monitor/gnome-system-monitor-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-system-monitor/gnome-system-monitor-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome-system-monitor/gnome-system-monitor-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-system-monitor/gnome-system-monitor-desc.xml
File deleted
/trunk/blfs/gnome/add/gnome-system-monitor/gnome-system-monitor.ent
File deleted
/trunk/blfs/gnome/add/gnome-media/gnome-media.ent
File deleted
/trunk/blfs/gnome/add/gnome-media/gnome-media-intro.xml
File deleted
/trunk/blfs/gnome/add/gnome-media/gnome-media-exp.xml
File deleted
/trunk/blfs/gnome/add/gnome-media/gnome-media-inst.xml
File deleted
/trunk/blfs/gnome/add/gnome-media/gnome-media-desc.xml
File deleted
/trunk/blfs/gnome/add/gtksourceview/gtksourceview-intro.xml
File deleted
/trunk/blfs/gnome/add/gtksourceview/gtksourceview-inst.xml
File deleted
/trunk/blfs/gnome/add/gtksourceview/gtksourceview-desc.xml
File deleted
/trunk/blfs/gnome/add/gtksourceview/gtksourceview.ent
File deleted
/trunk/blfs/gnome/add/gdm/gdm-config.xml
File deleted
/trunk/blfs/gnome/add/gdm/gdm.ent
File deleted
/trunk/blfs/gnome/add/gdm/gdm-intro.xml
File deleted
/trunk/blfs/gnome/add/gdm/gdm-exp.xml
File deleted
/trunk/blfs/gnome/add/gdm/gdm-inst.xml
File deleted
/trunk/blfs/gnome/add/gdm/gdm-desc.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprint/libgnomeprint.ent
File deleted
/trunk/blfs/gnome/add/libgnomeprint/libgnomeprint-intro.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprint/libgnomeprint-exp.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprint/libgnomeprint-inst.xml
File deleted
/trunk/blfs/gnome/add/libgnomeprint/libgnomeprint-desc.xml
File deleted
/trunk/blfs/gnome/add/nautilus-cd-burner/nautilus-cd-burner.ent
File deleted
/trunk/blfs/gnome/add/nautilus-cd-burner/nautilus-cd-burner-intro.xml
File deleted
/trunk/blfs/gnome/add/nautilus-cd-burner/nautilus-cd-burner-exp.xml
File deleted
/trunk/blfs/gnome/add/nautilus-cd-burner/nautilus-cd-burner-inst.xml
File deleted
/trunk/blfs/gnome/add/nautilus-cd-burner/nautilus-cd-burner-desc.xml
File deleted
/trunk/blfs/gnome/add/libgtkhtml/libgtkhtml.ent
File deleted
/trunk/blfs/gnome/add/libgtkhtml/libgtkhtml-intro.xml
File deleted
/trunk/blfs/gnome/add/libgtkhtml/libgtkhtml-inst.xml
File deleted
/trunk/blfs/gnome/add/libgtkhtml/libgtkhtml-desc.xml
File deleted
/trunk/blfs/gnome/add/gucharmap/gucharmap-intro.xml
File deleted
/trunk/blfs/gnome/add/gucharmap/gucharmap-exp.xml
File deleted
/trunk/blfs/gnome/add/gucharmap/gucharmap-inst.xml
File deleted
/trunk/blfs/gnome/add/gucharmap/gucharmap-desc.xml
File deleted
/trunk/blfs/gnome/add/gucharmap/gucharmap.ent
File deleted
/trunk/blfs/gnome/add/gok.xml
1,11 → 1,120
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gok-download-http "http://ftp.gnome.org/pub/GNOME/sources/gok/0.11/gok-&gok-version;.tar.bz2">
<!ENTITY gok-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gok/0.11/gok-&gok-version;.tar.bz2">
<!ENTITY gok-md5sum "6bfe9d4efb35ae20ef1c05c191dc8ad7">
<!ENTITY gok-size "1.2 MB">
<!ENTITY gok-buildsize "37 MB">
<!ENTITY gok-time "0.59 SBU">
]>
 
<sect1 id="gok" xreflabel="GOK-&gok-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gok.html"?>
<title>GOK-&gok-version;</title>
 
&gok-intro;
&gok-inst;
&gok-exp;
&gok-desc;
<sect2>
<title>Introduction to <application><acronym>GOK</acronym></application></title>
 
<para><application><acronym>GOK</acronym></application> is a dynamic onscreen
keyboard. It features Direct Selection, Dwell Selection, Automatic Scanning
and Inverse Scanning access methods and includes word completion.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gok-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gok-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gok-md5sum;</para></listitem>
<listitem><para>Download size: &gok-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gok-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gok-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GOK</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/>,
<xref linkend="libwnck"/>,
<xref linkend="at-spi"/> and
<xref linkend="gnome-speech"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GOK</acronym></application></title>
 
<para>Install <application><acronym>GOK</acronym></application> by running
the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
chmod 644 `pkg-config --variable=prefix ORBit-2.0`\
/share/gnome/help/gok/C/*.xml</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application><acronym>GOK</acronym></application></title>
 
<sect3><title>Configuration Information</title>
<para>It is recommended that you configure your input device as an
<quote>Extended</quote> input device. Exact configuration methods depend on
the type of hardware attached to your system. See the
<filename>README</filename> file in the package source tree and
<application><acronym>GOK</acronym></application> Help for information on how
to configure your input device.</para>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GOK</acronym></application> package contains
<command>gok</command> and <command>create-branching-keyboard</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gok</title>
<para><command>gok</command> is a dynamic onscreen keyboard
utility.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gconf-editor.xml
1,11 → 1,97
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gconf-editor-download-http "http://ftp.gnome.org/pub/GNOME/sources/gconf-editor/&gnome-version;/gconf-editor-&gconf-editor-version;.tar.bz2">
<!ENTITY gconf-editor-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gconf-editor/&gnome-version;/gconf-editor-&gconf-editor-version;.tar.bz2">
<!ENTITY gconf-editor-md5sum "193d5970b570366fd435b2b7ebdd8047">
<!ENTITY gconf-editor-size "510 KB">
<!ENTITY gconf-editor-buildsize "8.7 MB">
<!ENTITY gconf-editor-time "0.10 SBU">
]>
 
<sect1 id="gconf-editor" xreflabel="GConf Editor-&gconf-editor-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gconf-editor.html"?>
<title>GConf Editor-&gconf-editor-version;</title>
 
&gconf-editor-intro;
&gconf-editor-inst;
&gconf-editor-desc;
<sect2>
<title>Introduction to <application>GConf Editor</application></title>
 
<para>The <application>GConf Editor</application> package contains a
<acronym>GUI</acronym> editor for the <application>GConf</application>
configuration database.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gconf-editor-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gconf-editor-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gconf-editor-md5sum;</para></listitem>
<listitem><para>Download size: &gconf-editor-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gconf-editor-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gconf-editor-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GConf Editor</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GConf Editor</application></title>
 
<para>Install <application>GConf Editor</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
<application>GConf</application> schema files in
<filename class='directory'>/etc/gnome/gconf/schemas</filename> instead of
<filename class='directory'>$GNOME_PREFIX/etc/gconf/schemas</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GConf Editor</application> package contains
<command>gconf-editor</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gconf-editor</title>
<para><command>gconf-editor</command> allows direct modification of the
<application>GConf</application> configuration database.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/nautilus-media.xml
1,12 → 1,107
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY nautilus-media-download-http "http://ftp.gnome.org/pub/GNOME/sources/nautilus-media/0.8/nautilus-media-&nautilus-media-version;.tar.bz2">
<!ENTITY nautilus-media-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/nautilus-media/0.8/nautilus-media-&nautilus-media-version;.tar.bz2">
<!ENTITY nautilus-media-md5sum "4ad604430b213a899c1217f5f4633887">
<!ENTITY nautilus-media-size "418 KB">
<!ENTITY nautilus-media-buildsize "7.9 MB">
<!ENTITY nautilus-media-time "0.22 SBU">
]>
 
<sect1 id="nautilus-media" xreflabel="Nautilus Media-&nautilus-media-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="nautilus-media.html"?>
<title>Nautilus Media-&nautilus-media-version;</title>
 
&nautilus-media-intro;
&nautilus-media-inst;
&nautilus-media-exp;
&nautilus-media-desc;
<sect2>
<title>Introduction to <application>Nautilus Media</application></title>
 
<para>The <application>Nautilus Media</application> package contains
<application><acronym>GNOME</acronym></application>'s media applications
used by <command>nautilus</command>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&nautilus-media-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&nautilus-media-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &nautilus-media-md5sum;</para></listitem>
<listitem><para>Download size: &nautilus-media-size;</para></listitem>
<listitem><para>Estimated disk space required:
&nautilus-media-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&nautilus-media-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Nautilus Media</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gstreamer"/> and <xref linkend="nautilus"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Nautilus Media</application></title>
 
<para>Install <application>Nautilus Media</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Nautilus Media</application> package contains
<command>gst-thumbnail</command>,
<command>nautilus-audio-view</command> and support libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gst-thumbnail</title>
<para><command>gst-thumbnail</command> thumbnails video files for
<application>Nautilus</application>.</para></sect3>
 
<sect3><title>nautilus-audio-view</title>
<para><command>nautilus-audio-view</command> displays a directory as audio
tracks.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/bug-buddy.xml
1,12 → 1,97
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY bug-buddy-download-http "http://ftp.gnome.org/pub/GNOME/sources/bug-buddy/&gnome-version;/bug-buddy-&bug-buddy-version;.tar.bz2">
<!ENTITY bug-buddy-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/bug-buddy/&gnome-version;/bug-buddy-&bug-buddy-version;.tar.bz2">
<!ENTITY bug-buddy-md5sum "b4c90bb9e1762803d083026b000349ea">
<!ENTITY bug-buddy-size "711 KB">
<!ENTITY bug-buddy-buildsize "12 MB">
<!ENTITY bug-buddy-time "0.08 SBU">
]>
 
<sect1 id="bug-buddy" xreflabel="bug-buddy-&bug-buddy-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="bug-buddy.html"?>
<title>bug-buddy-&bug-buddy-version;</title>
 
&bug-buddy-intro;
&bug-buddy-inst;
&bug-buddy-exp;
&bug-buddy-desc;
<sect2>
<title>Introduction to <application>bug-buddy</application></title>
 
<para>The <application>bug-buddy</application> package contains a graphical
bug reporting tool. This can extract debugging information from a core file
or crashed application.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&bug-buddy-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&bug-buddy-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &bug-buddy-md5sum;</para></listitem>
<listitem><para>Download size: &bug-buddy-size;</para></listitem>
<listitem><para>Estimated disk space required:
&bug-buddy-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&bug-buddy-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>bug-buddy</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-desktop"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>bug-buddy</application></title>
 
<para>Install <application>bug-buddy</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
<application>GConf</application> schema files in
<filename class='directory'>/etc/gnome</filename> instead of
<filename class='directory'>$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>bug-buddy</application> package contains
<command>bug-buddy</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>bug-buddy</title>
<para><command>bug-buddy</command> is a graphical bug reporting
system.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/zenity.xml
1,11 → 1,103
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY zenity-download-http "http://ftp.gnome.org/pub/GNOME/sources/zenity/&gnome-version;/zenity-&zenity-version;.tar.bz2">
<!ENTITY zenity-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/zenity/&gnome-version;/zenity-&zenity-version;.tar.bz2">
<!ENTITY zenity-md5sum "a566a88b88c8f530939e900539cb8d28">
<!ENTITY zenity-size "731 KB">
<!ENTITY zenity-buildsize "7.8 MB">
<!ENTITY zenity-time "0.06 SBU">
]>
 
<sect1 id="zenity" xreflabel="Zenity-&zenity-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="zenity.html"?>
<title>Zenity-&zenity-version;</title>
 
&zenity-intro;
&zenity-inst;
&zenity-exp;
&zenity-desc;
<sect2>
<title>Introduction to <application>Zenity</application></title>
 
<para><application>Zenity</application> is a rewrite of
<application>gdialog</application>, the
<application><acronym>GNOME</acronym></application> port of
<application>dialog</application> which allows you to display
<application><acronym>GTK</acronym>+</application> dialog boxes from the
command line and shell scripts.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&zenity-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&zenity-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &zenity-md5sum;</para></listitem>
<listitem><para>Download size: &zenity-size;</para></listitem>
<listitem><para>Estimated disk space required:
&zenity-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&zenity-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Zenity</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="intltool"/>,
<xref linkend="popt"/>,
<xref linkend="libgnomecanvas"/> and
<xref linkend="scrollkeeper"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Zenity</application></title>
 
<para>Install <application>Zenity</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Zenity</application> package contains
<command>gdialog</command> and
<command>zenity</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gdialog</title>
<para><command>gdialog</command> is a <application>Perl</application> wrapper
script which can be used with legacy scripts.</para></sect3>
 
<sect3><title>zenity</title>
<para><command>zenity</command> is a program that will display
<application><acronym>GTK</acronym>+</application> dialogs, and return
the user's input.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/ggv.xml
1,12 → 1,108
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="ggv" xreflabel="ggv-&ggv-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY ggv-download-http "http://ftp.gnome.org/pub/GNOME/sources/ggv/&gnome-version;/ggv-&ggv-version;.tar.bz2">
<!ENTITY ggv-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ggv/&gnome-version;/ggv-&ggv-version;.tar.bz2">
<!ENTITY ggv-md5sum "1a8e9e43ef793ef3221c5afb15d14a81">
<!ENTITY ggv-size "1.3 MB">
<!ENTITY ggv-buildsize "21.2 MB">
<!ENTITY ggv-time "0.31 SBU">
]>
 
<sect1 id="ggv" xreflabel="GGV-&ggv-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="ggv.html"?>
<title>ggv-&ggv-version;</title>
<title><application><acronym>GGV</acronym></application>-&ggv-version;</title>
 
&ggv-intro;
&ggv-inst;
&ggv-exp;
&ggv-desc;
<sect2>
<title>Introduction to <application><acronym>GGV</acronym></application></title>
 
<para>The <application><acronym>GGV</acronym></application> package contains
a PostScript file viewer.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP):
<ulink url="&ggv-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&ggv-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &ggv-md5sum;</para></listitem>
<listitem><para>Download size: &ggv-size;</para></listitem>
<listitem><para>Estimated disk space required:
&ggv-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&ggv-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GGV</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/> and
<xref linkend="espgs"/> or <xref linkend="gs"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="cups"/> or <xref linkend="LPRng"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GGV</acronym></application></title>
 
<para>Install <application><acronym>GGV</acronym></application> by running
the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GGV</acronym></application> package contains
<command>ggv</command> and <command>ggv-postscript-viewer</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>ggv</title>
<para><command>ggv</command> is a
<application><acronym>GNOME</acronym></application> 2 based PostScript
viewer.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/add.xml
1,44 → 1,52
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="gnome-add">
<?dbhtml filename="add.html"?>
<title>Additional GNOME Packages</title>
<title>GNOME Additional Packages</title>
 
<para>These packages are modular and add desktop applications to the
<application><acronym>GNOME</acronym></application> environment. Feel free to install them on an as needed or
as wanted basis.</para>
<para>These packages are modular and add desktop applications and assorted
utilites to the <application><acronym>GNOME</acronym></application>
environment. Feel free to install them on an as needed or as desired
basis.</para>
 
&libgnomeprint;
&libgnomeprintui;
&gal;
&gtkhtml;
&libgtkhtml;
&yelp;
&bug-buddy;
&gtksourceview;
&gedit;
&eog;
&ggv;
&file-roller;
&gconf-editor;
&gnome-utils;
&gnome-system-monitor;
&gnome-media;
&nautilus-media;
&gnome-netstatus;
&gcalctool;
&gpdf;
&gucharmap;
&nautilus-cd-burner;
&zenity;
&gnome-speech;
&at-spi;
&gnome-mag;
&gnopernicus;
&gok;
&epiphany;
&gnomemeeting;
&gnome-games;
&gnome2-user-docs;
&gdm;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnomecups.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnomeprint.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnomeprintui.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gal.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtkhtml.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="evolution-data-server.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bug-buddy.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtksourceview.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gedit.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="eog.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="ggv.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="file-roller.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gconf-editor.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-utils.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-system-monitor.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-media.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="nautilus-media.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-netstatus.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gcalctool.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gpdf.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gucharmap.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="nautilus-cd-burner.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="zenity.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="at-spi.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgail-gnome.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="java-access-bridge.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-speech.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-mag.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnopernicus.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gok.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="epiphany.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnomemeeting.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-games.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gdm.xml"/>
 
</chapter>
/trunk/blfs/gnome/add/gnopernicus.xml
1,11 → 1,125
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnopernicus-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnopernicus/0.9/gnopernicus-&gnopernicus-version;.tar.bz2">
<!ENTITY gnopernicus-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnopernicus/0.9/gnopernicus-&gnopernicus-version;.tar.bz2">
<!ENTITY gnopernicus-md5sum "70fddfa095ca63c9f4238e02318751f9">
<!ENTITY gnopernicus-size "1.9 MB">
<!ENTITY gnopernicus-buildsize "38 MB">
<!ENTITY gnopernicus-time "0.60 SBU">
]>
 
<sect1 id="gnopernicus" xreflabel="Gnopernicus-&gnopernicus-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnopernicus.html"?>
<title>Gnopernicus-&gnopernicus-version;</title>
 
&gnopernicus-intro;
&gnopernicus-inst;
&gnopernicus-exp;
&gnopernicus-desc;
<sect2>
<title>Introduction to <application>Gnopernicus</application></title>
 
<para><application>Gnopernicus</application> enables users with limited
vision, or no vision, to use the <acronym>GNOME</acronym> desktop and
applications effectively. It provides a number of features, including
magnification, focus tracking, braille output, automatic screen reading
and more.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnopernicus-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnopernicus-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnopernicus-md5sum;</para></listitem>
<listitem><para>Download size: &gnopernicus-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnopernicus-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnopernicus-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Gnopernicus</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgail-gnome"/>,
<xref linkend="scrollkeeper"/>,
<xref linkend="gnome-speech"/> and
<xref linkend="gnome-mag"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/> and
<ulink url="http://www.mielke.cc/brltty/">BRLTTY</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Gnopernicus</application></title>
 
<para>Install <application>Gnopernicus</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib \
--with-default-fonts-path=/usr/X11R6/lib/X11/fonts/Type1 &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--with-default-fonts-path=/usr/X11R6/lib/X11/fonts/Type1</parameter>:
This switch installs Braille fonts into
<filename class='directory'>/usr/X11R6/lib/X11/fonts/Type1</filename> instead
of <filename class='directory'>/usr/share/fonts/default/Type1</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Gnopernicus</application> package contains
<command>brlmonitor</command>,
<command>gnopernicus</command>,
<command>srcore</command> and <application>Gnopernicus</application>
support libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>brlmonitor</title>
<para><command>brlmonitor</command> is a braille display
simulator.</para></sect3>
 
<sect3><title>gnopernicus</title>
<para><command>gnopernicus</command> is a <acronym>GUI</acronym> menu
interface used to access and configure the various functionality parameters
provided for users with limited vision.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gnome-netstatus.xml
1,11 → 1,109
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="gnome-netstatus" xreflabel="GNOME Netstatus-&gnome-netstatus-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-netstatus-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/&gnome-version;/gnome-netstatus-&gnome-netstatus-version;.tar.bz2">
<!ENTITY gnome-netstatus-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-netstatus/&gnome-version;/gnome-netstatus-&gnome-netstatus-version;.tar.bz2">
<!ENTITY gnome-netstatus-md5sum "fadc8a26ff7142e1372740d2edc435b1">
<!ENTITY gnome-netstatus-size "492 KB">
<!ENTITY gnome-netstatus-buildsize "9.6 MB">
<!ENTITY gnome-netstatus-time "0.12 SBU">
]>
 
<sect1 id="gnome-netstatus"
xreflabel="GNOME Netstatus-&gnome-netstatus-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-netstatus.html"?>
<title>GNOME Netstatus-&gnome-netstatus-version;</title>
 
&gnome-netstatus-intro;
&gnome-netstatus-inst;
&gnome-netstatus-exp;
&gnome-netstatus-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Netstatus</application></title>
 
<para>The <application><acronym>GNOME</acronym> Netstatus</application>
package contains a panel applet that monitors network interfaces. It provides
indicators for ingoing and outgoing data, packets received and transmitted,
and information about the network interface such as <acronym>IP</acronym>
information and Ethernet address.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-netstatus-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-netstatus-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-netstatus-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-netstatus-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-netstatus-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-netstatus-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Netstatus</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-panel"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Netstatus</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Netstatus</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
chmod 644 `pkg-config --variable=prefix ORBit-2.0`\
/share/gnome/help/gnome-netstatus/C/*.xml</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Netstatus</application>
package contains <command>gnome-netstatus-applet</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-netstatus-applet</title>
<para><command>gnome-netstatus-applet</command> displays information
about a network interface on your panel.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/evolution-data-server.xml
0,0 → 1,144
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY evolution-data-server-download-http "http://ftp.gnome.org/pub/gnome/sources/evolution-data-server/1.0/evolution-data-server-&evolution-data-server-version;.tar.bz2">
<!ENTITY evolution-data-server-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources/evolution-data-server/1.0/evolution-data-server-&evolution-data-server-version;.tar.bz2">
<!ENTITY evolution-data-server-md5sum "ca13b5dd751cd30c55e889d9a07e70fb">
<!ENTITY evolution-data-server-size "4.9 MB">
<!ENTITY evolution-data-server-buildsize "89.2 MB">
<!ENTITY evolution-data-server-time "1.96 SBU">
]>
 
<sect1 id="evolution-data-server"
xreflabel="Evolution Data Server-&evolution-data-server-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="evolution-data-server.html"?>
<title>Evolution Data Server-&evolution-data-server-version;</title>
<indexterm zone="evolution-data-server">
<primary sortas="a-Evolution-Data-Server">Evolution Data Server</primary>
</indexterm>
 
<sect2>
<title>Introduction to <application>Evolution Data Server</application></title>
 
<para>The <application>Evolution Data Server</application> package provides a
unified backend for programs that work with contacts, tasks, and calendar
information. It was originally developed for
<application>Evolution</application> (hence the name), but is now used by
other packages as well.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing="compact">
<listitem><para>Download (HTTP):
<ulink url="&evolution-data-server-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&evolution-data-server-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum:
&evolution-data-server-md5sum;</para></listitem>
<listitem><para>Download size:
&evolution-data-server-size;</para></listitem>
<listitem><para>Estimated disk space required:
&evolution-data-server-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&evolution-data-server-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Evolution Data Server</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/> and <xref linkend="libsoup"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="openldap"/>,
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Evolution Data Server</application></title>
 
<para>Install <application>Evolution Data Server</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Program</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>evolution-data-server-1.0</seg>
<seg>libebook.so, libecal.so, libedata-book.so, libedata-cal.so,
libedataserver.so and libegroupwise.so</seg>
<seg>$GNOME_PREFIX/include/evolution-data-server-1.0,
$GNOME_PREFIX/share/evolution-data-server-1.0,
$GNOME_PREFIX/share/idl/evolution-data-server-1.0 and
$GNOME_PREFIX/share/gtk-doc/html/libe*</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="evolution-data-server-1.0">
<term><command>evolution-data-server-1.0</command></term>
<listitem><para>is the <application>Evolution</application> database backend
server.</para>
<indexterm zone="evolution-data-server evolution-data-server-1.0">
<primary sortas="b-evolution-data-server-1.0">evolution-data-server-1.0</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libe.so">
<term><filename class='libraryfile'>libe*.so</filename></term>
<listitem><para>libraries are client, backend and utility libraries for the
<application>Evolution</application> address books, calendar and data
servers.</para>
<indexterm zone="evolution-data-server libe.so">
<primary sortas="c-libe.so">libe*.so</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gnome-utils.xml
1,12 → 1,130
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-utils-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-utils/&gnome-version;/gnome-utils-&gnome-utils-version;.tar.bz2">
<!ENTITY gnome-utils-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-utils/&gnome-version;/gnome-utils-&gnome-utils-version;.tar.bz2">
<!ENTITY gnome-utils-md5sum "048224275454781c7eebc5afd4004069">
<!ENTITY gnome-utils-size "1.7 MB">
<!ENTITY gnome-utils-buildsize "25.1 MB">
<!ENTITY gnome-utils-time "0.28 SBU">
]>
 
<sect1 id="gnome-utils" xreflabel="GNOME Utilities-&gnome-utils-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-utils.html"?>
<title>GNOME Utilities-&gnome-utils-version;</title>
 
&gnome-utils-intro;
&gnome-utils-inst;
&gnome-utils-exp;
&gnome-utils-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Utilities</application></title>
 
<para>The <application><acronym>GNOME</acronym> Utilities</application>
package contains a collection of small applications designed to make your
life a little easier.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-utils-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-utils-download-ftp;"/></para></listitem>
<listitem><para>Download MD5sum: &gnome-utils-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-utils-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-utils-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-utils-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Utilities</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-panel"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="Linux_PAM"/> (requires consolehelper)</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Utilities</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Utilities</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config
--variable=prefix ORBit-2.0`/sbin</parameter>: This switch puts
libexec files in <filename class="directory">$GNOME_PREFIX/sbin</filename>
instead of <filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--with-pam-prefix=/etc/pam.d</parameter>: This switch
puts <application><acronym>PAM</acronym></application> files in
<filename class="directory">/etc/pam.d</filename> instead of
<filename class="directory">/etc/gnome</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Utilities</application>
package contains
<command>gnome-system-log</command>,
<command>gnome-search-tool</command>,
<command>gnome-dictionary</command>,
and <command>gfloppy</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-system-log</title>
<para><command>gnome-system-log</command> allows you to monitor and view
system log files.</para></sect3>
 
<sect3><title>gnome-search-tool</title>
<para><command>gnome-search-tool</command> allows you to search for files on
your system using simple and advanced search options.</para></sect3>
 
<sect3><title>gnome-dictionary</title>
<para><command>gnome-dictionary</command> allows you to look up definitions
and spelling of words.</para></sect3>
 
<sect3><title>gfloppy</title>
<para><command>gfloppy</command> formats floppy disks under
Linux.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/libgail-gnome.xml
0,0 → 1,109
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgail-gnome-download-http "http://ftp.gnome.org/pub/gnome/sources/libgail-gnome/1.1/libgail-gnome-&libgail-gnome-version;.tar.bz2">
<!ENTITY libgail-gnome-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources/libgail-gnome/1.1/libgail-gnome-&libgail-gnome-version;.tar.bz2">
<!ENTITY libgail-gnome-md5sum "61541d3f04741b8a9f42f89776ea1fac">
<!ENTITY libgail-gnome-size "141 KB">
<!ENTITY libgail-gnome-buildsize "1.9 MB">
<!ENTITY libgail-gnome-time "0.12 SBU">
]>
 
<sect1 id="libgail-gnome" xreflabel="libgail-gnome-&libgail-gnome-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgail-gnome.html"?>
<title><application>libgail-gnome</application>-&libgail-gnome-version;</title>
<indexterm zone="libgail-gnome">
<primary sortas="a-Libgail-gnome">Libgail-gnome</primary></indexterm>
 
<sect2>
<title>Introduction to <application>libgail-gnome</application></title>
 
<para>The <application>libgail-gnome</application> package contains the
<application><acronym>GNOME</acronym></application> Accessibility
Implementation library additions which implement
<application><acronym>ATK</acronym></application> interfaces for
<application>libbonoboui</application> and
<application>libgnomeui</application> widgets.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing="compact">
<listitem><para>Download (HTTP):
<ulink url="&libgail-gnome-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&libgail-gnome-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum:
&libgail-gnome-md5sum;</para></listitem>
<listitem><para>Download size:
&libgail-gnome-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgail-gnome-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgail-gnome-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgail-gnome</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-panel"/> and <xref linkend="at-spi"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgail-gnome</application></title>
 
<para>Install <application>libgail-gnome</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Library</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>None</seg>
<seg>libgail-gnome.so</seg>
<seg>None</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="libgail-gnome-lib">
<term><filename class='libraryfile'>libgail-gnome.so</filename></term>
<listitem><para>library module is a
<application><acronym>GAIL</acronym></application> addition which implements
<application><acronym>ATK</acronym></application> interfaces for
<application>libbonoboui</application> and
<application>libgnomeui</application> widgets.</para>
<indexterm zone="libgail-gnome libgail-gnome-lib">
<primary sortas="c-libgail-gnome">libgail-gnome.so</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gdm.xml
1,13 → 1,203
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gdm-download-http "http://ftp.gnome.org/pub/GNOME/sources/gdm/2.6/gdm-&gdm-version;.tar.bz2">
<!ENTITY gdm-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gdm/2.6/gdm-&gdm-version;.tar.bz2">
<!ENTITY gdm-md5sum "8dca7cb1f28d81f60f6e07b3c24288c5">
<!ENTITY gdm-size "3.2 MB">
<!ENTITY gdm-buildsize "44 MB">
<!ENTITY gdm-time "0.48 SBU">
]>
 
<sect1 id="gdm" xreflabel="GDM-&gdm-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gdm.html"?>
<title>GDM-&gdm-version;</title>
 
&gdm-intro;
&gdm-inst;
&gdm-exp;
&gdm-config;
&gdm-desc;
<sect2>
<title>Introduction to <application><acronym>GDM</acronym></application></title>
 
<para>The <application><acronym>GDM</acronym></application> package
contains <application><acronym>GNOME</acronym></application>'s Display Manager
daemon. This is useful for allowing configurable graphical logins.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gdm-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gdm-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gdm-md5sum;</para></listitem>
<listitem><para>Download size: &gdm-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gdm-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gdm-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GDM</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/> and
<xref linkend="librsvg"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="Linux_PAM"/>,
<xref linkend="tcpwrappers"/> and
<ulink url="http://www.nsa.gov/selinux/">SELinux</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GDM</acronym></application></title>
 
<para>Install <application><acronym>GDM</acronym></application> by running
the following commands:</para>
 
<screen><userinput><command>groupadd gdm &amp;&amp;
useradd -c "GDM Daemon Owner" -d /dev/null -g gdm -s /bin/bash gdm &amp;&amp;
./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib \
--with-pam-prefix=/etc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This command puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This command
puts files in <filename class="directory">/var/lib</filename> instead of
<filename class="directory">$GNOME_PREFIX/var</filename>.</para>
 
<para><parameter>--with-pam-prefix=/etc</parameter>: This command puts
<application><acronym>PAM</acronym></application> configuration files in
<filename class="directory">/etc/pam.d</filename> instead of
<filename class="directory">/etc/gnome</filename>.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application>GDM</application></title>
 
<sect3><title>Config files</title>
<para><filename>/etc/gnome/gdm/gdm.conf</filename></para>
</sect3>
 
<sect3><title>Configuration Information</title>
 
<para>The <application>GDM</application> <application>PAM</application>
config files contain modules not present in a <acronym>BLFS</acronym>
installation. The following commands will replace those files:</para>
 
<screen><userinput><command>cat &gt; /etc/pam.d/gdm &lt;&lt; "EOF"</command>
auth required pam_unix.so
auth required pam_nologin.so
account required pam_unix.so
password required pam_unix.so
session required pam_unix.so
<command>EOF
cat &gt; /etc/pam.d/gdm-autologin &lt;&lt; "EOF"</command>
auth required pam_env.so
auth required pam_nologin.so
auth required pam_permit.so
account required pam_unix.so
password required pam_unix.so
session required pam_unix.so
<command>EOF</command></userinput></screen>
 
<para><command>gdm</command> can be tested by executing it from a root console.</para>
 
<para>To start a graphical login at boot, install the
<filename>/etc/rc.d/init.d/gdm</filename> init script included in the
<xref linkend="intro-important-bootscripts"/> package.</para>
 
<screen><userinput><command>make install-gdm</command></userinput></screen>
 
<para>To autostart with a graphical login, edit
<filename>/etc/inittab</filename> so that the line containing:</para>
 
<screen>id:3:initdefault:</screen>
 
<para>is changed to:</para>
 
<screen>id:5:initdefault:</screen>
 
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GDM</acronym></application> package contains
<command>gdm</command>,
<command>gdm-binary</command>,
<command>gdmXnest</command>,
<command>gdmXnestchooser</command>,
<command>gdmchooser</command>,
<command>gdmflexiserver</command>,
<command>gdmgreeter</command>,
<command>gdmlogin</command>,
<command>gdmphotosetup</command>,
<command>gdmsetup</command>,
<command>gdmthemetester</command>,
<command>gdm-restart</command>,
<command>gdm-safe-restart</command>,
<command>gdm-stop</command>,
<command>gdmconfig</command>,
<command>gdmopen</command> and
<command>gdmtranslate</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gdm</title>
<para><command>gdm</command> is a wrapper script to execute the
<application><acronym>GDM</acronym></application> binary, the configurable
<application><acronym>GNOME</acronym></application> based login
prompt.</para></sect3>
 
<sect3><title>gdmchooser</title>
<para><command>gdmchooser</command> is an application for selecting
<acronym>XDMCP</acronym> enabled hosts on
the local network.</para></sect3>
 
<sect3><title>gdmsetup</title>
<para><command>gdmsetup</command> is a graphical interface to edit the
<filename>gdm.conf</filename> file.</para></sect3>
 
<sect3><title>gdm-restart and gdm-safe-restart</title>
<para><command>gdm-restart</command> sends the <acronym>HUP</acronym>
signal and <command>gdm-safe-restart</command> sends the
<acronym>USR</acronym>1 signal to the
<application><acronym>GDM</acronym></application>daemon so that it restarts.
They are used after the config file is edited.</para></sect3>
 
<sect3><title>gdmconfig</title>
<para><command>gdmconfig</command> is an application for managing the
configuration of the entire <application>GDM</application> applications
suite. It handles look and feel, security, <acronym>XDMCP</acronym>,
GDMchooser and more.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gucharmap.xml
1,11 → 1,103
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gucharmap-download-http "http://ftp.gnome.org/pub/GNOME/sources/gucharmap/1.4/gucharmap-&gucharmap-version;.tar.bz2">
<!ENTITY gucharmap-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gucharmap/1.4/gucharmap-&gucharmap-version;.tar.bz2">
<!ENTITY gucharmap-md5sum "73847836c1adeadf166fd4fe909687c9">
<!ENTITY gucharmap-size "1.5 MB">
<!ENTITY gucharmap-buildsize "26.9 MB">
<!ENTITY gucharmap-time "0.21 SBU">
]>
 
<sect1 id="gucharmap" xreflabel="gucharmap-&gucharmap-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gucharmap.html"?>
<title>gucharmap-&gucharmap-version;</title>
 
&gucharmap-intro;
&gucharmap-inst;
&gucharmap-exp;
&gucharmap-desc;
<sect2>
<title>Introduction to <application>gucharmap</application></title>
 
<para>
<application>gucharmap</application> is a Unicode character map and font
viewer. It allows you to browse through all the available Unicode
characters and categories for the installed fonts, and to examine their
detailed properties. It is an easy way to find the character you might
only know by its Unicode name or code point.
</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gucharmap-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gucharmap-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gucharmap-md5sum;</para></listitem>
<listitem><para>Download size: &gucharmap-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gucharmap-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gucharmap-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>gucharmap</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="intltool"/> and <xref linkend="gtk2"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libgnomeui"/> and <xref linkend="scrollkeeper"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>gucharmap</application></title>
 
<para>Install <application>gucharmap</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=$GNOME_PREFIX \
--localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>gucharmap</application> package contains
<command>charmap</command>,
<command>gnome-character-map</command>,
<command>gucharmap</command> and
<filename class="libraryfile">libgucharmap</filename>.
</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gucharmap</title>
<para><command>gucharmap</command> is a Unicode character map and font
viewer.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/libgnomeprintui.xml
1,12 → 1,98
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgnomeprintui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/&gnome-version;/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
<!ENTITY libgnomeprintui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprintui/&gnome-version;/libgnomeprintui-&libgnomeprintui-version;.tar.bz2">
<!ENTITY libgnomeprintui-md5sum "0854339b4c40f9526e7430d36f98a785">
<!ENTITY libgnomeprintui-size "580 KB">
<!ENTITY libgnomeprintui-buildsize "14.2 MB">
<!ENTITY libgnomeprintui-time "0.28 SBU">
]>
 
<sect1 id="libgnomeprintui" xreflabel="libgnomeprintui-&libgnomeprintui-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgnomeprintui.html"?>
<title>libgnomeprintui-&libgnomeprintui-version;</title>
 
&libgnomeprintui-intro;
&libgnomeprintui-inst;
&libgnomeprintui-exp;
&libgnomeprintui-desc;
<sect2>
<title>Introduction to <application>libgnomeprintui</application></title>
 
<para>The <application>libgnomeprintui</application> package contains
the <filename class="libraryfile">libgnomeprintui</filename>
libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgnomeprintui-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgnomeprintui-download-ftp;"/></para></listitem>
<listitem><para>Download MD5sum: &libgnomeprintui-md5sum;</para></listitem>
<listitem><para>Download size: &libgnomeprintui-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgnomeprintui-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgnomeprintui-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgnomeprintui</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="gnome-icon-theme"/> and
<xref linkend="libgnomeprint"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgnomeprintui</application></title>
 
<para>Install <application>libgnomeprintui</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><option>--disable-gtk-doc</option>: This switch prevents
rebuilding the documentation during the <command>make</command> command.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgnomeprintui</application> package contains
<filename class="libraryfile">libgnomeprintui</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgnomeprintui libraries</title>
<para><filename class="libraryfile">libgnomeprintui</filename> libraries are
the <acronym>GUI</acronym> portion of the
<application><acronym>GNOME</acronym></application> Printing Architecture
implementation.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gcalctool.xml
1,11 → 1,97
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gcalctool-download-http "http://ftp.gnome.org/pub/GNOME/sources/gcalctool/4.4/gcalctool-&gcalctool-version;.tar.bz2">
<!ENTITY gcalctool-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gcalctool/4.4/gcalctool-&gcalctool-version;.tar.bz2">
<!ENTITY gcalctool-md5sum "51de83d6d68d7cb65dced80b96acbaaa">
<!ENTITY gcalctool-size "918 KB">
<!ENTITY gcalctool-buildsize "15.9 MB">
<!ENTITY gcalctool-time "0.15 SBU">
]>
 
<sect1 id="gcalctool" xreflabel="gcalctool-&gcalctool-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gcalctool.html"?>
<title>gcalctool-&gcalctool-version;</title>
 
&gcalctool-intro;
&gcalctool-inst;
&gcalctool-exp;
&gcalctool-desc;
<sect2>
<title>Introduction to <application>gcalctool</application></title>
 
<para><application>gcalctool</application> is a powerful graphical calculator
with financial, logical and scientific modes. It uses a multiple
precision package to do its arithmetic to give a high degree of
accuracy.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gcalctool-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gcalctool-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gcalctool-md5sum;</para></listitem>
<listitem><para>Download size: &gcalctool-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gcalctool-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gcalctool-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>gcalctool</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/> and <xref linkend="scrollkeeper"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>gcalctool</application></title>
 
<para>Install <application>gcalctool</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>gcalctool</application> package contains
<command>gcalctool</command> (a.k.a.
<command>gnome-calculator</command>).</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gcalctool</title>
<para><command>gcalctool</command> is a desktop calculator for
<application><acronym>GNOME</acronym></application>.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/libgnomeprint.xml
1,12 → 1,105
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgnomeprint-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/&gnome-version;/libgnomeprint-&libgnomeprint-version;.tar.bz2">
<!ENTITY libgnomeprint-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeprint/&gnome-version;/libgnomeprint-&libgnomeprint-version;.tar.bz2">
<!ENTITY libgnomeprint-md5sum "0473bf1976c2d4ec5a52bb66cf6b8464">
<!ENTITY libgnomeprint-size "751 KB">
<!ENTITY libgnomeprint-buildsize "20.5 MB">
<!ENTITY libgnomeprint-time "0.57 SBU">
]>
 
<sect1 id="libgnomeprint" xreflabel="libgnomeprint-&libgnomeprint-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgnomeprint.html"?>
<title>libgnomeprint-&libgnomeprint-version;</title>
 
&libgnomeprint-intro;
&libgnomeprint-inst;
&libgnomeprint-exp;
&libgnomeprint-desc;
<sect2>
<title>Introduction to <application>libgnomeprint</application></title>
 
<para>The <application>libgnomeprint</application> package contains
<filename class="libraryfile">libgnomeprint</filename> libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgnomeprint-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgnomeprint-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgnomeprint-md5sum;</para></listitem>
<listitem><para>Download size: &libgnomeprint-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgnomeprint-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgnomeprint-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgnomeprint</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="pango"/>,
<xref linkend="libart_lgpl"/>,
<xref linkend="fontconfig"/>,
<xref linkend="libxml2"/> and
<xref linkend="perl-modules"/>: XML-Parser</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="cups"/> (and <xref linkend="libgnomecups"/>),
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgnomeprint</application></title>
 
<para>Install <application>libgnomeprint</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><option>--disable-gtk-doc</option>: This switch prevents
rebuilding the documentation during the <command>make</command> command.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgnomeprint</application> package contains
<filename class="libraryfile">libgnomeprint</filename> libraries and
transport modules.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgnomeprint libraries</title>
<para><filename class="libraryfile">libgnomeprint</filename> libraries
implement the <application><acronym>GNOME</acronym></application> Printing
Architecture.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gnome-speech.xml
1,10 → 1,144
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-speech-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-speech/0.3/gnome-speech-&gnome-speech-version;.tar.bz2">
<!ENTITY gnome-speech-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-speech/0.3/gnome-speech-&gnome-speech-version;.tar.bz2">
<!ENTITY gnome-speech-md5sum "34382d0b33146b1f8fc5239895471369">
<!ENTITY gnome-speech-size "255 KB">
<!ENTITY gnome-speech-buildsize "4.6 MB">
<!ENTITY gnome-speech-time "0.15 SBU">
]>
 
<sect1 id="gnome-speech" xreflabel="GNOME Speech-&gnome-speech-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-speech.html"?>
<title>GNOME Speech-&gnome-speech-version;</title>
 
&gnome-speech-intro;
&gnome-speech-inst;
&gnome-speech-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Speech</application></title>
 
<para>
The <application><acronym>GNOME</acronym> Speech</application> package
provides a simple general <acronym>API</acronym> for producing text-to-speech
output. Multiple backends are supported by the
<application><acronym>GNOME</acronym> Speech</application> library, but
currently only the <application>Festival</application> backend is built by
default; the other backends require either Java or proprietary software.
</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-speech-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-speech-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-speech-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-speech-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-speech-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-speech-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Speech</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libbonobo"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="java-access-bridge"/>,
<ulink url="http://www.cstr.ed.ac.uk/projects/festival/">Festival</ulink>,
<ulink url="http://freetts.sourceforge.net/">FreeTTS</ulink>,
<ulink url="http://www.ibm.com/software/voice/viavoice/">ViaVoice</ulink>,
<ulink url="http://www.scansoft.com/">Eloquence</ulink>,
<ulink url="http://www.fonix.com/">DECTalk</ulink> and
<ulink url="http://www.cepstral.com/">Theta</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Speech</application></title>
 
<note><para>You must install at least one of the backend drivers for
<application><acronym>GNOME</acronym> Speech</application> to render speech
through the audio hardware. Testing the installation of the backend driver
to ensure it produces desired results before installing
<application><acronym>GNOME</acronym> Speech</application> is
recommended.</para></note>
 
<para>Install <application><acronym>GNOME</acronym> Speech</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><option>--with-jab-dir=`pkg-config
--variable=prefix ORBit-2.0`/share/jar</option>: Use this option if you
have installed the <application>Java Access Bridge</application> package and
wish to have <application><acronym>GNOME</acronym> Speech</application> build
in Java support.</para>
 
<para>Note: see the <filename>README</filename> and
<filename>INSTALL</filename> files in the package source tree for the correct
parameters to pass to <command>configure</command> to enable the desired
backends.</para>
 
</sect2>
 
<sect2>
<title>Testing the installation</title>
 
<para>You can test all the available backend drivers, voices and audio
hardware using the <command>test-speech</command> command. Invoking
<command>test-speech</command> produces a menu allowing you to select
a backend driver, then prompts you (with on-screen prompts and text-to-speech
audio) for additional information.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Speech</application>
package contains
<command>festival-synthesis-driver</command>,
<command>test-speech</command> and
<filename class="libraryfile">libgnomespeech</filename>. Other drivers
and libraries are also installed if you have enabled additional
backends.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>test-speech</title>
<para><command>test-speech</command> is used to test the various backend
drivers and voices installed on the system.</para>
</sect3>
 
<sect3><title>libgnomespeech</title>
<para><filename class="libraryfile">libgnomespeech</filename> provides
the <acronym>API</acronym> for programs to convert text into
speech.</para>
</sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/file-roller.xml
1,11 → 1,99
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY file-roller-download-http "http://ftp.gnome.org/pub/GNOME/sources/file-roller/&gnome-version;/file-roller-&file-roller-version;.tar.bz2">
<!ENTITY file-roller-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/file-roller/&gnome-version;/file-roller-&file-roller-version;.tar.bz2">
<!ENTITY file-roller-md5sum "841f0cc0eab979d98c25c16725c18745">
<!ENTITY file-roller-size "1.4 MB">
<!ENTITY file-roller-buildsize "21.8 MB">
<!ENTITY file-roller-time "0.32 SBU">
]>
 
<sect1 id="file-roller" xreflabel="File Roller-&file-roller-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="file-roller.html"?>
<title>File Roller-&file-roller-version;</title>
 
&file-roller-intro;
&file-roller-inst;
&file-roller-exp;
&file-roller-desc;
<sect2>
<title>Introduction to <application>File Roller</application></title>
 
<para>
File Roller is an archive manager for
<application><acronym>GNOME</acronym></application> with
support for tar, bzip2, gzip, zip, jar, compress and lzop archives.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP):
<ulink url="&file-roller-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&file-roller-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum:
&file-roller-md5sum;</para></listitem>
<listitem><para>Download size:
&file-roller-size;</para></listitem>
<listitem><para>Estimated disk space required:
&file-roller-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&file-roller-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>File Roller</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/> and <xref linkend="scrollkeeper"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>File Roller</application></title>
 
<para>Install <application>File Roller</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>File Roller</application> package contains
<command>file-roller</command> and
<application>File Roller</application> Bonobo modules.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>file-roller</title>
<para><command>file-roller</command> is an archiver
for <acronym>GNOME</acronym>.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gnomemeeting.xml
1,11 → 1,113
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnomemeeting-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnomemeeting/1.0/gnomemeeting-&gnomemeeting-version;.tar.bz2">
<!ENTITY gnomemeeting-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnomemeeting/1.0/gnomemeeting-&gnomemeeting-version;.tar.bz2">
<!ENTITY gnomemeeting-md5sum "f292e3143d67d4786d64ac5983e25d3f">
<!ENTITY gnomemeeting-size "2.9 MB">
<!ENTITY gnomemeeting-buildsize "47 MB">
<!ENTITY gnomemeeting-time "1.06 SBU">
]>
 
<sect1 id="gnomemeeting" xreflabel="GnomeMeeting-&gnomemeeting-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnomemeeting.html"?>
<title>GnomeMeeting-&gnomemeeting-version;</title>
 
&gnomemeeting-intro;
&gnomemeeting-inst;
&gnomemeeting-exp;
&gnomemeeting-desc;
<sect2>
<title>Introduction to <application>GnomeMeeting</application></title>
 
<para><application>GnomeMeeting</application> is an H.323 compatible
videoconferencing and
<acronym>VOIP</acronym>/<acronym>IP</acronym>-Telephony application that
allows you to make audio and video calls to remote users with H.323
hardware or software (such as Microsoft Netmeeting). It supports all
modern videoconferencing features, such as registering to an
<acronym>ILS</acronym> directory, gatekeeper support, making multi-user
conference calls using an external <acronym>MCU</acronym>, using modern
Quicknet telephony cards, and making <acronym>PC</acronym>-To-Phone
calls.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnomemeeting-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnomemeeting-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnomemeeting-md5sum;</para></listitem>
<listitem><para>Download size: &gnomemeeting-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnomemeeting-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnomemeeting-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GnomeMeeting</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/>,
<ulink url="http://sourceforge.net/projects/openh323">PWLib-1.6.5
(compiled with OpenLDAP support)</ulink> and
<ulink url="http://sourceforge.net/projects/openh323">OpenH323-1.13.4</ulink>
</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="sdl"/> (required for full-screen video)</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GnomeMeeting</application></title>
 
<para>Install <application>GnomeMeeting</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GnomeMeeting</application> package contains
<command>gnomemeeting</command> and
<command>gnomemeeting-config-tool</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnomemeeting</title>
<para><command>gnomemeeting</command> is a H.323 Voip, Telephony and
Video Conferencing application which uses the H.323
protocol.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gpdf.xml
1,11 → 1,108
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gpdf-download-http "http://ftp.gnome.org/pub/GNOME/sources/gpdf/&gnome-version;/gpdf-&gpdf-version;.tar.bz2">
<!ENTITY gpdf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gpdf/&gnome-version;/gpdf-&gpdf-version;.tar.bz2">
<!ENTITY gpdf-md5sum "a1c054d5de1d5ef361006975c57b45f5">
<!ENTITY gpdf-size "1.0 MB">
<!ENTITY gpdf-buildsize "37.5 MB">
<!ENTITY gpdf-time "0.55 SBU">
]>
 
<sect1 id="gpdf" xreflabel="GPdf-&gpdf-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gpdf.html"?>
<title>GPdf-&gpdf-version;</title>
 
&gpdf-intro;
&gpdf-inst;
&gpdf-exp;
&gpdf-desc;
<sect2>
<title>Introduction to <application>GPdf</application></title>
 
<para><application>GPdf</application> is a <acronym>PDF</acronym> viewer for
<acronym>GNOME</acronym>. It is based on <application>Xpdf</application> and
the <application><acronym>GNOME</acronym> Print</application> Preview
widget.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gpdf-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gpdf-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gpdf-md5sum;</para></listitem>
<listitem><para>Download size: &gpdf-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gpdf-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gpdf-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GPdf</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeprintui"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="tex"/> and
<ulink
url="http://packages.qa.debian.org/libp/libpaper.html">libpaper</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GPdf</application></title>
 
<para>Install <application>GPdf</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GPdf</application> package contains
<command>gpdf</command> and <command>gnome-pdf-viewer</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gpdf</title>
<para><command>gpdf</command> is a <acronym>PDF</acronym> viewer for
<application><acronym>GNOME</acronym></application>.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gnome-media.xml
1,12 → 1,138
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-media-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-media/&gnome-version;/gnome-media-&gnome-media-version;.tar.bz2">
<!ENTITY gnome-media-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-media/&gnome-version;/gnome-media-&gnome-media-version;.tar.bz2">
<!ENTITY gnome-media-md5sum "c200cb577be1adb6bedb8c6528d738a1">
<!ENTITY gnome-media-size "3.1 MB">
<!ENTITY gnome-media-buildsize "36.9 MB">
<!ENTITY gnome-media-time "0.60 SBU">
]>
 
<sect1 id="gnome-media" xreflabel="GNOME Media-&gnome-media-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-media.html"?>
<title>GNOME Media-&gnome-media-version;</title>
 
&gnome-media-intro;
&gnome-media-inst;
&gnome-media-exp;
&gnome-media-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Media</application></title>
 
<para>The <application><acronym>GNOME</acronym> Media</application> package
contains <application><acronym>GNOME</acronym></application>'s media
applications.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-media-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-media-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-media-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-media-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-media-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-media-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Media</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="gst-plugins"/> and
<xref linkend="scrollkeeper"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gail"/>,
<ulink url="../server/mail.html">MTA</ulink>,
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Media</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Media</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Media</application>
package contains
<command>cddb-slave2-properties</command>,
<command>gnome-audio-profiles-properties</command>,
<command>gnome-cd</command>,
<command>gnome-sound-recorder</command>,
<command>gnome-volume-control</command>,
<command>gstreamer-properties</command>,
<command>vumeter</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-cd</title>
<para><command>gnome-cd</command> is
<application><acronym>GNOME</acronym></application>'s
<acronym>CD</acronym> Player.</para></sect3>
 
<sect3><title>gnome-sound-recorder</title>
<para><command>gnome-sound-recorder</command> is
<application><acronym>GNOME</acronym></application>'s recorder.</para></sect3>
 
<sect3><title>gnome-volume-control</title>
<para><command>gnome-volume-control</command> is
<application><acronym>GNOME</acronym></application>'s mixer with volume
applet.</para></sect3>
 
<sect3><title>vumeter</title>
<para><command>vumeter</command> is a visual volume meter.</para></sect3>
 
<sect3><title>gstreamer-properties</title>
<para><command>gstreamer-properties</command> is a <acronym>GUI</acronym>
front-end to <application>GStreamer</application>'s audio/video input/output
parameters.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/nautilus-cd-burner.xml
1,11 → 1,117
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="nautilus-cd-burner" xreflabel="Nautilus CD Burner-&nautilus-cd-burner-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY nautilus-cd-burner-download-http "http://ftp.gnome.org/pub/GNOME/sources/nautilus-cd-burner/&gnome-version;/nautilus-cd-burner-&nautilus-cd-burner-version;.tar.bz2">
<!ENTITY nautilus-cd-burner-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/nautilus-cd-burner/&gnome-version;/nautilus-cd-burner-&nautilus-cd-burner-version;.tar.bz2">
<!ENTITY nautilus-cd-burner-md5sum "970173a3f93270950ca9fd247bdf07a7">
<!ENTITY nautilus-cd-burner-size "529 KB">
<!ENTITY nautilus-cd-burner-buildsize "7.6 MB">
<!ENTITY nautilus-cd-burner-time "0.16 SBU">
]>
 
<sect1 id="nautilus-cd-burner"
xreflabel="Nautilus CD Burner-&nautilus-cd-burner-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="nautilus-cd-burner.html"?>
<title>Nautilus CD Burner-&nautilus-cd-burner-version;</title>
<title><application>Nautilus <acronym>CD</acronym>
Burner</application>-&nautilus-cd-burner-version;</title>
 
&nautilus-cd-burner-intro;
&nautilus-cd-burner-inst;
&nautilus-cd-burner-exp;
&nautilus-cd-burner-desc;
<sect2>
<title>Introduction to <application>Nautilus <acronym>CD</acronym>
Burner</application></title>
 
<para>The <application>Nautilus <acronym>CD</acronym> Burner</application>
lets you write files to a <acronym>CD</acronym> burner easily with
<application><acronym>GNOME</acronym></application>; by drag-and-dropping
files using the <application><acronym>GNOME</acronym></application> file
manager, <application>Nautilus</application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&nautilus-cd-burner-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&nautilus-cd-burner-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum:
&nautilus-cd-burner-md5sum;</para></listitem>
<listitem><para>Download size:
&nautilus-cd-burner-size;</para></listitem>
<listitem><para>Estimated disk space required:
&nautilus-cd-burner-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&nautilus-cd-burner-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Nautilus <acronym>CD</acronym> Burner</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="nautilus"/> and <xref linkend="cdrtools"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><ulink
url="http://hal.freedesktop.org/wiki/Software_2fhal">HAL</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Nautilus <acronym>CD</acronym>
Burner</application></title>
 
<para>Install <application>Nautilus <acronym>CD</acronym> Burner</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Nautilus <acronym>CD</acronym> Burner</application>
package contains <command>nautilus-cd-burner</command> and
<command>mapping-daemon</command>.
</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>nautilus-cd-burner</title>
<para><command>nautilus-cd-burner</command> is an extension to
<application>Nautilus</application> that lets you burn
<acronym>CD</acronym>s easily.</para></sect3>
 
<sect3><title>mapping-daemon</title>
<para><command>mapping-daemon</command> is the central daemon which
keeps track of file mappings.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/libgnomecups.xml
0,0 → 1,104
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgnomecups-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecups/0.1/libgnomecups-&libgnomecups-version;.tar.bz2">
<!ENTITY libgnomecups-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecups/0.1/libgnomecups-&libgnomecups-version;.tar.bz2">
<!ENTITY libgnomecups-md5sum "0103893afb7bf0d78f6c6a196990b52d">
<!ENTITY libgnomecups-size "316 KB">
<!ENTITY libgnomecups-buildsize "4.2 MB">
<!ENTITY libgnomecups-time "0.09 SBU">
]>
 
<sect1 id="libgnomecups" xreflabel="libgnomecups-&libgnomecups-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgnomecups.html"?>
<title>libgnomecups-&libgnomecups-version;</title>
<indexterm zone="libgnomecups">
<primary sortas="a-Libgnomecups">Libgnomecups</primary></indexterm>
 
<sect2>
<title>Introduction to <application>libgnomecups</application></title>
 
<para>The <application>libgnomecups</application> package contains a library
used to wrap the <application><acronym>CUPS</acronym></application>
<acronym>API</acronym> in a <application>GLib</application> fashion, so
<application><acronym>CUPS</acronym></application> code can be cleanly
integrated with <application>GLib</application> code.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing="compact">
<listitem><para>Download (HTTP):
<ulink url="&libgnomecups-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&libgnomecups-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgnomecups-md5sum;</para></listitem>
<listitem><para>Download size: &libgnomecups-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgnomecups-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgnomecups-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgnomecups</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="glib2"/> and <xref linkend="intltool"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgnomecups</application></title>
 
<para>Install <application>libgnomecups</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Library</segtitle>
<segtitle>Installed Directory</segtitle>
 
<seglistitem>
<seg>None</seg>
<seg>libgnomecups-1.0.[so,a]</seg>
<seg>$GNOME_PREFIX/include/libgnomecups-1</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="libgnomecups-lib">
<term><filename class='libraryfile'>libgnomecups-1.0.[so,a]</filename></term>
<listitem><para>libraries are used to wrap the
<application><acronym>CUPS</acronym></application> <acronym>API</acronym> in a
<application>GLib</application> type interface.</para>
<indexterm zone="libgnomecups libgnomecups-lib">
<primary sortas="c-libgnomecups">libgnomecups-1.0.[so,a]</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gedit.xml
1,12 → 1,101
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gedit-download-http "http://ftp.gnome.org/pub/GNOME/sources/gedit/&gnome-version;/gedit-&gedit-version;.tar.bz2">
<!ENTITY gedit-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gedit/&gnome-version;/gedit-&gedit-version;.tar.bz2">
<!ENTITY gedit-md5sum "89052aec40b7447eb11d73134d71e812">
<!ENTITY gedit-size "2.5 MB">
<!ENTITY gedit-buildsize "47 MB">
<!ENTITY gedit-time "0.55 SBU">
]>
 
<sect1 id="gedit" xreflabel="gedit-&gedit-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gedit.html"?>
<title>gedit-&gedit-version;</title>
 
&gedit-intro;
&gedit-inst;
&gedit-exp;
&gedit-desc;
<sect2>
<title>Introduction to <application>gedit</application></title>
 
<para>The <application>gedit</application> package contains a lightweight
<acronym>UTF</acronym>-8 text editor for the
<application><acronym>GNOME</acronym></application> desktop.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gedit-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gedit-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gedit-md5sum;</para></listitem>
<listitem><para>Download size: &gedit-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gedit-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gedit-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>gedit</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="eel"/> and <xref linkend="gtksourceview"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="aspell"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>gedit</application></title>
 
<para>Install <application>gedit</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>gedit</application> package contains
<command>gedit</command>, a Bonobo control module and several
<application>gedit</application> plugin modules.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gedit</title>
<para><command>gedit</command> is a lightweight text editor.</para>
</sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/at-spi.xml
1,12 → 1,114
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY at-spi-download-http "http://ftp.gnome.org/pub/GNOME/sources/at-spi/1.6/at-spi-&at-spi-version;.tar.bz2">
<!ENTITY at-spi-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/at-spi/1.6/at-spi-&at-spi-version;.tar.bz2">
<!ENTITY at-spi-md5sum "950fc9bb66cf90b720739f3ea5ad8b18">
<!ENTITY at-spi-size "503 KB">
<!ENTITY at-spi-buildsize "14.6 MB">
<!ENTITY at-spi-time "0.55 SBU">
]>
 
<sect1 id="at-spi" xreflabel="AT SPI-&at-spi-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="at-spi.html"?>
<title>AT SPI-&at-spi-version;</title>
 
&at-spi-intro;
&at-spi-inst;
&at-spi-exp;
&at-spi-desc;
<sect2>
<title>Introduction to <application><acronym>AT</acronym>
<acronym>SPI</acronym></application></title>
 
<para>The <application><acronym>AT</acronym>
<acronym>SPI</acronym></application> package contains Assistive Technology
Service Provider Interface. This is useful for redirecting
<acronym>UI</acronym> events to accessible applications and adaptive/assistive
technologies.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&at-spi-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&at-spi-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &at-spi-md5sum;</para></listitem>
<listitem><para>Download size: &at-spi-size;</para></listitem>
<listitem><para>Estimated disk space required:
&at-spi-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&at-spi-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>AT</acronym>
<acronym>SPI</acronym></application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gail"/> and <xref linkend="libbonobo"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>AT</acronym>
<acronym>SPI</acronym></application></title>
 
<para>Install <application><acronym>AT</acronym>
<acronym>SPI</acronym></application> by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><option>--disable-gtk-doc</option>: This switch prevents the rebuilding
of the documentation during the <command>make</command> command.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>AT</acronym>
<acronym>SPI</acronym></application> package contains
<filename class="libraryfile">libspi</filename>,
<filename class="libraryfile">libcspi</filename> and
<filename class="libraryfile">libloginhelper</filename> libraries,
the <filename class='libraryfile'>libatk-bridge.so</filename>
<application><acronym>GTK</acronym>+</application> module,
<application>ORBit</application>-2.0
<filename class='libraryfile'>Accessibility</filename> modules and
<command>at-spi-registryd</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>at-spi-registryd</title>
<para><command>at-spi-registryd</command> is the registry daemon that allows
communication between the <acronym>UI</acronym> and assistance devices.</para>
</sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gnome-games.xml
1,12 → 1,135
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-games-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-games/&gnome-version;/gnome-games-&gnome-games-version;.tar.bz2">
<!ENTITY gnome-games-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-games/&gnome-version;/gnome-games-&gnome-games-version;.tar.bz2">
<!ENTITY gnome-games-md5sum "d3c675e29c835cfa765fbd6ae4a289cc">
<!ENTITY gnome-games-size "5.9 MB">
<!ENTITY gnome-games-buildsize "72 MB">
<!ENTITY gnome-games-time "0.98 SBU">
]>
 
<sect1 id="gnome-games" xreflabel="GNOME Games-&gnome-games-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-games.html"?>
<title>GNOME Games-&gnome-games-version;</title>
 
&gnome-games-intro;
&gnome-games-inst;
&gnome-games-exp;
&gnome-games-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Games</application></title>
 
<para>The <application><acronym>GNOME</acronym> Games</application> package
contains games.
Starting with <application><acronym>GNOME</acronym></application>-2.8, the
background graphics, artwork and themes for the games are now supplied in a
separate package. You can download the
<application><acronym>GNOME</acronym></application> Games Extra Data package
from <ulink
url="http://ftp.gnome.org/pub/GNOME/sources/gnome-games-extra-data/&gnome-version;/"/>.
</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-games-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-games-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-games-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-games-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-games-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-games-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Games</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/> and
<xref linkend="librsvg"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="guile"/> (to build the AisleRiot solitaire games)</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Games</application></title>
 
<para><application><acronym>GNOME</acronym> Games</application> needs to
be setgid to track high scores. Create a separate user and group for games.
See the <filename>README</filename> file in the source directory for more
information:</para>
 
<screen><userinput><command>install -d /var/lib/games &amp;&amp;
groupadd games &amp;&amp;
useradd -c 'Games High Score Owner' -d /var/lib/games \
-g games -s /bin/false games &amp;&amp;
chown games:games /var/lib/games</command></userinput></screen>
 
<para>Install <application><acronym>GNOME</acronym> Games</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><option>--disable-setgid</option>: This will prevent the setgid bit
on the executables from being set. It provides system administrators
with the option to disable setgid binaries, though it also means that the
functionality to save high game scores will be disabled.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Games</application> package
contains
<command>blackjack</command>, <command>gataxx</command>,
<command>glines</command>, <command>gnect</command>,
<command>gnibbles</command>, <command>gnobots2</command>,
<command>gnome-stones</command>, <command>gnometris</command>,
<command>gnomine</command>, <command>gnotravex</command>,
<command>gnotski</command>, <command>gtali</command>,
<command>iagno</command>, <command>mahjongg</command>,
<command>same-gnome</command> and <command>sol</command>.</para>
 
</sect2>
 
<sect2>
<title>Description</title>
 
<para>See the <filename>README</filename> file in the source tree for a
description of each game.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gtksourceview.xml
1,11 → 1,86
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gtksourceview-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtksourceview/1.1/gtksourceview-&gtksourceview-version;.tar.bz2">
<!ENTITY gtksourceview-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtksourceview/1.1/gtksourceview-&gtksourceview-version;.tar.bz2">
<!ENTITY gtksourceview-md5sum "2e59c8748594181d4bf452320c8c3b5c">
<!ENTITY gtksourceview-size "834 KB">
<!ENTITY gtksourceview-buildsize "11.7 MB">
<!ENTITY gtksourceview-time "0.24 SBU">
]>
 
<sect1 id="gtksourceview" xreflabel="gtksourceview-&gtksourceview-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gtksourceview.html"?>
<title>gtksourceview-&gtksourceview-version;</title>
 
&gtksourceview-intro;
&gtksourceview-inst;
&gtksourceview-desc;
<sect2>
<title>Introduction to <application>gtksourceview</application></title>
 
<para>The <application>gtksourceview</application> package contains
<filename>libgtksourceview</filename> libraries. This is useful for
extending the <application><acronym>GTK</acronym></application> text
functions to include syntax highlighting.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP):
<ulink url="&gtksourceview-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&gtksourceview-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gtksourceview-md5sum;</para></listitem>
<listitem><para>Download size: &gtksourceview-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gtksourceview-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gtksourceview-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>gtksourceview</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeprintui"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>gtksourceview</application></title>
 
<para>Install <application>gtksourceview</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>gtksourceview</application> package contains
<filename>libgtksourceview</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgtksourceview libraries</title>
<para><filename>libgtksourceview</filename> libraries contain function
extensions for the GtkTextView widget.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gal.xml
1,10 → 1,81
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gal-download-http "http://ftp.gnome.org/pub/gnome/sources/gal/2.2/gal-&gal-version;.tar.bz2">
<!ENTITY gal-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources/gal/2.2/gal-&gal-version;.tar.bz2">
<!ENTITY gal-md5sum "a50985fd1b70dc05cfc921455c39e660">
<!ENTITY gal-size "1.2 KB">
<!ENTITY gal-buildsize "59 MB">
<!ENTITY gal-time "1.24 SBU">
]>
 
<sect1 id="gal" xreflabel="GAL-&gal-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gal.html"?>
<title>GAL-&gal-version;</title>
 
&gal-intro;
&gal-inst;
&gal-desc;
<sect2>
<title>Introduction to <application>GAL</application></title>
 
<para>The <application>GAL</application> package contains library
functions that came from <application>Evolution</application> and
<application>Gnumeric</application>.
<application><acronym>GAL</acronym></application> is short for
<application><acronym>GNOME</acronym></application> Application Libs.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP):
<ulink url="&gal-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&gal-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gal-md5sum;</para></listitem>
<listitem><para>Download size: &gal-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gal-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gal-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GAL</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeprintui"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GAL</application></title>
 
<para>Install <application>GAL</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
 
<sect2>
<title>Contents</title>
 
<para>The <application>GAL</application> package contains library routines
pulled from the <application>Evolution</application> and
<application>Gnumeric</application> projects and repackaged as a generic
library.</para>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gnome-mag.xml
1,10 → 1,107
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-mag-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-mag/0.11/gnome-mag-&gnome-mag-version;.tar.bz2">
<!ENTITY gnome-mag-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-mag/0.11/gnome-mag-&gnome-mag-version;.tar.bz2">
<!ENTITY gnome-mag-md5sum "2603ef3349a8bbadcc1f3b36b467a9bf">
<!ENTITY gnome-mag-size "311 KB">
<!ENTITY gnome-mag-buildsize "5.1 MB">
<!ENTITY gnome-mag-time "0.12 SBU">
]>
 
<sect1 id="gnome-mag" xreflabel="GNOME Magnifier-&gnome-mag-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-mag.html"?>
<title>GNOME Magnifier-&gnome-mag-version;</title>
 
&gnome-mag-intro;
&gnome-mag-inst;
&gnome-mag-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Magnifier</application></title>
 
<para>The <application><acronym>GNOME</acronym> Magnifier</application>
includes a screen magnifier, which allows you to zoom in on portions of
the desktop. It is expressly designed for users with low vision who wish
to use the <application><acronym>GNOME</acronym></application> desktop.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-mag-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-mag-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-mag-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-mag-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-mag-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-mag-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Magnifier</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgail-gnome"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><ulink
url="http://www.freedesktop.org/wiki/Software_2fxlibs">Xdamage</ulink>
(requires <ulink
url="http://www.freedesktop.org/wiki/Software_2fxlibs">XExtensions</ulink>*
then <ulink
url="http://www.freedesktop.org/wiki/Software_2fxlibs">FixesExt</ulink>
then <ulink
url="http://www.freedesktop.org/wiki/Software_2fxlibs">Xfixes</ulink>
then <ulink
url="http://www.freedesktop.org/wiki/Software_2fxlibs">DamageExt</ulink>)</para>
 
<para>* The <application>XExtensions</application> package is included in a
<acronym>BLFS</acronym> <application>X</application> Window System
installation, but the pkgconfig <filename>.pc</filename> file
<application>FixesExt</application> looks for is not installed. Satisfy the
requirement by installing an <filename>xextensions.pc</filename> file into
<filename class='directory'>/usr/X11R6/lib/pkgconfig</filename> which can be
downloaded from <ulink
url="http://www.linuxfromscratch.org/~randy/xextensions.pc"/>.</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Magnifier</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Magnifier</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Magnifier</application>
package contains <command>magnifier</command> and
<filename class="libraryfile">libgnome-mag</filename>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>magnifier</title>
<para><command>magnifier</command> is a screen zooming
utility.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/gtkhtml.xml
1,10 → 1,89
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gtkhtml-download-http "http://ftp.gnome.org/pub/gnome/sources/gtkhtml/3.2/gtkhtml-&gtkhtml-version;.tar.bz2">
<!ENTITY gtkhtml-download-ftp "ftp://ftp.gnome.org/pub/gnome/sources/gtkhtml/3.2/gtkhtml-&gtkhtml-version;.tar.bz2">
<!ENTITY gtkhtml-md5sum "fe7aa0259a4cd7c99280c076711f8f80">
<!ENTITY gtkhtml-size "1.3 MB">
<!ENTITY gtkhtml-buildsize "51 MB">
<!ENTITY gtkhtml-time "1.21 SBU">
]>
 
<sect1 id="gtkhtml" xreflabel="GtkHTML-&gtkhtml-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gtkhtml.html"?>
<title>GtkHTML-&gtkhtml-version;</title>
 
&gtkhtml-intro;
&gtkhtml-inst;
&gtkhtml-desc;
<sect2>
<title>Introduction to <application>GtkHTML</application></title>
 
<para>The <application>GtkHTML</application> package contains a
lightweight <acronym>HTML</acronym> rendering/printing/editing engine.
This is an <application>Evolution</application> specific application at
this time.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP):
<ulink url="&gtkhtml-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&gtkhtml-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gtkhtml-md5sum;</para></listitem>
<listitem><para>Download size: &gtkhtml-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gtkhtml-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gtkhtml-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GtkHTML</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gal"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libsoup"/> and <xref linkend="gail"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GtkHTML</application></title>
 
<para>Install <application>GtkHTML</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GtkHTML</application> package contains
<filename class="libraryfile">libgtkhtml-3.1</filename> and
<filename class='libraryfile'>libgnome-gtkhtml-editor</filename>
libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgtkhtml-3.1 libraries</title>
<para><filename class="libraryfile">libgtkhtml-3.1</filename> libraries
provide the functions to render <acronym>HTML</acronym> within
applications.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/add/eog.xml
1,12 → 1,108
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY eog-download-http "http://ftp.gnome.org/pub/GNOME/sources/eog/&gnome-version;/eog-&eog-version;.tar.bz2">
<!ENTITY eog-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/eog/&gnome-version;/eog-&eog-version;.tar.bz2">
<!ENTITY eog-md5sum "2bad4006f3ccf15b0153d7b9facbc961">
<!ENTITY eog-size "834 KB">
<!ENTITY eog-buildsize "16.2 MB">
<!ENTITY eog-time "0.18 SBU">
]>
 
<sect1 id="eog" xreflabel="EOG-&eog-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="eog.html"?>
<title>EOG-&eog-version;</title>
 
&eog-intro;
&eog-inst;
&eog-exp;
&eog-desc;
<sect2>
<title>Introduction to <application><acronym>EOG</acronym></application></title>
 
<para>The <application><acronym>EOG</acronym></application> package
contains Eye of <application><acronym>GNOME</acronym></application>. This
is useful for viewing and cataloging image files.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&eog-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&eog-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &eog-md5sum;</para></listitem>
<listitem><para>Download size: &eog-size;</para></listitem>
<listitem><para>Estimated disk space required:
&eog-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&eog-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>EOG</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="eel"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libjpeg"/> and
<ulink url="http://sourceforge.net/projects/libexif/">libexif</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>EOG</acronym></application></title>
 
<para>Install <application><acronym>EOG</acronym></application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>EOG</acronym></application> package contains
<command>eog</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>eog</title>
<para><command>eog</command> is a fast and functional image viewer as well
as an image cataloging program.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/java-access-bridge.xml
0,0 → 1,157
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY java-access-bridge-download-http "http://ftp.gnome.org/pub/GNOME/sources/java-access-bridge/1.4/java-access-bridge-&java-access-bridge-version;.tar.bz2">
<!ENTITY java-access-bridge-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/java-access-bridge/1.4/java-access-bridge-&java-access-bridge-version;.tar.bz2">
<!ENTITY java-access-bridge-md5sum "80a6cfc17f39f420a6c4e36b8ea5f13d">
<!ENTITY java-access-bridge-size "93 KB">
<!ENTITY java-access-bridge-buildsize "5.4 MB">
<!ENTITY java-access-bridge-time "0.99 SBU">
]>
 
<sect1 id="java-access-bridge"
xreflabel="Java Access Bridge-&java-access-bridge-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="java-access-bridge.html"?>
<title><application>Java Access
Bridge</application>-&java-access-bridge-version;</title>
<indexterm zone="java-access-bridge">
<primary sortas="a-Java-Access-Bridge">Java Access Bridge</primary>
</indexterm>
 
<sect2>
<title>Introduction to <application>Java Access Bridge</application></title>
 
<para>The <application>Java Access Bridge</application> package contains Java
components which connect the built-in accessibility support in Java Swing
applications to the <application><acronym>GNOME</acronym></application>
Accessibility framework, specifically the Assistive Technology Service
Provider Interface (<acronym>AT</acronym>-<acronym>SPI</acronym>).</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing="compact">
<listitem><para>Download (HTTP):
<ulink url="&java-access-bridge-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&java-access-bridge-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum:
&java-access-bridge-md5sum;</para></listitem>
<listitem><para>Download size:
&java-access-bridge-size;</para></listitem>
<listitem><para>Estimated disk space required:
&java-access-bridge-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&java-access-bridge-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Java Access Bridge</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="at-spi"/> and <xref linkend="j2sdk"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Java Access Bridge</application></title>
 
<para>Install <application>Java Access Bridge</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install &amp;&amp;
cat `pkg-config --variable=prefix \
ORBit-2.0`/share/jar/accessibility.properties \
&gt;&gt; $JAVA_HOME/jre/lib/accessibility.properties &amp;&amp;
chmod -v 444 $JAVA_HOME/jre/lib/accessibility.properties &amp;&amp;
ln -v -sf `pkg-config --variable=prefix \
ORBit-2.0`/share/jar/gnome-java-bridge.jar \
$JAVA_HOME/jre/lib/ext</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><command>cat `pkg-config ...</command>: This command appends to (or
creates) the Java runtime <filename>accessibility.properties</filename> file
required for <application>Java Access Bridge</application>.</para>
 
<para><command>ln -sf `pkg-config ...</command>: This command creates a link
from the access bridge <filename>jar</filename> file to the Java runtime
library extensions directory.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application>Java Access Bridge</application></title>
 
<sect3 id="java-access-bridge-config"><title>Config files</title>
<para><filename>~/.orbitrc</filename></para>
<indexterm zone="java-access-bridge java-access-bridge-config">
<primary sortas="e-AA.orbitrc">~/.orbitrc</primary></indexterm>
</sect3>
 
<sect3><title>Configuration Information</title>
<para>Before running a Java program with the
<application>Java Access Bridge</application>, you should ensure that your
<application><acronym>GNOME</acronym></application> 2 installation enables
<acronym>CORBA</acronym> traffic over <acronym>IP</acronym> from the
<application><acronym>ORB</acronym>it2</application> <acronym>ORB</acronym>. Do
this by adding the following line to <filename>~/.orbitrc</filename> using the
following command:</para>
 
<screen><userinput><command>cat &gt;&gt; ~/.orbitrc &lt;&lt; "EOF"</command>
ORBIIOPIPv4=1
 
<command>EOF</command></userinput></screen>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>None</seg>
<seg>gnome-java-bridge.jar and JNav.jar</seg>
<seg>$GNOME_PREFIX/share/jar</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="gnome-java-bridge">
<term><filename class='libraryfile'>gnome-java-bridge.jar</filename></term>
<listitem><para>is a <application>Java</application> runtime environment
extension that connects the built-in accessibility support in
<application>Java Swing</application> applications to the
<application><acronym>GNOME</acronym></application> Accessibility
framework.</para>
<indexterm zone="java-access-bridge gnome-java-bridge">
<primary sortas="c-gnome-java-bridge">gnome-java-bridge.jar</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/gnome-system-monitor.xml
1,12 → 1,110
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="gnome-system-monitor" xreflabel="GNOME System Monitor-&gnome-system-monitor-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-system-monitor-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
<!ENTITY gnome-system-monitor-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-system-monitor/&gnome-version;/gnome-system-monitor-&gnome-system-monitor-version;.tar.bz2">
<!ENTITY gnome-system-monitor-md5sum "9aec14e8c549b26b2d2cd0e997038d8f">
<!ENTITY gnome-system-monitor-size "681 KB">
<!ENTITY gnome-system-monitor-buildsize "8.7 MB">
<!ENTITY gnome-system-monitor-time "0.08 SBU">
]>
 
<sect1 id="gnome-system-monitor"
xreflabel="GNOME System Monitor-&gnome-system-monitor-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-system-monitor.html"?>
<title>GNOME System Monitor-&gnome-system-monitor-version;</title>
 
&gnome-system-monitor-intro;
&gnome-system-monitor-inst;
&gnome-system-monitor-exp;
&gnome-system-monitor-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym> System
Monitor</application></title>
 
<para>The <application><acronym>GNOME</acronym> System Monitor</application>
package contains <command>gnome-system-monitor</command>, GNOME's replacement
for <command>gtop</command>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-system-monitor-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-system-monitor-download-ftp;"/></para></listitem>
<listitem><para>Download MD5sum:
&gnome-system-monitor-md5sum;</para></listitem>
<listitem><para>Download size:
&gnome-system-monitor-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-system-monitor-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-system-monitor-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> System
Monitor</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="libwnck"/> and
<xref linkend="libgtop"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym> System
Monitor</application></title>
 
<para>Install <application><acronym>GNOME</acronym> System
Monitor</application> by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<note><para><command>make install</command> will need path access to
<filename class="directory">$GNOME_PREFIX/bin</filename>. If you use the
root account for installation of the package and your preinstallation changes
were made only to a user's account, you will need to adjust root's path prior
to running <command>make install</command>.</para></note>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> System Monitor</application>
package contains <command>gnome-system-monitor</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-system-monitor</title>
<para><command>gnome-system-monitor</command> displays the process tree and
hardware meters.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/add/epiphany.xml
1,11 → 1,111
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY epiphany-download-http "http://ftp.gnome.org/pub/GNOME/sources/epiphany/1.4/epiphany-&epiphany-version;.tar.bz2">
<!ENTITY epiphany-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/epiphany/1.4/epiphany-&epiphany-version;.tar.bz2">
<!ENTITY epiphany-md5sum "ac41b48506ba2791121648772a885084">
<!ENTITY epiphany-size "3.5 MB">
<!ENTITY epiphany-buildsize "58 MB">
<!ENTITY epiphany-time "0.87 SBU">
]>
 
<sect1 id="epiphany" xreflabel="Epiphany-&epiphany-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="epiphany.html"?>
<title>Epiphany-&epiphany-version;</title>
 
&epiphany-intro;
&epiphany-inst;
&epiphany-exp;
&epiphany-desc;
<sect2>
<title>Introduction to <application>Epiphany</application></title>
 
<para><application>Epiphany</application> is a simple yet powerful
<application><acronym>GNOME</acronym></application> web browser targeted at
non-technical users. Its principles are simplicity and standards compliance.
</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&epiphany-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&epiphany-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &epiphany-md5sum;</para></listitem>
<listitem><para>Download size: &epiphany-size;</para></listitem>
<listitem><para>Estimated disk space required:
&epiphany-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&epiphany-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Epiphany</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/>, and
<xref linkend="mozilla"/> or
<xref linkend="firefox"/> or
<xref linkend="thunderbird"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Epiphany</application></title>
 
<para>Install <application>Epiphany</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><option>--with-mozilla=firefox</option> or
<option>--with-mozilla=thunderbird</option>: Use this option to use a system
installed version of <application>Firefox</application> or
<application>Thunderbird</application> instead of the default
<application>Mozilla</application>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Epiphany</application> package contains
<command>epiphany</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>epiphany</title>
<para><command>epiphany</command> is a
<application><acronym>GNOME</acronym></application> web browser based on the
<application>Mozilla</application> rendering engine.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/core/libart_lgpl/libart_lgpl.ent
File deleted
/trunk/blfs/gnome/core/libart_lgpl/libart_lgpl-intro.xml
File deleted
/trunk/blfs/gnome/core/libart_lgpl/libart_lgpl-inst.xml
File deleted
/trunk/blfs/gnome/core/libart_lgpl/libart_lgpl-desc.xml
File deleted
/trunk/blfs/gnome/core/gtk-doc.xml
File deleted
/trunk/blfs/gnome/core/libgnomecanvas/libgnomecanvas.ent
File deleted
/trunk/blfs/gnome/core/libgnomecanvas/libgnomecanvas-intro.xml
File deleted
/trunk/blfs/gnome/core/libgnomecanvas/libgnomecanvas-exp.xml
File deleted
/trunk/blfs/gnome/core/libgnomecanvas/libgnomecanvas-inst.xml
File deleted
/trunk/blfs/gnome/core/libgnomecanvas/libgnomecanvas-desc.xml
File deleted
/trunk/blfs/gnome/core/libbonoboui/libbonoboui-desc.xml
File deleted
/trunk/blfs/gnome/core/libbonoboui/libbonoboui.ent
File deleted
/trunk/blfs/gnome/core/libbonoboui/libbonoboui-intro.xml
File deleted
/trunk/blfs/gnome/core/libbonoboui/libbonoboui-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-terminal/gnome-terminal-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-terminal/gnome-terminal-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-terminal/gnome-terminal-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-terminal/gnome-terminal.ent
File deleted
/trunk/blfs/gnome/core/gnome-terminal/gnome-terminal-intro.xml
File deleted
/trunk/blfs/gnome/core/libidl.xml
File deleted
/trunk/blfs/gnome/core/libbonobo/libbonobo.ent
File deleted
/trunk/blfs/gnome/core/libbonobo/libbonobo-intro.xml
File deleted
/trunk/blfs/gnome/core/libbonobo/libbonobo-exp.xml
File deleted
/trunk/blfs/gnome/core/libbonobo/libbonobo-inst.xml
File deleted
/trunk/blfs/gnome/core/libbonobo/libbonobo-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-desktop/gnome-desktop-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-desktop/gnome-desktop-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-desktop/gnome-desktop-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-desktop/gnome-desktop.ent
File deleted
/trunk/blfs/gnome/core/gnome-desktop/gnome-desktop-intro.xml
File deleted
/trunk/blfs/gnome/core/libgsf/libgsf.ent
File deleted
/trunk/blfs/gnome/core/libgsf/libgsf-intro.xml
File deleted
/trunk/blfs/gnome/core/libgsf/libgsf-exp.xml
File deleted
/trunk/blfs/gnome/core/libgsf/libgsf-inst.xml
File deleted
/trunk/blfs/gnome/core/libgsf/libgsf-desc.xml
File deleted
/trunk/blfs/gnome/core/gstreamer.xml
File deleted
/trunk/blfs/gnome/core/eel/eel.ent
File deleted
/trunk/blfs/gnome/core/eel/eel-intro.xml
File deleted
/trunk/blfs/gnome/core/eel/eel-inst.xml
File deleted
/trunk/blfs/gnome/core/eel/eel-desc.xml
File deleted
/trunk/blfs/gnome/core/libwnck/libwnck-intro.xml
File deleted
/trunk/blfs/gnome/core/libwnck/libwnck-inst.xml
File deleted
/trunk/blfs/gnome/core/libwnck/libwnck-desc.xml
File deleted
/trunk/blfs/gnome/core/libwnck/libwnck.ent
File deleted
/trunk/blfs/gnome/core/gtk-engines/gtk-engines-intro.xml
File deleted
/trunk/blfs/gnome/core/gtk-engines/gtk-engines-inst.xml
File deleted
/trunk/blfs/gnome/core/gtk-engines/gtk-engines-desc.xml
File deleted
/trunk/blfs/gnome/core/gtk-engines/gtk-engines.ent
File deleted
/trunk/blfs/gnome/core/gail/gail.ent
File deleted
/trunk/blfs/gnome/core/gail/gail-intro.xml
File deleted
/trunk/blfs/gnome/core/gail/gail-inst.xml
File deleted
/trunk/blfs/gnome/core/gail/gail-desc.xml
File deleted
/trunk/blfs/gnome/core/libglade.xml
File deleted
/trunk/blfs/gnome/core/libcroco.xml
File deleted
/trunk/blfs/gnome/core/libidl/libidl-desc.xml
File deleted
/trunk/blfs/gnome/core/libidl/libidl.ent
File deleted
/trunk/blfs/gnome/core/libidl/libidl-intro.xml
File deleted
/trunk/blfs/gnome/core/libidl/libidl-inst.xml
File deleted
/trunk/blfs/gnome/core/gstreamer/gstreamer.ent
File deleted
/trunk/blfs/gnome/core/gstreamer/gstreamer-intro.xml
File deleted
/trunk/blfs/gnome/core/gstreamer/gstreamer-exp.xml
File deleted
/trunk/blfs/gnome/core/gstreamer/gstreamer-inst.xml
File deleted
/trunk/blfs/gnome/core/gstreamer/gstreamer-desc.xml
File deleted
/trunk/blfs/gnome/core/libgtop/libgtop.ent
File deleted
/trunk/blfs/gnome/core/libgtop/libgtop-intro.xml
File deleted
/trunk/blfs/gnome/core/libgtop/libgtop-inst.xml
File deleted
/trunk/blfs/gnome/core/libgtop/libgtop-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-session/gnome-session-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-session/gnome-session-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-session/gnome-session-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-session/gnome-session-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-session/gnome-session.ent
File deleted
/trunk/blfs/gnome/core/intltool.xml
File deleted
/trunk/blfs/gnome/core/gtk-doc/gtk-doc-inst.xml
File deleted
/trunk/blfs/gnome/core/gtk-doc/gtk-doc-desc.xml
File deleted
/trunk/blfs/gnome/core/gtk-doc/gtk-doc.ent
File deleted
/trunk/blfs/gnome/core/gtk-doc/gtk-doc-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-mime-data/gnome-mime-data.ent
File deleted
/trunk/blfs/gnome/core/gnome-mime-data/gnome-mime-data-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-mime-data/gnome-mime-data-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-mime-data/gnome-mime-data-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-mime-data/gnome-mime-data-desc.xml
File deleted
/trunk/blfs/gnome/core/gst-plugins/gst-plugins.ent
File deleted
/trunk/blfs/gnome/core/gst-plugins/gst-plugins-intro.xml
File deleted
/trunk/blfs/gnome/core/gst-plugins/gst-plugins-inst.xml
File deleted
/trunk/blfs/gnome/core/gst-plugins/gst-plugins-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-panel/gnome-panel.ent
File deleted
/trunk/blfs/gnome/core/gnome-panel/gnome-panel-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-panel/gnome-panel-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-panel/gnome-panel-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-panel/gnome-panel-desc.xml
File deleted
/trunk/blfs/gnome/core/libglade/libglade-intro.xml
File deleted
/trunk/blfs/gnome/core/libglade/libglade-exp.xml
File deleted
/trunk/blfs/gnome/core/libglade/libglade-inst.xml
File deleted
/trunk/blfs/gnome/core/libglade/libglade-desc.xml
File deleted
/trunk/blfs/gnome/core/libglade/libglade.ent
File deleted
/trunk/blfs/gnome/core/gst-plugins.xml
File deleted
/trunk/blfs/gnome/core/libcroco/libcroco.ent
File deleted
/trunk/blfs/gnome/core/libcroco/libcroco-intro.xml
File deleted
/trunk/blfs/gnome/core/libcroco/libcroco-inst.xml
File deleted
/trunk/blfs/gnome/core/libcroco/libcroco-desc.xml
File deleted
/trunk/blfs/gnome/core/libgnome/libgnome.ent
File deleted
/trunk/blfs/gnome/core/libgnome/libgnome-intro.xml
File deleted
/trunk/blfs/gnome/core/libgnome/libgnome-exp.xml
File deleted
/trunk/blfs/gnome/core/libgnome/libgnome-inst.xml
File deleted
/trunk/blfs/gnome/core/libgnome/libgnome-desc.xml
File deleted
/trunk/blfs/gnome/core/gconf/gconf.ent
File deleted
/trunk/blfs/gnome/core/gconf/gconf-intro.xml
File deleted
/trunk/blfs/gnome/core/gconf/gconf-exp.xml
File deleted
/trunk/blfs/gnome/core/gconf/gconf-inst.xml
File deleted
/trunk/blfs/gnome/core/gconf/gconf-desc.xml
File deleted
/trunk/blfs/gnome/core/orbit2/orbit2-desc.xml
File deleted
/trunk/blfs/gnome/core/orbit2/orbit2.ent
File deleted
/trunk/blfs/gnome/core/orbit2/orbit2-intro.xml
File deleted
/trunk/blfs/gnome/core/orbit2/orbit2-exp.xml
File deleted
/trunk/blfs/gnome/core/orbit2/orbit2-inst.xml
File deleted
/trunk/blfs/gnome/core/nautilus/nautilus-intro.xml
File deleted
/trunk/blfs/gnome/core/nautilus/nautilus-exp.xml
File deleted
/trunk/blfs/gnome/core/nautilus/nautilus-inst.xml
File deleted
/trunk/blfs/gnome/core/nautilus/nautilus-desc.xml
File deleted
/trunk/blfs/gnome/core/nautilus/nautilus.ent
File deleted
/trunk/blfs/gnome/core/librsvg/librsvg.ent
File deleted
/trunk/blfs/gnome/core/librsvg/librsvg-intro.xml
File deleted
/trunk/blfs/gnome/core/librsvg/librsvg-inst.xml
File deleted
/trunk/blfs/gnome/core/librsvg/librsvg-desc.xml
File deleted
/trunk/blfs/gnome/core/intltool/intltool.ent
File deleted
/trunk/blfs/gnome/core/intltool/intltool-intro.xml
File deleted
/trunk/blfs/gnome/core/intltool/intltool-inst.xml
File deleted
/trunk/blfs/gnome/core/intltool/intltool-desc.xml
File deleted
/trunk/blfs/gnome/core/vte/vte-intro.xml
File deleted
/trunk/blfs/gnome/core/vte/vte-exp.xml
File deleted
/trunk/blfs/gnome/core/vte/vte-inst.xml
File deleted
/trunk/blfs/gnome/core/vte/vte-desc.xml
File deleted
/trunk/blfs/gnome/core/vte/vte.ent
File deleted
/trunk/blfs/gnome/core/control-center/control-center.ent
File deleted
/trunk/blfs/gnome/core/control-center/control-center-intro.xml
File deleted
/trunk/blfs/gnome/core/control-center/control-center-exp.xml
File deleted
/trunk/blfs/gnome/core/control-center/control-center-inst.xml
File deleted
/trunk/blfs/gnome/core/control-center/control-center-desc.xml
File deleted
/trunk/blfs/gnome/core/librsvg.xml
File deleted
/trunk/blfs/gnome/core/gnome-themes/gnome-themes.ent
File deleted
/trunk/blfs/gnome/core/gnome-themes/gnome-themes-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-themes/gnome-themes-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-themes/gnome-themes-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-icon-theme/gnome-icon-theme.ent
File deleted
/trunk/blfs/gnome/core/gnome-icon-theme/gnome-icon-theme-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-icon-theme/gnome-icon-theme-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-icon-theme/gnome-icon-theme-desc.xml
File deleted
/trunk/blfs/gnome/core/libgsf.xml
File deleted
/trunk/blfs/gnome/core/scrollkeeper/scrollkeeper.ent
File deleted
/trunk/blfs/gnome/core/scrollkeeper/scrollkeeper-intro.xml
File deleted
/trunk/blfs/gnome/core/scrollkeeper/scrollkeeper-exp.xml
File deleted
/trunk/blfs/gnome/core/scrollkeeper/scrollkeeper-inst.xml
File deleted
/trunk/blfs/gnome/core/scrollkeeper/scrollkeeper-desc.xml
File deleted
/trunk/blfs/gnome/core/scrollkeeper/scrollkeeper-config.xml
File deleted
/trunk/blfs/gnome/core/gnome-applets/gnome-applets.ent
File deleted
/trunk/blfs/gnome/core/gnome-applets/gnome-applets-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-applets/gnome-applets-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-applets/gnome-applets-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-applets/gnome-applets-desc.xml
File deleted
/trunk/blfs/gnome/core/libart_lgpl.xml
File deleted
/trunk/blfs/gnome/core/gnome-keyring/gnome-keyring.ent
File deleted
/trunk/blfs/gnome/core/gnome-keyring/gnome-keyring-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-keyring/gnome-keyring-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-keyring/gnome-keyring-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-keyring/gnome-keyring-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-vfs/gnome-vfs-intro.xml
File deleted
/trunk/blfs/gnome/core/gnome-vfs/gnome-vfs-exp.xml
File deleted
/trunk/blfs/gnome/core/gnome-vfs/gnome-vfs-inst.xml
File deleted
/trunk/blfs/gnome/core/gnome-vfs/gnome-vfs-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-vfs/gnome-vfs.ent
File deleted
/trunk/blfs/gnome/core/libgnomeui/libgnomeui.ent
File deleted
/trunk/blfs/gnome/core/libgnomeui/libgnomeui-intro.xml
File deleted
/trunk/blfs/gnome/core/libgnomeui/libgnomeui-exp.xml
File deleted
/trunk/blfs/gnome/core/libgnomeui/libgnomeui-inst.xml
File deleted
/trunk/blfs/gnome/core/libgnomeui/libgnomeui-desc.xml
File deleted
/trunk/blfs/gnome/core/gnome-session.xml
1,12 → 1,122
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-session-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-session/&gnome-version;/gnome-session-&gnome-session-version;.tar.bz2">
<!ENTITY gnome-session-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-session/&gnome-version;/gnome-session-&gnome-session-version;.tar.bz2">
<!ENTITY gnome-session-md5sum "15402d84eef4cf159bb8de78f432bb98">
<!ENTITY gnome-session-size "883 KB">
<!ENTITY gnome-session-buildsize "12.1 MB">
<!ENTITY gnome-session-time "0.24 SBU">
]>
 
<sect1 id="gnome-session" xreflabel="GNOME Session-&gnome-session-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-session.html"?>
<title>GNOME Session-&gnome-session-version;</title>
 
&gnome-session-intro;
&gnome-session-inst;
&gnome-session-exp;
&gnome-session-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Session</application></title>
 
<para>The <application><acronym>GNOME</acronym> Session</application>
package contains the <application><acronym>GNOME</acronym></application>
session manager.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-session-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-session-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-session-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-session-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-session-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-session-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Session</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="tcpwrappers"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Session</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Session</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Session</application> package
contains
<command>gnome-session</command>,
<command>gnome-session-<replaceable>[utilities]</replaceable></command>,
<command>gnome-smproxy</command> and
<command>gnome-wm</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-session</title>
<para><command>gnome-session</command> starts up the
<application><acronym>GNOME</acronym></application> desktop.</para></sect3>
 
<sect3><title>session utilities</title>
<para>session utilities includes a configuration program and other
session management related utilities.</para></sect3>
 
<sect3><title>gnome-smproxy</title>
<para><command>gnome-smproxy</command> handles basic session management for
applications that do not support <acronym>XSM</acronym>.</para></sect3>
 
<sect3><title>gnome-wm</title>
<para><command>gnome-wm</command> uses the <envar>$WINDOW_MANAGER</envar>
environment variable to allow a user to define a window manager of choice. If
no <envar>$WINDOW_MANAGER</envar> is defined, <command>gnome-wm</command>
defaults to <command>metacity</command> as the default window manager.</para>
</sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libgnomecanvas.xml
1,12 → 1,90
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgnomecanvas-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/&gnome-version;/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
<!ENTITY libgnomecanvas-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomecanvas/&gnome-version;/libgnomecanvas-&libgnomecanvas-version;.tar.bz2">
<!ENTITY libgnomecanvas-md5sum "2bf10396a92777e7b64b6052a8a232f1">
<!ENTITY libgnomecanvas-size "578 KB">
<!ENTITY libgnomecanvas-buildsize "12.3 MB">
<!ENTITY libgnomecanvas-time "0.28 SBU">
]>
 
<sect1 id="libgnomecanvas" xreflabel="libgnomecanvas-&libgnomecanvas-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgnomecanvas.html"?>
<title>libgnomecanvas-&libgnomecanvas-version;</title>
 
&libgnomecanvas-intro;
&libgnomecanvas-inst;
&libgnomecanvas-exp;
&libgnomecanvas-desc;
<sect2>
<title>Introduction to <application>libgnomecanvas</application></title>
 
<para>The <application>libgnomecanvas</application> package contains
the <application><acronym>GNOME</acronym></application> canvas library.
It is an engine for structured graphics and one of the essential
<application><acronym>GNOME</acronym></application> libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgnomecanvas-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgnomecanvas-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgnomecanvas-md5sum;</para></listitem>
<listitem><para>Download size: &libgnomecanvas-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgnomecanvas-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgnomecanvas-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgnomecanvas</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libglade"/> and <xref linkend="libart_lgpl"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgnomecanvas</application></title>
 
<para>Install <application>libgnomecanvas</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><option>--disable-gtk-doc</option>: This switch will prevent the
rebuilding of the <acronym>API</acronym> documentation during the
<command>make</command> command.
</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgnomecanvas</application> package contains
<filename class="libraryfile">libgnomecanvas</filename> libraries and the
<filename class='libraryfile'>libcanvas</filename> glade library.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-themes.xml
1,11 → 1,75
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-themes-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-themes/&gnome-version;/gnome-themes-&gnome-themes-version;.tar.bz2">
<!ENTITY gnome-themes-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-themes/&gnome-version;/gnome-themes-&gnome-themes-version;.tar.bz2">
<!ENTITY gnome-themes-md5sum "43042549347d67a844f986acd9e6bc3d">
<!ENTITY gnome-themes-size "2.7 MB">
<!ENTITY gnome-themes-buildsize "31.2 MB">
<!ENTITY gnome-themes-time "0.47 SBU">
]>
 
<sect1 id="gnome-themes" xreflabel="GNOME Themes-&gnome-themes-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-themes.html"?>
<title>GNOME Themes-&gnome-themes-version;</title>
 
&gnome-themes-intro;
&gnome-themes-inst;
&gnome-themes-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Themes</application></title>
 
<para>The <application><acronym>GNOME</acronym> Themes</application> package
contains several more theme sets.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-themes-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-themes-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-themes-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-themes-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-themes-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-themes-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Themes</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="intltool"/> and <xref linkend="gtk-engines"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Themes</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Themes</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Themes</application> package
contains themes.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libgnomeui.xml
1,12 → 1,121
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgnomeui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnomeui/&gnome-version;/libgnomeui-&libgnomeui-version;.tar.bz2">
<!ENTITY libgnomeui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnomeui/&gnome-version;/libgnomeui-&libgnomeui-version;.tar.bz2">
<!ENTITY libgnomeui-md5sum "ef0df128e3c0b2047ce440bbbe481390">
<!ENTITY libgnomeui-size "1.6 MB">
<!ENTITY libgnomeui-buildsize "36.1 MB">
<!ENTITY libgnomeui-time "0.85 SBU">
]>
 
<sect1 id="libgnomeui" xreflabel="libgnomeui-&libgnomeui-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgnomeui.html"?>
<title>libgnomeui-&libgnomeui-version;</title>
 
&libgnomeui-intro;
&libgnomeui-inst;
&libgnomeui-exp;
&libgnomeui-desc;
<sect2>
<title>Introduction to <application>libgnomeui</application></title>
 
<para>The <application>libgnomeui</application> package contains
<filename class="libraryfile">libgnomeui</filename> libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgnomeui-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgnomeui-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgnomeui-md5sum;</para></listitem>
<listitem><para>Download size: &libgnomeui-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgnomeui-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgnomeui-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgnomeui</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libbonoboui"/> and <xref linkend="gnome-keyring"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libjpeg"/> and <xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgnomeui</application></title>
 
<para>Install <application>libgnomeui</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><option>--disable-gtk-doc</option>: This switch prevents
rebuilding the documentation during the <command>make</command> command.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application>libgnomeui</application></title>
 
<sect3><title>Configuration information</title>
<para>Some applications cannot properly discover the
<application>libglade</application> interface library installed by
<application>libgnomeui</application>. Get around this problem by initializing
an environment variable which identifies the location of the library. Add the
following line to the system-wide <filename>/etc/profile</filename> file, or
to individual user's <filename>~/.profile</filename> or
<filename>~/.bashrc</filename> files:</para>
 
<screen><userinput>export LIBGLADE_MODULE_PATH=$GNOME_PREFIX/lib/libglade/2.0</userinput></screen>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgnomeui</application> package contains
<command>gnome_segv2</command>,
<filename class="libraryfile">libgnomeui</filename> libraries,
<filename class='libraryfile'>libgnome-vfs</filename>
<application><acronym>GTK</acronym>+</application> libraries and
<filename class='libraryfile'>libgnome</filename> glade libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgnomeui libraries</title>
<para><filename class="libraryfile">libgnomeui</filename> libraries are the
<acronym>GUI</acronym> portion of the
<application><acronym>GNOME</acronym></application> libraries.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libgnome.xml
1,12 → 1,115
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgnome-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgnome/&gnome-version;/libgnome-&libgnome-version;.tar.bz2">
<!ENTITY libgnome-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgnome/&gnome-version;/libgnome-&libgnome-version;.tar.bz2">
<!ENTITY libgnome-md5sum "dab4ecbfa7ec1a2f22d2a48b6b83e937">
<!ENTITY libgnome-size "1.2 MB">
<!ENTITY libgnome-buildsize "17 MB">
<!ENTITY libgnome-time "0.24 SBU">
]>
 
<sect1 id="libgnome" xreflabel="libgnome-&libgnome-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgnome.html"?>
<title>libgnome-&libgnome-version;</title>
 
&libgnome-intro;
&libgnome-inst;
&libgnome-exp;
&libgnome-desc;
<sect2>
<title>Introduction to libgnome</title>
 
<para>The <application>libgnome</application> package contains the
<filename class="libraryfile">libgnome</filename> library.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgnome-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgnome-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgnome-md5sum;</para></listitem>
<listitem><para>Download size: &libgnome-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgnome-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgnome-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgnome</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-vfs"/> and <xref linkend="esound"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgnome</application></title>
 
<para>Install <application>libgnome</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --localstatedir=/var/lib --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch sets
<envar>LIBGNOME_LOCALSTATEDIR</envar> to
<filename class='directory'>/var/lib</filename> instead of
<filename class='directory'>$GNOME_PREFIX/var</filename> to syncronize with
the <application><acronym>GNOME</acronym> Games</application> installation
and properly record high scores in
<filename class='directory'>/var/lib/games</filename>.</para>
 
<para><option>--disable-gtk-doc</option>: This switch prevents
the rebuilding of documentation during the <command>make</command>
command.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgnome</application> package contains
<command>gnome-open</command>,
<filename class="libraryfile">libgnome</filename> and
<filename class='libraryfile'>libmoniker_extra_2</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgnome libraries</title>
<para><filename class="libraryfile">libgnome</filename> libraries are the
non-<acronym>GUI</acronym> portion of the
<application><acronym>GNOME</acronym></application> libraries.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gconf.xml
1,12 → 1,117
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY GConf-download-http "http://ftp.gnome.org/pub/GNOME/sources/GConf/&gnome-version;/GConf-&GConf-version;.tar.bz2">
<!ENTITY GConf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/GConf/&gnome-version;/GConf-&GConf-version;.tar.bz2">
<!ENTITY GConf-md5sum "b1173cbe33404bcbcc15710ce2a28f67">
<!ENTITY GConf-size "1.7 MB">
<!ENTITY GConf-buildsize "27 MB">
<!ENTITY GConf-time "0.44 SBU">
]>
 
<sect1 id="GConf" xreflabel="GConf-&GConf-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="GConf.html"?>
<title>GConf-&GConf-version;</title>
 
&GConf-intro;
&GConf-inst;
&GConf-exp;
&GConf-desc;
<sect2>
<title>Introduction to GConf</title>
 
<para>The GConf package contains a configuration database system.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&GConf-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&GConf-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &GConf-md5sum;</para></listitem>
<listitem><para>Download size: &GConf-size;</para></listitem>
<listitem><para>Estimated disk space required:
&GConf-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&GConf-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GConf</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="ORBit2"/>,
<xref linkend="gtk2"/> and
<xref linkend="libxml2"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GConf</application></title>
 
<para>Install <application>GConf</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts <application><acronym>GNOME</acronym>-2</application> configuration files
in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>. This
installation controls all future installations of schemas. If you change the
location (which includes eliminating this parameter), it
<emphasis>must</emphasis> be consistent for every subsequent
<application><acronym>GNOME</acronym>-2</application> installation.</para>
 
<para><option>--disable-gtk-doc</option>: This switch disables building the
documentation during the <command>make</command> step. Omit this option if
you have <application>GTK-Doc</application> installed and wish to rebuild and
install the documentation.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GConf</application> package contains
<command>gconfd-2</command>,
<command>gconf-sanity-check-2</command>,
<command>gconftool-2</command>,
<command>gconf-merge-tree</command>,
<filename class='libraryfile'>libgconf-2</filename> and
<filename class='libraryfile'>gconfbackend</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgconf libraries</title>
<para><filename>libgconf</filename> libraries provide the functions necessary
to maintain the configuration database.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-mime-data.xml
1,12 → 1,101
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-mime-data-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-mime-data/2.4/gnome-mime-data-&gnome-mime-data-version;.tar.bz2">
<!ENTITY gnome-mime-data-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-mime-data/2.4/gnome-mime-data-&gnome-mime-data-version;.tar.bz2">
<!ENTITY gnome-mime-data-md5sum "37242776b08625fa10c73c18b790e552">
<!ENTITY gnome-mime-data-size "849 KB">
<!ENTITY gnome-mime-data-buildsize "11 MB">
<!ENTITY gnome-mime-data-time "0.04 SBU">
]>
 
<sect1 id="gnome-mime-data" xreflabel="GNOME MIME Data-&gnome-mime-data-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-mime-data.html"?>
<title>GNOME MIME Data-&gnome-mime-data-version;</title>
 
&gnome-mime-data-intro;
&gnome-mime-data-inst;
&gnome-mime-data-exp;
&gnome-mime-data-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
<acronym>MIME</acronym> Data</application></title>
 
<para>The <application><acronym>GNOME</acronym> <acronym>MIME</acronym>
Data</application> package contains the base set of file types and
applications for <application><acronym>GNOME</acronym>-2</application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-mime-data-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-mime-data-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-mime-data-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-mime-data-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-mime-data-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-mime-data-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> <acronym>MIME</acronym>
Data</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="perl-modules"/>: XML-Parser</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
<acronym>MIME</acronym> Data</application></title>
 
<para>Install <application><acronym>GNOME</acronym> <acronym>MIME</acronym>
Data</application> by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
install -d -m755 $GNOME_PREFIX/man/man5 &amp;&amp;
install -m644 man/gnome-vfs-mime.5 $GNOME_PREFIX/man/man5</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> <acronym>MIME</acronym>
Data</application> package contains
<filename>$GNOME_PREFIX/share/application-registry</filename> and
<filename>$GNOME_PREFIX/share/mime-info</filename>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>application-registry</title>
<para><filename>application-registry</filename> contains the application mime
database.</para></sect3>
 
<sect3><title>mime-info</title>
<para><filename>mime-info</filename> contains the mime description
database.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/orbit2.xml
1,12 → 1,116
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY ORBit2-download-http "http://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.12/ORBit2-&ORBit2-version;.tar.bz2">
<!ENTITY ORBit2-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ORBit2/2.12/ORBit2-&ORBit2-version;.tar.bz2">
<!ENTITY ORBit2-md5sum "d7f0c2b9bee73b89978a9968c10f81fe">
<!ENTITY ORBit2-size "667 KB">
<!ENTITY ORBit2-buildsize "31.8 MB">
<!ENTITY ORBit2-time "0.66 SBU">
]>
 
<sect1 id="ORBit2" xreflabel="ORBit2-&ORBit2-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="ORBit2.html"?>
<title>ORBit2-&ORBit2-version;</title>
 
&ORBit2-intro;
&ORBit2-inst;
&ORBit2-exp;
&ORBit2-desc;
<sect2>
<title>Introduction to
<application><acronym>ORB</acronym>it2</application></title>
 
<para>The <application><acronym>ORB</acronym>it2</application> package
contains a high-performance <acronym>CORBA</acronym> Object
Request Broker. This allows programs to send requests and receive
replies from other programs.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&ORBit2-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&ORBit2-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &ORBit2-md5sum;</para></listitem>
<listitem><para>Download size: &ORBit2-size;</para></listitem>
<listitem><para>Estimated disk space required:
&ORBit2-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&ORBit2-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>ORB</acronym>it2</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libIDL"/> and <xref linkend="popt"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/> and <xref linkend="openssl"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of
<application><acronym>ORB</acronym>it2</application></title>
 
<para>Install <application><acronym>ORB</acronym>it2</application> by running
the following commands:</para>
 
<screen><userinput><command>./configure --prefix=$GNOME_PREFIX --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=$GNOME_PREFIX</parameter>: This is the Base
installation for <application>GNOME-2</application> from which all future
installations will receive their prefix parameter. Be sure that
<envar>GNOME_PREFIX</envar> is set for this install or globally to your
install directory as described in the introduction of this Section.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of
<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>ORB</acronym>it2</application> package contains
<command>ior-decode-2</command>,
<command>linc-cleanup-sockets</command>,
<command>orbit-idl-2</command>,
<command>orbit2-config</command>,
<command>typelib-dump</command>,
<filename class="libraryfile">libORBit-2</filename>,
<filename class="libraryfile">libORBitCosNaming-2</filename>,
<filename class="libraryfile">libORBit-imodule-2</filename>,
<filename class='libraryfile'>libname-server-2</filename> and the
<application><acronym>ORB</acronym>it2</application>
<filename class='libraryfile'>Everything_module</filename>
libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libORBit-2</title>
<para><filename class="libraryfile">libORBit-2</filename> is the
<acronym>CORBA</acronym> <acronym>API</acronym>.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/config.xml
1,17 → 1,62
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<sect1 id="gnome-config">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="config.html"?>
<title>Configurer les paquetages principaux de GNOME</title>
<title>Configuring the core GNOME packages</title>
 
 
<para>Créez un fichier <filename>.xinitrc</filename> pour lancer
<application><acronym>GNOME</acronym></application>&nbsp;:</para>
<para>Create (or append to) an <filename>.xinitrc</filename> file to start
<application><acronym>GNOME</acronym></application>:</para>
 
<screen><userinput><command>echo "exec gnome-session" &gt;&gt; ~/.xinitrc</command></userinput></screen>
<para>et assurez-vous que toutes les bibliothèques soient disponibles avec&nbsp;:</para>
 
<para>Ensure all libraries can be found with (as root):</para>
 
<screen><userinput><command>ldconfig</command></userinput></screen>
 
<para>À ce moment, vous pouvez lancer
<application><acronym>GNOME</acronym></application> avec
<para>Update the <acronym>MIME</acronym>-type application database
(as root):</para>
 
<screen><userinput><command>update-desktop-database</command></userinput></screen>
 
<para>There are reports of some panel icons not being displayed properly when
using some themes, especially if your <envar>$GNOME_PREFIX</envar> is not
<filename class='directory'>/usr</filename>. As the root user, add the
following lines to <filename>$GNOME_PREFIX/share/gnome-panelrc</filename> to
correct the problem (ensure you substitute the correct path in the
pixmap_path, if necessary):</para>
 
<screen><userinput role='root'><command>cat &gt;&gt; $GNOME_PREFIX/share/gnome-panelrc &lt;&lt; "EOF"</command>
 
pixmap_path "/opt/gnome-2.8/share/pixmaps"
 
style "panel-icons"
{
stock ["panel-screenshot"] = {{"gnome-screenshot.png"}}
stock ["panel-gnome-logo"] = {{"gnome-logo-icon-transparent.png"}}
stock ["panel-cde"] = {{"cdeappmenu.png"}}
stock ["panel-launcher"] = {{"launcher-program.png"}}
stock ["panel-run"] = {{"gnome-run.png"}}
stock ["panel-drawer"] = {{"panel-drawer.png"}}
stock ["panel-main-menu"] = {{"gnome-main-menu.png"}}
stock ["panel-force-quit"] = {{"panel-force-quit.png"}}
}
 
class "GtkWidget" style "panel-icons"
 
<command>EOF</command></userinput></screen>
 
<para>At this point you can bring up
<application><acronym>GNOME</acronym></application> with
<command>startx</command>.</para>
 
</sect1>
/trunk/blfs/gnome/core/gtk-engines.xml
1,11 → 1,88
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gtk-engines-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtk-engines/2.2/gtk-engines-&gtk-engines-version;.tar.bz2">
<!ENTITY gtk-engines-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtk-engines/2.2/gtk-engines-&gtk-engines-version;.tar.bz2">
<!ENTITY gtk-engines-md5sum "78e9276c28b509f3203de4873c20a263">
<!ENTITY gtk-engines-size "401 KB">
<!ENTITY gtk-engines-buildsize "2.6 MB">
<!ENTITY gtk-engines-time "0.08 SBU">
]>
 
<sect1 id="gtk-engines" xreflabel="GTK Engines-&gtk-engines-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gtk-engines.html"?>
<title>GTK Engines-&gtk-engines-version;</title>
 
&gtk-engines-intro;
&gtk-engines-inst;
&gtk-engines-desc;
<sect2>
<title>Introduction to <application><acronym>GTK</acronym>
Engines</application></title>
 
<para>The <application><acronym>GTK</acronym> Engines</application>
package contains three themes for
<application><acronym>GTK</acronym>2</application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gtk-engines-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gtk-engines-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gtk-engines-md5sum;</para></listitem>
<listitem><para>Download size: &gtk-engines-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gtk-engines-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gtk-engines-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GTK</acronym> Engines</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GTK</acronym>
Engines</application></title>
 
<para>Install <application><acronym>GTK</acronym> Engines</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GTK</acronym> Engines</application>
package contains <filename class="libraryfile">engines</filename>
libraries and theme files.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>engines libraries</title>
<para><filename class="libraryfile">engines</filename> libraries are manager
systems for specific themes.</para></sect3>
 
<sect3><title>theme files</title>
<para>Theme files included are Pixmap, Metal and Redmond95.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-applets.xml
1,12 → 1,143
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-applets-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-applets/&gnome-version;/gnome-applets-&gnome-applets-version;.tar.bz2">
<!ENTITY gnome-applets-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-applets/&gnome-version;/gnome-applets-&gnome-applets-version;.tar.bz2">
<!ENTITY gnome-applets-md5sum "472941a24eaf4ef6e7012f07d32e83cf">
<!ENTITY gnome-applets-size "6.4 MB">
<!ENTITY gnome-applets-buildsize "105 MB">
<!ENTITY gnome-applets-time "4.04 SBU">
]>
 
<sect1 id="gnome-applets" xreflabel="GNOME Applets-&gnome-applets-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-applets.html"?>
<title>GNOME Applets-&gnome-applets-version;</title>
 
&gnome-applets-intro;
&gnome-applets-inst;
&gnome-applets-exp;
&gnome-applets-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Applets</application></title>
 
<para>The <application><acronym>GNOME</acronym> Applets</application> package
contains small applications which generally run in the background and display
their output to the gnome panel.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-applets-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-applets-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-applets-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-applets-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-applets-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-applets-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required patch: <ulink
url="&patch-root;/gnome-applets-&gnome-applets-version;-fix_gswitchit-1.patch"/>
</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Applets</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gail"/>,
<xref linkend="gnome-panel"/> and
<xref linkend="libxklavier"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libgtop"/>,
<xref linkend="gst-plugins"/>,
<xref linkend="docbook-utils"/> and
<ulink
url="http://club.pep.ne.jp/~ishioka/Software/Linux/libapm-e.html">libapm</ulink>
</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Applets</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Applets</application> by
running the following commands:</para>
 
<screen><userinput><command>PRE=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
patch -Np1 -i ../gnome-applets-&gnome-applets-version;-fix_gswitchit-1.patch &amp;&amp;
./configure --prefix=$PRE --libexecdir=$PRE/sbin \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make tooldir=$PRE/lib/gnome-applets &amp;&amp;
make tooldir=$PRE/lib/gnome-applets install &amp;&amp;
make -C man install-man &amp;&amp;
chmod 644 $PRE/share/gnome/help/{wireless,gtik2_applet2}/C/*.xml &amp;&amp;
unset PRE</command></userinput></screen>
 
<note><para>If you build the package as an ordinary user then switch to the
root user to install the package, ensure you set the <envar>PRE</envar>
variable again before installing the package.</para></note>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=$PRE/sbin</parameter>: This switch puts libexec
files in <filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>tooldir=$PRE/lib/gnome-applets</parameter>: This puts the
gnome-applet internal files in
<filename class='directory'>$PRE/lib/gnome-applets</filename> instead of
<filename class='directory'>$PRE/sbin/gnome-applets</filename>.</para>
 
<para><command>make -C man install-man</command>: This installs the man-pages
in <filename class='directory'>$PRE/man</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Applets</application> package
contains <command>battstat</command>, <command>cdplayer</command>,
<command>charpick</command>, <command>drivemount</command>,
<command>geyes</command>, <command>gkb</command>,
<command>gtik2</command>, <command>gweather</command>,
<command>mini-commander</command>, <command>mixer</command>,
<command>modemlights</command> and <command>multiload</command> applets.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>applets</title>
<para>These are small programs designed to run inside the Panel
display.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-terminal.xml
1,12 → 1,103
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-terminal-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/&gnome-version;/gnome-terminal-&gnome-terminal-version;.tar.bz2">
<!ENTITY gnome-terminal-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-terminal/&gnome-version;/gnome-terminal-&gnome-terminal-version;.tar.bz2">
<!ENTITY gnome-terminal-md5sum "93e59f24b35bd867653664565adb4672">
<!ENTITY gnome-terminal-size "2.1 MB">
<!ENTITY gnome-terminal-buildsize "37 MB">
<!ENTITY gnome-terminal-time "0.25 SBU">
]>
 
<sect1 id="gnome-terminal" xreflabel="GNOME Terminal-&gnome-terminal-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-terminal.html"?>
<title>GNOME Terminal-&gnome-terminal-version;</title>
 
&gnome-terminal-intro;
&gnome-terminal-inst;
&gnome-terminal-exp;
&gnome-terminal-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Terminal</application></title>
 
<para>The <application><acronym>GNOME</acronym> Terminal</application> package
contains the console. This is useful for executing programs from a command
prompt.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-terminal-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-terminal-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-terminal-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-terminal-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-terminal-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-terminal-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Terminal</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/>,
<xref linkend="vte"/> and
<xref linkend="startup-notification"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Terminal</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Terminal</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Terminal</application> package
contains <command>gnome-terminal</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-terminal</title>
<para><command>gnome-terminal</command> provides the command prompt in
the <application><acronym>GNOME</acronym></application> environment.</para>
</sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-desktop-file-utils.xml
0,0 → 1,25
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<sect1 id="GNOME-desktop-file-utils">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-desktop-file-utils.html"?>
<title>desktop-file-utils-&desktop-file-utils-version;</title>
 
<para>The <xref linkend="desktop-file-utils"/> package is located in
Chapter 10 &ndash; General Utilities, however it is now required by
<application><acronym>GNOME</acronym>-2</application> starting with version
2.8. <application>desktop-file-utils</application> is not a direct dependency
of any <application><acronym>GNOME</acronym>-2</application> package,
therefore the package is mentioned within the
<application><acronym>GNOME</acronym>-2</application> Core Packages chapter to
ensure it is installed.</para>
 
</sect1>
/trunk/blfs/gnome/core/core.xml
1,49 → 1,50
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="gnome-core">
<?dbhtml filename="core.html"?>
<title>Paquetages principaux de GNOME</title>
<title>GNOME Core Packages</title>
 
<para>Cette section contient les éléments requis de l'environnement
<application><acronym>GNOME</acronym></application> pour afficher un bureau
fonctionnel.</para>
<para>This section contains required elements of the
<application><acronym>GNOME</acronym></application> environment
to display a functional desktop.</para>
 
&gnome-pre-install-config;
&gtk-doc;
&libIDL;
&ORBit2;
&intltool;
&libbonobo;
&GConf;
&gnome-mime-data;
&gnome-vfs;
&libgnome;
&libart_lgpl;
&libglade;
&libgnomecanvas;
&libbonoboui;
&gnome-icon-theme;
&gnome-keyring;
&libgnomeui;
&gtk-engines;
&gnome-themes;
&scrollkeeper;
&gnome-desktop;
&libwnck;
&gnome-panel;
&gnome-session;
&vte;
&gnome-terminal;
&libgtop;
&gail;
&gstreamer;
&gst-plugins;
&gnome-applets;
&libgsf;
&libcroco;
&librsvg;
&eel;
&nautilus;
&control-center;
&gnome-config;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pre-install-config.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="orbit2.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libbonobo.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gconf.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-desktop-file-utils.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-mime-data.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-vfs.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnome.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnomecanvas.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libbonoboui.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-icon-theme.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-keyring.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgnomeui.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtk-engines.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-themes.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="scrollkeeper.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-desktop.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libwnck.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-panel.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-session.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="vte.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-terminal.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgtop.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gail.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-applets.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="eel.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="nautilus.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="control-center.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome2-user-docs.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libgtkhtml.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-doc-utils.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="yelp.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="config.xml"/>
 
</chapter>
/trunk/blfs/gnome/core/libwnck.xml
1,11 → 1,84
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libwnck-download-http "http://ftp.gnome.org/pub/GNOME/sources/libwnck/&gnome-version;/libwnck-&libwnck-version;.tar.bz2">
<!ENTITY libwnck-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libwnck/&gnome-version;/libwnck-&libwnck-version;.tar.bz2">
<!ENTITY libwnck-md5sum "c0a5a8478064287e167c15e3ec0e82a1">
<!ENTITY libwnck-size "396 KB">
<!ENTITY libwnck-buildsize "9.8 MB">
<!ENTITY libwnck-time "0.31 SBU">
]>
 
<sect1 id="libwnck" xreflabel="libwnck-&libwnck-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libwnck.html"?>
<title>libwnck-&libwnck-version;</title>
 
&libwnck-intro;
&libwnck-inst;
&libwnck-desc;
<sect2>
<title>Introduction to <application>libwnck</application></title>
 
<para>The <application>libwnck</application> package contains a Window
Navigator Construction Kit.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libwnck-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libwnck-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libwnck-md5sum;</para></listitem>
<listitem><para>Download size: &libwnck-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libwnck-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libwnck-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libwnck</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="startup-notification"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libwnck</application></title>
 
<para>Install <application>libwnck</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libwnck</application> package contains
<filename class="libraryfile">libwnck</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libwnck libraries</title>
<para><filename class="libraryfile">libwnck</filename> libraries contain
functions for writing pagers and task lists.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome2-user-docs.xml
0,0 → 1,102
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome2-user-docs-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome2-user-docs/&gnome-version;/gnome2-user-docs-&gnome2-user-docs-version;.tar.bz2">
<!ENTITY gnome2-user-docs-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome2-user-docs/&gnome-version;/gnome2-user-docs-&gnome2-user-docs-version;.tar.bz2">
<!ENTITY gnome2-user-docs-md5sum "90bdd21ea3e3e794f641dd805216f275">
<!ENTITY gnome2-user-docs-size "1.05 MB">
<!ENTITY gnome2-user-docs-buildsize "7.7 MB">
<!ENTITY gnome2-user-docs-time "0.03 SBU">
]>
 
<sect1 id="gnome2-user-docs" xreflabel="GNOME2 User Docs-&gnome2-user-docs-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome2-user-docs.html"?>
<title><application><acronym>GNOME</acronym></application>2 User
Docs-&gnome2-user-docs-version;</title>
 
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>2 User
Docs</application></title>
 
<para>The <application><acronym>GNOME</acronym>2 User Docs</application>
package contains end user documents for
<application><acronym>GNOME</acronym></application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome2-user-docs-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome2-user-docs-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome2-user-docs-md5sum;</para></listitem>
<listitem><para>Download size: &gnome2-user-docs-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome2-user-docs-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome2-user-docs-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym>2 User Docs</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="scrollkeeper"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>2 User
Docs</application></title>
 
<para>Install <application><acronym>GNOME</acronym>2 User Docs</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
chmod 644 `pkg-config --variable=prefix ORBit-2.0`/share/gnome/help/\
{gnome-access-guide,system-admin-guide,user-guide}/C/*.xml</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym>2 User Docs</application>
package contains <acronym>OMF</acronym> files.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>OMF files</title>
<para><acronym>OMF</acronym> files contain user documentation. These include
introductions and help on the core packages.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/scrollkeeper.xml
1,12 → 1,132
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY scrollkeeper-download-http "http://ftp.gnome.org/pub/GNOME/sources/scrollkeeper/0.3/scrollkeeper-&scrollkeeper-version;.tar.bz2">
<!ENTITY scrollkeeper-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/scrollkeeper/0.3/scrollkeeper-&scrollkeeper-version;.tar.bz2">
<!ENTITY scrollkeeper-md5sum "b175e582a6cec3e50a9de73a5bb7455a">
<!ENTITY scrollkeeper-size "534 KB">
<!ENTITY scrollkeeper-buildsize "11.8 MB">
<!ENTITY scrollkeeper-time "0.15 SBU">
]>
 
<sect1 id="scrollkeeper" xreflabel="ScrollKeeper-&scrollkeeper-version;">
<sect1info>
<othername>$LastChangedBy: larry $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="scrollkeeper.html"?>
<title>ScrollKeeper-&scrollkeeper-version;</title>
 
&scrollkeeper-intro;
&scrollkeeper-inst;
&scrollkeeper-exp;
&scrollkeeper-config;
&scrollkeeper-desc;
<sect2>
 
<title>Introduction to <application>ScrollKeeper</application></title>
 
<para>The <application>ScrollKeeper</application> package contains a
cataloging system for documentation. This is useful for managing documentation
metadata and providing an <acronym>API</acronym> to help browsers find, sort
and search the document catalog.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&scrollkeeper-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&scrollkeeper-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &scrollkeeper-md5sum;</para></listitem>
<listitem><para>Download size: &scrollkeeper-size;</para></listitem>
<listitem><para>Estimated disk space required:
&scrollkeeper-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&scrollkeeper-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>ScrollKeeper</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="intltool"/>,
<xref linkend="libxslt"/> and
<xref linkend="DocBook"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>ScrollKeeper</application></title>
 
<para>Install <application>ScrollKeeper</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc \
--localstatedir=/var --disable-static \
--with-omfdirs=/usr/share/omf:/opt/gnome/share/omf:\
/opt/kde-&kde-version;/share/omf:/opt/gnome-&gnome-version;/share/omf &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc</parameter>: This switch puts the
configuration files in <filename class="directory">/etc</filename> instead of
<filename class='directory'>/usr/etc</filename>.</para>
 
<para><parameter>--localstatedir=/var</parameter>: This switch puts
<application>ScrollKeeper</application>'s database directory in
<filename class="directory">/var/lib/scrollkeeper</filename>.</para>
 
<para><option>--disable-static</option>: This switch prevents
the static library from being built.</para>
 
<para><parameter>--omfdirs=...</parameter>: This switch defines the locations
of <filename>OMF</filename> files for <application>ScrollKeeper</application>.
This information is stored in <filename>/etc/scrollkeeper.conf</filename> and
can be updated manually, if necessary.</para>
</sect2>
 
<sect2>
<title>Configuring <application>ScrollKeeper</application></title>
 
<sect3><title>Config files</title>
<para><filename>/etc/scrollkeeper.conf</filename></para>
</sect3>
 
<sect3><title>Configuration Information</title>
 
<para>The configuration file sets the <envar>OMF_DIR</envar> variable to the
location of all of the <filename class="directory">omf</filename> directories
in the system. This was set in the <command>configure</command> command so no
futher action is needed until another <filename>OMF</filename> file is
created.</para>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>ScrollKeeper</application> package contains the
<filename class="libraryfile">libscrollkeeper</filename> library, utility
programs and scripts.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title><application>ScrollKeeper</application> library</title>
<para>The <filename class="libraryfile">libscrollkeeper</filename> library
provides the <acronym>API</acronym> necessary for help browsers to interact
with documentation written to utilize
<application>ScrollKeeper</application>.</para></sect3>
 
<sect3><title>Utility programs and scripts</title>
<para>The utility programs and scripts are for performing installation,
building, getting and updating table of contents files.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/core/gnome-icon-theme.xml
1,10 → 1,76
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-icon-theme-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/&gnome-version;/gnome-icon-theme-&gnome-icon-theme-version;.tar.bz2">
<!ENTITY gnome-icon-theme-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-icon-theme/&gnome-version;/gnome-icon-theme-&gnome-icon-theme-version;.tar.bz2">
<!ENTITY gnome-icon-theme-md5sum "7be016337c44c024fb22f7b94b689d7b">
<!ENTITY gnome-icon-theme-size "2.8 MB">
<!ENTITY gnome-icon-theme-buildsize "27 MB">
<!ENTITY gnome-icon-theme-time "0.15 SBU">
]>
 
<sect1 id="gnome-icon-theme" xreflabel="GNOME Icon Theme-&gnome-icon-theme-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-icon-theme.html"?>
<title>GNOME Icon Theme-&gnome-icon-theme-version;</title>
 
&gnome-icon-theme-intro;
&gnome-icon-theme-inst;
&gnome-icon-theme-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym> Icon
Theme</application></title>
 
<para>The <application><acronym>GNOME</acronym> Icon Theme</application>
package contains an assortment of scalable and non-scalable icons of different
sizes and themes.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-icon-theme-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-icon-theme-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-icon-theme-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-icon-theme-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-icon-theme-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-icon-theme-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Icon Theme</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="hicolor-icon-theme"/> and
<xref linkend="perl-modules"/>: XML-Parser</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym> Icon
Theme</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Icon Theme</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Icon Theme</application>
package contains icons.</para>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/core/pre-install-config.xml
1,47 → 1,60
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<sect1 id="gnome-pre-install-config">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="pre-install-config.html"?>
<title>Configuration de pré-installation</title>
<title>Pre-installation configuration</title>
 
<para>Initialisez une variable d'environnement pour résoudre le préfixe de
destination.</para>
<para>Set an environment variable to resolve the prefix destination.</para>
 
<para>Si <application><acronym>GNOME</acronym></application> est le bureau de
votre choix&nbsp;:</para>
<para>If <application><acronym>GNOME</acronym></application> is your desktop
of choice:</para>
 
<screen><userinput><command>export GNOME_PREFIX=/usr</command></userinput></screen>
<para>Si vous voulez simplement essayer <application><acronym>GNOME</acronym></application>&nbsp;:</para>
 
<para>If you want to try-out
<application><acronym>GNOME</acronym></application>:</para>
 
<screen><userinput><command>export GNOME_PREFIX=/opt/gnome-&gnome-version;</command></userinput></screen>
 
<para>Souvenez-vous d'exécuter <command>ldconfig</command> après l'installation
des bibliothèques pour mettre à jour le cache des bibliothèques.</para>
<para>Remember to execute <command>ldconfig</command> after installation of libraries to
update the library cache.</para>
 
<para>Le groupe de tests aura aussi besoin de faire les modifications
suivantes&nbsp;:</para>
<para>The try-out group will also need to make all the following
configuration changes:</para>
 
<para>Ajoutez à votre profile personnel ou à celui du système&nbsp;:</para>
<para>Add to your system or personal profile:</para>
 
<screen><userinput><command>export PATH=$PATH:/opt/gnome-&gnome-version;/bin
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome-&gnome-version;/lib/pkgconfig
export GNOME_LIBCONFIG_PATH=/usr/lib</command></userinput></screen>
export GNOME_LIBCONFIG_PATH=/usr/lib:/opt/gnome-&gnome-version;/lib</command></userinput></screen>
 
<para>Ajoutez à votre <filename>/etc/ld.so.conf</filename>&nbsp;:</para>
<para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
 
<screen><userinput><command>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"</command>
# Début de l'ajout pour gnome à /etc/ld.so.conf
# Begin gnome addition to /etc/ld.so.conf
 
/opt/gnome-&gnome-version;/lib
 
# Fin de l'ajout pour gnome
# End gnome addition
<command>EOF</command></userinput></screen>
 
<para>Ajoutez à votre <filename>/etc/man.conf</filename>&nbsp;:</para>
<para>Add to your <filename>/etc/man.conf</filename>:</para>
 
<screen><userinput><command>cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"</command>
# Début de l'ajout pour gnome à man.conf
# Begin gnome addition to man.conf
 
MANPATH /opt/gnome-&gnome-version;/man
 
# Fin de l'ajout pour gnome
# End gnome addition to man.conf
<command>EOF</command></userinput></screen>
 
</sect1>
/trunk/blfs/gnome/core/control-center.xml
1,12 → 1,122
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY control-center-download-http "http://ftp.gnome.org/pub/GNOME/sources/control-center/&gnome-version;/control-center-&control-center-version;.tar.bz2">
<!ENTITY control-center-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/control-center/&gnome-version;/control-center-&control-center-version;.tar.bz2">
<!ENTITY control-center-md5sum "7bd9c12b9abb05b6fcf7b4906b6918ea">
<!ENTITY control-center-size "2.5 MB">
<!ENTITY control-center-buildsize "51 MB">
<!ENTITY control-center-time "1.11 SBU">
]>
 
<sect1 id="control-center" xreflabel="Control Center-&control-center-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="control-center.html"?>
<title>Control Center-&control-center-version;</title>
 
&control-center-intro;
&control-center-inst;
&control-center-exp;
&control-center-desc;
<sect2>
<title>Introduction to <application>Control Center</application></title>
 
<para>The <application>Control Center</application> package contains the
<application><acronym>GNOME</acronym></application> settings managers.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&control-center-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&control-center-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &control-center-md5sum;</para></listitem>
<listitem><para>Download size: &control-center-size;</para></listitem>
<listitem><para>Estimated disk space required:
&control-center-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&control-center-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required patch: <ulink
url="&patch-root;/control-center-&control-center-version;-fix_gswitchit-1.patch"/></para>
</listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Control Center</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libxklavier"/>,
<xref linkend="metacity"/>,
<xref linkend="nautilus"/> and
<xref linkend="gnome-icon-theme"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="alsa"/>,
<xref linkend="gst-plugins"/> and
<xref linkend="xscreensaver"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Control Center</application></title>
 
<para>Install <application>Control Center</application> by running the
following commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../control-center-&control-center-version;-fix_gswitchit-1.patch &amp;&amp;
./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch
puts <application>scrollkeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Control Center</application> package contains
<command>gnome-control-center</command>,
<command>gnome-settings-daemon</command>,
<command>gnome-background-properties</command>,
<command>gnome-default-applications-properties</command>,
<command>gnome-file-types-properties</command>,
<command>gnome-font-properties</command>,
<command>gnome-keybinding-properties</command>,
<command>gnome-keyboard-properties</command>,
<command>gnome-mouse-properties</command>,
<command>gnome-network-preferences</command>,
<command>gnome-sound-properties</command>,
<command>gnome-theme-properties</command> and
<command>gnome-ui-properties</command>.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/vte.xml
1,12 → 1,117
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY vte-download-http "http://ftp.gnome.org/pub/GNOME/sources/vte/0.11/vte-&vte-version;.tar.bz2">
<!ENTITY vte-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/vte/0.11/vte-&vte-version;.tar.bz2">
<!ENTITY vte-md5sum "4d7a3674df5b8be7f1adffa981c1fc3d">
<!ENTITY vte-size "888 KB">
<!ENTITY vte-buildsize "23.6 MB">
<!ENTITY vte-time "0.67 SBU">
]>
 
<sect1 id="vte" xreflabel="VTE-&vte-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="vte.html"?>
<title>VTE-&vte-version;</title>
 
&vte-intro;
&vte-inst;
&vte-exp;
&vte-desc;
<sect2>
<title>Introduction to <application>VTE</application></title>
 
<para>The <application>VTE</application> package contains a termcap file
implementation for terminal emulators.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&vte-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&vte-download-ftp;"/></para></listitem>
<listitem><para>MD5 sum: &vte-md5sum;</para></listitem>
<listitem><para>Download size: &vte-size;</para></listitem>
<listitem><para>Estimated disk space required:
&vte-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&vte-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>VTE</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/> and
<xref linkend="python"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/> (with <xref linkend="sgml-dtd-3"/> installed)
and <ulink url="http://www.pygtk.org/">PyGTK</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>VTE</application></title>
 
<para>Install <application>VTE</application> by running the following
commands:</para>
 
<screen><userinput><command>sed -i -e 's%\\177:%&amp;kh=\\EOH:@7=\\EOF:%g' termcaps/xterm &amp;&amp;
./configure --prefix=/usr --libexecdir=/usr/sbin --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><command>sed -i -e ...</command>: The Home and End keys are broken in
the <filename>xterm</filename> termcap file. This <command>sed</command>
command fixes them.</para>
 
<para><parameter>--libexecdir=/usr/sbin</parameter>: This switch puts
libexec files in <filename class="directory">/usr/sbin</filename> instead of
<filename class="directory">/usr/libexec</filename>.</para>
 
<para><option>--disable-gtk-doc</option>: This switch prevents the
building of documentation.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>VTE</application> package contains
<filename class="libraryfile">libvte</filename> libraries,
<command>vte</command>,
<command>gnome-pty-helper</command>,
auxillary <application>VTE</application> programs, scripts and
the <filename class="libraryfile">vtemodule</filename>
<application>Python</application> module.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>vte libraries</title>
<para><filename class="libraryfile">libvte</filename> libraries provide the
functions necessary to implement a <quote>termcap file</quote> for terminal
emulators.</para></sect3>
 
<sect3><title>vte</title>
<para><command>vte</command> is a test application for the
<application>VTE</application> libraries.</para></sect3>
 
<sect3><title>gnome-pty-helper</title>
<para><command>gnome-pty-helper</command> is a setuid helper for opening
ptys.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libgtop.xml
1,11 → 1,97
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgtop-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgtop/&gnome-version;/libgtop-&libgtop-version;.tar.bz2">
<!ENTITY libgtop-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgtop/&gnome-version;/libgtop-&libgtop-version;.tar.bz2">
<!ENTITY libgtop-md5sum "5d191cbf2b5b2a84dfee1972c99b1a78">
<!ENTITY libgtop-size "1.0 MB">
<!ENTITY libgtop-buildsize "18 MB">
<!ENTITY libgtop-time "0.40 SBU">
]>
 
<sect1 id="libgtop" xreflabel="libgtop-&libgtop-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgtop.html"?>
<title>libgtop-&libgtop-version;</title>
 
&libgtop-intro;
&libgtop-inst;
&libgtop-desc;
<sect2>
<title>Introduction to <application>libgtop</application></title>
 
<para>The <application>libgtop</application> package contains the
<application><acronym>GNOME</acronym></application> top libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgtop-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgtop-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgtop-md5sum;</para></listitem>
<listitem><para>Download size: &libgtop-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgtop-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgtop-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgtop</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="glib2"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="popt"/> and
X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgtop</application></title>
 
<para>Install <application>libgtop</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=$GNOME_PREFIX \
--infodir=$GNOME_PREFIX/share/info &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--infodir=$GNOME_PREFIX/share/info</parameter>: This switch
installs the info documentation in
<filename class='directory'>$GNOME_PREFIX/share/info</filename> instead of
<filename class='directory'>$GNOME_PREFIX/info</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgtop</application> package contains
<command>libgtop_daemon2</command> and
<filename class="libraryfile">libgtop</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgtop libraries</title>
<para><filename class="libraryfile">libgtop</filename> libraries contain the
functions that allow access to system performance data.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-vfs.xml
1,12 → 1,125
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-vfs-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/&gnome-version;/gnome-vfs-&gnome-vfs-version;.tar.bz2">
<!ENTITY gnome-vfs-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/&gnome-version;/gnome-vfs-&gnome-vfs-version;.tar.bz2">
<!ENTITY gnome-vfs-md5sum "5484694e7250c80a231cfc525d924cc3">
<!ENTITY gnome-vfs-size "1.9 MB">
<!ENTITY gnome-vfs-buildsize "49.5 MB">
<!ENTITY gnome-vfs-time "1.36 SBU">
]>
 
<sect1 id="gnome-vfs" xreflabel="GNOME Virtual File System-&gnome-vfs-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-vfs.html"?>
<title>GNOME Virtual File System-&gnome-vfs-version;</title>
 
&gnome-vfs-intro;
&gnome-vfs-inst;
&gnome-vfs-exp;
&gnome-vfs-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym> Virtual
File System</application></title>
 
<para>The <application><acronym>GNOME</acronym> Virtual File
System</application> package contains virtual file system libraries. This is
used as one of the foundations of the <application>Nautilus</application> file
manager.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-vfs-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-vfs-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-vfs-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-vfs-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-vfs-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-vfs-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Virtual File
System</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="intltool"/>,
<xref linkend="GConf"/>,
<xref linkend="libbonobo"/>,
<xref linkend="gnome-mime-data"/> and
<xref linkend="shared-mime-info"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="samba3"/>,
<xref linkend="cdparanoia"/>,
<xref linkend="fam"/>,
<xref linkend="gtk-doc"/>,
<xref linkend="openssh"/>,
<xref linkend="openssl"/> or
<ulink url="http://www.gnu.org/software/gnutls/">GnuTLS</ulink>,
<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
<ulink url="http://www.openafs.org/">OpenAFS</ulink>,
<ulink url="http://www.porchdogsoft.com/products/howl/">Howl</ulink> and
<ulink url="http://hal.freedesktop.org/wiki/Software_2fhal">HAL</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym> Virtual
File System</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Virtual File
System</application> by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><command>rmdir `pkg-config --variable=prefix ORBit-2.0`/doc</command>:
Use this command if <envar>$GNOME_PREFIX</envar> is anything other than
<filename class='directory'>/usr</filename> as the directory is unneeded and
unpopulated.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Virtual File
System</application> package contains
<command>gnome-vfs-daemon</command>,
<command>gnomevfs-cat</command>,
<command>gnomevfs-copy</command>,
<command>gnomevfs-info</command>,
<command>gnomevfs-ls</command>,
<command>gnomevfs-mkdir</command>,
<command>gnomevfs-rm</command>,
<filename class="libraryfile">libgnomevfs</filename> libraries and
numerous library modules.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libgtkhtml.xml
0,0 → 1,96
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libgtkhtml-download-http "http://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
<!ENTITY libgtkhtml-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libgtkhtml/2.6/libgtkhtml-&libgtkhtml-version;.tar.bz2">
<!ENTITY libgtkhtml-md5sum "a9b71134e50e62d20ab4777f899225b3">
<!ENTITY libgtkhtml-size "417 KB">
<!ENTITY libgtkhtml-buildsize "28.4 MB">
<!ENTITY libgtkhtml-time "0.80 SBU">
]>
 
<sect1 id="libgtkhtml" xreflabel="libgtkhtml-&libgtkhtml-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libgtkhtml.html"?>
<title>libgtkhtml-&libgtkhtml-version;</title>
 
<sect2>
<title>Introduction to <application>libgtkhtml</application></title>
 
<para>The <application>libgtkhtml</application> package contains
<filename class="libraryfile">libgtkhtml-2</filename> libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libgtkhtml-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libgtkhtml-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libgtkhtml-md5sum;</para></listitem>
<listitem><para>Download size: &libgtkhtml-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libgtkhtml-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libgtkhtml-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libgtkhtml</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-vfs"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gail"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libgtkhtml</application></title>
 
<para>Install <application>libgtkhtml</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--disable-accessibility &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--disable-accessibility</parameter>: This forces the package
to build without linking to the
<filename class='libraryfile'>libgailutil</filename> accessibility library.
Remove this switch if you have <application>GAIL</application> installed.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libgtkhtml</application> package contains
<filename class="libraryfile">libgtkhtml-2</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgtkhtml-2 libraries</title>
<para><filename class="libraryfile">libgtkhtml-2</filename> libraries provide
the functions necessary to render and/or edit
<acronym>HTML</acronym>.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-panel.xml
1,12 → 1,121
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-panel-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-panel/&gnome-version;/gnome-panel-&gnome-panel-version;.tar.bz2">
<!ENTITY gnome-panel-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-panel/&gnome-version;/gnome-panel-&gnome-panel-version;.tar.bz2">
<!ENTITY gnome-panel-md5sum "77aea214467da238170ed10dbc825799">
<!ENTITY gnome-panel-size "3.2 MB">
<!ENTITY gnome-panel-buildsize "61 MB">
<!ENTITY gnome-panel-time "0.79 SBU">
]>
 
<sect1 id="gnome-panel" xreflabel="GNOME Panel-&gnome-panel-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-panel.html"?>
<title>GNOME Panel-&gnome-panel-version;</title>
 
&gnome-panel-intro;
&gnome-panel-inst;
&gnome-panel-exp;
&gnome-panel-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Panel</application></title>
 
<para>The <application><acronym>GNOME</acronym> Panel</application> package
contains the menu and applet systems.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-panel-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-panel-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-panel-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-panel-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-panel-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-panel-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Panel</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-desktop"/> and <xref linkend="libwnck"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="startup-notification"/> and
<xref linkend="evolution-data-server"/> (if you plan on installing
<application>Evolution</application>-2.0)</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
 
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Panel</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Panel</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--localstatedir=/var/lib --sysconfdir=/etc/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
chmod 644 `pkg-config --variable=prefix ORBit-2.0`/share/gnome/help/\
{fish-applet-2,window-list,workspace-switcher}/C/*.xml</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><option>--disable-gtk-doc</option>: This switch prevents the rebuilding
of documentation during the <command>make</command> command.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Panel</application> package
contains <filename class="libraryfile">libpanel-applet-2</filename> libraries
and applets.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libpanel-applet libraries</title>
<para><filename class="libraryfile">libpanel-applet</filename> libraries allow
development of small applications (applets) which may be embedded in the
panel.</para></sect3>
 
<sect3><title>Applets</title>
<para>Applets included are Workspace Switcher, Window List, Inbox Monitor,
Clock and <quote>Wanda the Fish</quote>.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libbonoboui.xml
1,11 → 1,98
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libbonoboui-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonoboui/&gnome-version;/libbonoboui-&libbonoboui-version;.tar.bz2">
<!ENTITY libbonoboui-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonoboui/&gnome-version;/libbonoboui-&libbonoboui-version;.tar.bz2">
<!ENTITY libbonoboui-md5sum "73e0b8883d8bea6b3bbd297dbbcb1f36">
<!ENTITY libbonoboui-size "970 KB">
<!ENTITY libbonoboui-buildsize "26.8 MB">
<!ENTITY libbonoboui-time "0.88 SBU">
]>
 
<sect1 id="libbonoboui" xreflabel="libbonoboui-&libbonoboui-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libbonoboui.html"?>
<title>libbonoboui-&libbonoboui-version;</title>
 
&libbonoboui-intro;
&libbonoboui-inst;
&libbonoboui-desc;
<sect2>
<title>Introduction to <application>libbonoboui</application></title>
 
<para>The <application>libbonoboui</application> package contains
<filename class="libraryfile">libbonoboui</filename> libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libbonoboui-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libbonoboui-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libbonoboui-md5sum;</para></listitem>
<listitem><para>Download size: &libbonoboui-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libbonoboui-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libbonoboui-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libbonoboui</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnome"/> and <xref linkend="libgnomecanvas"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para></sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libbonoboui</application></title>
 
<para>Install <application>libbonoboui</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
sed -i -e "s,/gnome/head/INSTALL,$GNOME_PREFIX," \
$GNOME_PREFIX/lib/bonobo/servers/Bonobo_Sample_Controls.server</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><command>sed -i -e ...</command>: The
<filename>Bonobo_Sample_Controls.server</filename> file is installed with an
incorrect hard-coded path. This <command>sed</command> command fixes the
path.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libbonoboui</application> package contains
<command>test-moniker</command>,
<filename class="libraryfile">libbonoboui</filename> libraries and
a <filename class='libraryfile'>libbonobo</filename> glade library.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libbonoboui libraries</title>
<para><filename class="libraryfile">libbonoboui</filename> libraries are the
<acronym>GUI</acronym> portion of the <application>Bonobo</application>
libraries.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/nautilus.xml
1,12 → 1,130
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY nautilus-download-http "http://ftp.gnome.org/pub/GNOME/sources/nautilus/&gnome-version;/nautilus-&nautilus-version;.tar.bz2">
<!ENTITY nautilus-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/nautilus/&gnome-version;/nautilus-&nautilus-version;.tar.bz2">
<!ENTITY nautilus-md5sum "d5fdec9acc37181016e8424e96d663b8">
<!ENTITY nautilus-size "5.8 MB">
<!ENTITY nautilus-buildsize "87 MB">
<!ENTITY nautilus-time "1.37 SBU">
]>
 
<sect1 id="nautilus" xreflabel="Nautilus-&nautilus-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="nautilus.html"?>
<title>Nautilus-&nautilus-version;</title>
 
&nautilus-intro;
&nautilus-inst;
&nautilus-exp;
&nautilus-desc;
<sect2>
<title>Introduction to <application>Nautilus</application></title>
 
<para>The <application>Nautilus</application> package contains the
<application><acronym>GNOME</acronym></application> shell and file
manager.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&nautilus-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&nautilus-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &nautilus-md5sum;</para></listitem>
<listitem><para>Download size: &nautilus-size;</para></listitem>
<listitem><para>Estimated disk space required:
&nautilus-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&nautilus-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required patch (if
<application>libexif</application> &gt;= 0.6.9 is installed): <ulink
url="&patch-root;/nautilus-&nautilus-version;-libexif_fix-1.patch"/></para>
</listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Nautilus</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="eel"/>,
<xref linkend="librsvg"/> and
<xref linkend="gnome-desktop"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="startup-notification"/>,
<xref linkend="libgsf"/>,
<xref linkend="libcroco"/>,
<xref linkend="cdparanoia"/>,
<xref linkend="libjpeg"/>,
<xref linkend="docbook-utils"/>,
<ulink url="http://ftp.gnome.org/pub/GNOME/sources/medusa/0.5/">medusa</ulink>
and <ulink url="http://sourceforge.net/projects/libexif">libexif</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Nautilus</application></title>
 
<para>Install <application>Nautilus</application> by running the following
commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../nautilus-&nautilus-version;-libexif_fix-1.patch &amp;&amp;
./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Nautilus</application> package contains
<command>nautilus</command>,
<command>nautilus-adapter</command>,
<command>nautilus-file-management-properties</command>,
<command>nautilus-text-view</command>,
<command>nautilus-throbber</command>,
<filename class="libraryfile">libnautilus</filename> libraries and
Bonobo modules.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>nautilus</title>
<para><application>nautilus</application> is the
<application><acronym>GNOME</acronym></application> file manager.</para>
</sect3>
 
<sect3><title>nautilus libraries</title>
<para><filename class="libraryfile">libnautilus</filename> libraries supply
the functions needed by the file manager.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/libbonobo.xml
1,12 → 1,124
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libbonobo-download-http "http://ftp.gnome.org/pub/GNOME/sources/libbonobo/&gnome-version;/libbonobo-&libbonobo-version;.tar.bz2">
<!ENTITY libbonobo-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libbonobo/&gnome-version;/libbonobo-&libbonobo-version;.tar.bz2">
<!ENTITY libbonobo-md5sum "e3358680e50e69779535d126b1c56ee7">
<!ENTITY libbonobo-size "1.4 MB">
<!ENTITY libbonobo-buildsize "35.3 MB">
<!ENTITY libbonobo-time "0.76 SBU">
]>
 
<sect1 id="libbonobo" xreflabel="libbonobo-&libbonobo-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="libbonobo.html"?>
<title>libbonobo-&libbonobo-version;</title>
 
&libbonobo-intro;
&libbonobo-inst;
&libbonobo-exp;
&libbonobo-desc;
<sect2>
<title>Introduction to <application>libbonobo</application></title>
 
<para>The <application>libbonobo</application> package contains
<filename class="libraryfile">libbonobo</filename> libraries. This is a
component and compound document system for
<application><acronym>GNOME</acronym>-2</application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libbonobo-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libbonobo-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libbonobo-md5sum;</para></listitem>
<listitem><para>Download size: &libbonobo-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libbonobo-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libbonobo-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libbonobo</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="ORBit2"/>,
<xref linkend="libxml2"/> and
<xref linkend="perl-modules"/>: XML Parser</para>
</sect4>
 
<sect4><title>Optional</title>
<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>) and
<xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libbonobo</application></title>
 
<para>Install <application>libbonobo</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install </command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=`pkg-config --variable=prefix ORBit-2.0`</parameter>:
Setting the prefix with this command instead of
with <envar>GNOME_PREFIX</envar> will ensure that the prefix is
consistent with the installation environment.</para>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of
<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><option>--enable-gtk-doc</option>: This switch rebuilds the
documentation during the <command>make</command> command.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libbonobo</application> package contains
<command>activation-client</command>,
<command>bonobo-slay</command>,
<command>echo-client-2</command>,
<command>bonobo-activation-run-query</command>,
<command>bonobo-activation-server</command>,
<command>bonobo-activation-sysconf</command>,
<filename class="libraryfile">libbonobo-2</filename> and
<filename class="libraryfile">libbonobo-activation</filename> libraries,
the <application><acronym>ORB</acronym>it-2</application> bonobo module and the
bonobo <filename class="libraryfile">libmoniker</filename> library.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libbonobo libraries</title>
<para><filename class="libraryfile">libbonobo</filename> libraries are a set of
language and system independent <acronym>CORBA</acronym> interfaces for
creating reusable components and compound documents.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/eel.xml
1,11 → 1,83
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY eel-download-http "http://ftp.gnome.org/pub/GNOME/sources/eel/&gnome-version;/eel-&eel-version;.tar.bz2">
<!ENTITY eel-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/eel/&gnome-version;/eel-&eel-version;.tar.bz2">
<!ENTITY eel-md5sum "4d0beb2f0ad4c304b49c06b08d0a03e5">
<!ENTITY eel-size "620 KB">
<!ENTITY eel-buildsize "12.5 MB">
<!ENTITY eel-time "0.43 SBU">
]>
 
<sect1 id="eel" xreflabel="EEL-&eel-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="eel.html"?>
<title>EEL-&eel-version;</title>
 
&eel-intro;
&eel-inst;
&eel-desc;
<sect2>
<title>Introduction to <application><acronym>EEL</acronym></application></title>
 
<para>The <application><acronym>EEL</acronym></application> package contains
the Eazel Extensions Library. This is a collection of widgets and extensions
to the <application><acronym>GNOME</acronym></application> platform.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&eel-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&eel-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &eel-md5sum;</para></listitem>
<listitem><para>Download size: &eel-size;</para></listitem>
<listitem><para>Estimated disk space required:
&eel-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&eel-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>EEL</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/> and <xref linkend="gail"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>EEL</acronym></application></title>
 
<para>Install <application><acronym>EEL</acronym></application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>EEL</acronym></application> package
contains <filename class="libraryfile">libeel</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libeel libraries</title>
<para><filename class="libraryfile">libeel</filename> libraries are a
collection of widgets developed by the <application>Nautilus</application>
project.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-doc-utils.xml
0,0 → 1,136
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-doc-utils-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/&gnome-doc-utils-version;/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
<!ENTITY gnome-doc-utils-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-doc-utils/&gnome-doc-utils-version;/gnome-doc-utils-&gnome-doc-utils-version;.tar.bz2">
<!ENTITY gnome-doc-utils-md5sum "5b741eb63e11bc35e81587839e4d4759">
<!ENTITY gnome-doc-utils-size "233 KB">
<!ENTITY gnome-doc-utils-buildsize "5.5 MB">
<!ENTITY gnome-doc-utils-time "0.04 SBU">
]>
 
<sect1 id="gnome-doc-utils"
xreflabel="GNOME Doc Utils-&gnome-doc-utils-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-doc-utils.html"?>
<title><application><acronym>GNOME</acronym> Doc
Utils</application>-&gnome-doc-utils-version;</title>
<indexterm zone="gnome-doc-utils">
<primary sortas="a-GNOME-Doc-Utils">GNOME Doc Utils</primary>
</indexterm>
 
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym> Doc
Utils</application></title>
 
<para>The <application><acronym>GNOME</acronym> Doc Utils</application>
package is a collection of documentation utilities for the
<application><acronym>GNOME</acronym></application> project. Notably, it
contains utilities for building documentation and all auxiliary files in your
source tree, and it contains the DocBook <acronym>XSLT</acronym> stylesheets
that were once distributed with <application>Yelp</application>. Starting with
<application><acronym>GNOME</acronym></application> 2.8,
<application>Yelp</application> will require
<application><acronym>GNOME</acronym> Doc Utils</application> for the
<acronym>XSLT</acronym>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing="compact">
<listitem><para>Download (HTTP):
<ulink url="&gnome-doc-utils-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&gnome-doc-utils-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-doc-utils-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-doc-utils-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-doc-utils-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-doc-utils-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Doc Utils</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="scrollkeeper"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="pkgconfig"/> and <xref linkend="python"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym> Doc
Utils</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Doc Utils</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
<segtitle>Installed Stylesheets</segtitle>
 
<seglistitem>
<seg>xml2po</seg>
<seg>None</seg>
<seg>$GNOME_PREFIX/share/gnome-doc-utils,
$GNOME_PREFIX/share/gnome/help/gnome-doc-xslt,
$GNOME_PREFIX/share/omf/gnome-doc-make,
$GNOME_PREFIX/share/omf/gnome-doc-xslt,
$GNOME_PREFIX/share/xml and
$GNOME_PREFIX/share/xml2po</seg>
<seg>Custom DocBook XSLT stylesheets used by Yelp</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="xml2po">
<term><command>xml2po</command></term>
<listitem><para>is a <application>Python</application> script used to
translate <acronym>XML</acronym> documents.</para>
<indexterm zone="gnome-doc-utils xml2po">
<primary sortas="b-xml2po">xml2po</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/yelp.xml
0,0 → 1,105
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY yelp-download-http "http://ftp.gnome.org/pub/GNOME/sources/yelp/2.6/yelp-&yelp-version;.tar.bz2">
<!ENTITY yelp-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/yelp/2.6/yelp-&yelp-version;.tar.bz2">
<!ENTITY yelp-md5sum "77d919335650ef0d114c951637669bda">
<!ENTITY yelp-size "639 KB">
<!ENTITY yelp-buildsize "9.1 MB">
<!ENTITY yelp-time "0.17 SBU">
]>
 
<sect1 id="yelp" xreflabel="Yelp-&yelp-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="yelp.html"?>
<title>Yelp-&yelp-version;</title>
 
<sect2>
<title>Introduction to <application>Yelp</application></title>
 
<para>The <application>Yelp</application> package contains the help browser.
This is useful for viewing help files.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&yelp-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&yelp-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &yelp-md5sum;</para></listitem>
<listitem><para>Download size: &yelp-size;</para></listitem>
<listitem><para>Estimated disk space required:
&yelp-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&yelp-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Yelp</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="libgtkhtml"/> and
<xref linkend="scrollkeeper"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="gnome-doc-utils"/> (required for <acronym>XSLT</acronym>
transformations)</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Yelp</application></title>
 
<para>Install <application>Yelp</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin \
--localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class='directory'>/var/lib/scrollkeeper</filename> instead of
<filename class='directory'>$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Yelp</application> package contains
<command>yelp</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>yelp</title>
<para><command>yelp</command> is the
<application><acronym>GNOME</acronym></application> help browser.</para>
</sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-keyring.xml
1,12 → 1,97
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-keyring-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/0.4/gnome-keyring-&gnome-keyring-version;.tar.bz2">
<!ENTITY gnome-keyring-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/0.4/gnome-keyring-&gnome-keyring-version;.tar.bz2">
<!ENTITY gnome-keyring-md5sum "683b422b77c56c3a125e7aa5c886c47e">
<!ENTITY gnome-keyring-size "345 KB">
<!ENTITY gnome-keyring-buildsize "5.5 MB">
<!ENTITY gnome-keyring-time "0.12 SBU">
]>
 
<sect1 id="gnome-keyring" xreflabel="gnome-keyring-&gnome-keyring-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-keyring.html"?>
<title>gnome-keyring-&gnome-keyring-version;</title>
 
&gnome-keyring-intro;
&gnome-keyring-inst;
&gnome-keyring-exp;
&gnome-keyring-desc;
<sect2>
<title>Introduction to <application>gnome-keyring</application></title>
 
<para>The <application>gnome-keyring</application> package contains a
daemon that keeps passwords and other secrets for users.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP):
<ulink url="&gnome-keyring-download-http;"/></para></listitem>
<listitem><para>Download (FTP):
<ulink url="&gnome-keyring-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-keyring-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-keyring-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-keyring-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-keyring-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>gnome-keyring</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>gnome-keyring</application></title>
 
<para>Install <application>gnome-keyring</application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/sbin &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--libexecdir=`pkg-config --variable=prefix
ORBit-2.0`/sbin</parameter>: This switch puts libexec files in
<filename class="directory">$GNOME_PREFIX/sbin</filename> instead of
<filename class="directory">$GNOME_PREFIX/libexec</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>gnome-keyring</application> package contains
<filename class="libraryfile">libgnome-keyring</filename> libraries,
<command>gnome-keyring-daemon</command> and
<command>gnome-keyring-ask</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnome-keyring libraries</title>
<para><filename class="libraryfile">gnome-keyring</filename> libraries
let other applications utilize the
<command>gnome-keyring-daemon</command>.</para></sect3>
 
<sect3><title>gnome-keyring-daemon</title>
<para><command>gnome-keyring-daemon</command> is a session daemon that
keeps passwords for users.</para></sect3>
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/core/gnome-desktop.xml
1,11 → 1,104
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-desktop-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/&gnome-version;/gnome-desktop-&gnome-desktop-version;.tar.bz2">
<!ENTITY gnome-desktop-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/&gnome-version;/gnome-desktop-&gnome-desktop-version;.tar.bz2">
<!ENTITY gnome-desktop-md5sum "47f9b9508c4a0349d66fa1138b521794">
<!ENTITY gnome-desktop-size "1.1 MB">
<!ENTITY gnome-desktop-buildsize "13.6 MB">
<!ENTITY gnome-desktop-time "0.19 SBU">
]>
 
<sect1 id="gnome-desktop" xreflabel="GNOME Desktop-&gnome-desktop-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gnome-desktop.html"?>
<title>GNOME Desktop-&gnome-desktop-version;</title>
 
&gnome-desktop-intro;
&gnome-desktop-inst;
&gnome-desktop-exp;
&gnome-desktop-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym> Desktop</application></title>
 
<para>The <application><acronym>GNOME</acronym> Desktop</application>
package contains <application><acronym>GNOME</acronym></application>'s
<filename>.desktop</filename> files, the <command>gnome-about</command>
program, man pages and <application><acronym>GNOME</acronym></application>'s
core graphics files and icons.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-desktop-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-desktop-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-desktop-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-desktop-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-desktop-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-desktop-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Desktop</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/> and <xref linkend="scrollkeeper"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="startup-notification"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Desktop</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Desktop</application> by
running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
puts configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Desktop</application> package
contains <filename class="libraryfile">libgnome-desktop-2</filename> libraries
and <command>gnome-about</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgnome-desktop libraries</title>
<para><filename class="libraryfile">libgnome-desktop</filename> libraries
contain <acronym>API</acronym>s being tested for inclusion in
<application>libgnome</application> or
<application>libgnomeui</application>.</para></sect3>
 
<sect3><title>gnome-about</title>
<para><command>gnome-about</command> produces the about screen.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/core/gail.xml
1,11 → 1,101
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gail-download-http "http://ftp.gnome.org/pub/GNOME/sources/gail/1.8/gail-&gail-version;.tar.bz2">
<!ENTITY gail-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gail/1.8/gail-&gail-version;.tar.bz2">
<!ENTITY gail-md5sum "58a0520361a47634f19ea271f5a5d8aa">
<!ENTITY gail-size "549 KB">
<!ENTITY gail-buildsize "18.6 MB">
<!ENTITY gail-time "0.53 SBU">
]>
 
<sect1 id="gail" xreflabel="GAIL-&gail-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:05:59 $</date>
</sect1info>
<?dbhtml filename="gail.html"?>
<title>GAIL-&gail-version;</title>
 
&gail-intro;
&gail-inst;
&gail-desc;
<sect2>
<title>Introduction to <application><acronym>GAIL</acronym></application></title>
 
<para>The <application><acronym>GAIL</acronym></application> package contains
the <application><acronym>GNOME</acronym></application> Accessibility
Implementation Libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gail-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gail-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gail-md5sum;</para></listitem>
<listitem><para>Download size: &gail-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gail-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gail-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GAIL</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomecanvas"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of
<application><acronym>GAIL</acronym></application></title>
 
<para>Install <application><acronym>GAIL</acronym></application> by running
the following commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<para><application><acronym>GTK</acronym>+</application> will look for the
<application><acronym>GAIL</acronym></application> modules in
<filename class='directory'>/usr/lib</filename> even if
<envar>$GNOME_PREFIX</envar> is <emphasis>NOT</emphasis>
<filename class='directory'>/usr</filename>. Create a symlink to
<envar>$GNOME_PREFIX</envar> to satisfy this requirement:</para>
 
<screen><userinput><command>ln -sf `pkg-config --variable=prefix ORBit-2.0`/lib/gtk-2.0/modules \
/usr/lib/gtk-2.0</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GAIL</acronym></application> package contains
<filename class="libraryfile">libgailutil</filename> libraries and
<application><acronym>GAIL</acronym></application>
<application><acronym>GTK</acronym>+</application> modules.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgailutil libraries</title>
<para><filename class="libraryfile">libgailutil</filename> libraries provide
the functions that solve accessibility problems in a consistent manner across
<application><acronym>GNOME</acronym></application>.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/libglade14/libglade14.ent
File deleted
/trunk/blfs/gnome/otherlibs/libglade14/libglade14-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/libglade14/libglade14-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/libglade14/libglade14-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/libglade14/libglade14-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gconf/gconf1-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gconf/gconf1-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gconf/gconf1.ent
File deleted
/trunk/blfs/gnome/otherlibs/gconf/gconf1-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/gtkhtml/gtkhtml1.ent
File deleted
/trunk/blfs/gnome/otherlibs/gtkhtml/gtkhtml1-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/gtkhtml/gtkhtml1-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/gtkhtml/gtkhtml1-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gtkhtml/gtkhtml1-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-libs/gnome-libs-config.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-libs/gnome-libs.ent
File deleted
/trunk/blfs/gnome/otherlibs/gnome-libs/gnome-libs-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-libs/gnome-libs-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-libs/gnome-libs-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/bonobo14/bonobo14.ent
File deleted
/trunk/blfs/gnome/otherlibs/bonobo14/bonobo14-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/bonobo14/bonobo14-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/bonobo14/bonobo14-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/bonobo14/bonobo14-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/orbit/orbit.ent
File deleted
/trunk/blfs/gnome/otherlibs/orbit/orbit-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/orbit/orbit-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/orbit/orbit-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gal/gal1-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/gal/gal1-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/gal/gal1-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gal/gal1-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gal/gal1.ent
File deleted
/trunk/blfs/gnome/otherlibs/oaf/oaf.ent
File deleted
/trunk/blfs/gnome/otherlibs/oaf/oaf-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/oaf/oaf-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/oaf/oaf-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-print/gnome-print.ent
File deleted
/trunk/blfs/gnome/otherlibs/gnome-print/gnome-print-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-print/gnome-print-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-print/gnome-print-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-print/gnome-print-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/guppi/guppi.ent
File deleted
/trunk/blfs/gnome/otherlibs/guppi/guppi-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/guppi/guppi-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/guppi/guppi-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/guppi/guppi-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/soup/soup.ent
File deleted
/trunk/blfs/gnome/otherlibs/soup/soup-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/soup/soup-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/soup/soup-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/soup/soup-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/libcapplet/libcapplet-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/libcapplet/libcapplet-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/libcapplet/libcapplet-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/libcapplet/libcapplet-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/libcapplet/libcapplet.ent
File deleted
/trunk/blfs/gnome/otherlibs/gnome-vfs/gnome-vfs1-config.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-vfs/gnome-vfs1.ent
File deleted
/trunk/blfs/gnome/otherlibs/gnome-vfs/gnome-vfs1-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-vfs/gnome-vfs1-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-vfs/gnome-vfs1-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gdk/gdk-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/gdk/gdk-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gdk/gdk.ent
File deleted
/trunk/blfs/gnome/otherlibs/gdk/gdk-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/libghttp/libghttp.ent
File deleted
/trunk/blfs/gnome/otherlibs/libghttp/libghttp-intro.xml
File deleted
/trunk/blfs/gnome/otherlibs/libghttp/libghttp-exp.xml
File deleted
/trunk/blfs/gnome/otherlibs/libghttp/libghttp-inst.xml
File deleted
/trunk/blfs/gnome/otherlibs/libghttp/libghttp-desc.xml
File deleted
/trunk/blfs/gnome/otherlibs/gnome-vfs1.xml
1,11 → 1,98
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="gnome-vfs1" xreflabel="GNOME Virtual File System-&gnome-vfs1-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-vfs1-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/1.0/gnome-vfs-&gnome-vfs1-version;.tar.bz2">
<!ENTITY gnome-vfs1-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-vfs/1.0/gnome-vfs-&gnome-vfs1-version;.tar.bz2">
<!ENTITY gnome-vfs1-md5sum "e2a17a6b178f54c43968241258f3e729">
<!ENTITY gnome-vfs1-size "768 KB">
<!ENTITY gnome-vfs1-buildsize "18 MB">
<!ENTITY gnome-vfs1-time "0.94 SBU">
]>
 
<sect1 id="gnome-vfs1"
xreflabel="GNOME Virtual File System-&gnome-vfs1-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gnome-vfs1.html"?>
<title>GNOME Virtual File System-&gnome-vfs1-version;</title>
<title><application><acronym>GNOME</acronym> Virtual File
System</application>-&gnome-vfs1-version;</title>
 
&gnome-vfs1-intro;
&gnome-vfs1-inst;
&gnome-vfs1-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym> Virtual
File System</application></title>
 
<para>The <application><acronym>GNOME</acronym> Virtual File
System</application> package contains file system libraries.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-vfs1-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-vfs1-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-vfs1-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-vfs1-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-vfs1-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-vfs1-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required Patch (if compiled using
<application><acronym>GCC</acronym></application>-3.4.x): <ulink
url="&patch-root;/gnome-vfs-&gnome-vfs1-version;-gcc34-1.patch"/></para>
</listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Virtual File
System</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-mime-data"/> and <xref linkend="gnome-libs"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="pkgconfig"/>,
<xref linkend="oaf"/>,
<xref linkend="GConf1"/>,
<xref linkend="bonobo14"/>,
<xref linkend="openssl"/>,
<xref linkend="cdparanoia"/>,
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym> Virtual
File System</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Virtual File
System</application> by running the following commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../gnome-vfs-&gnome-vfs1-version;-gcc34-1.patch &amp;&amp;
./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Virtual File
System</application> package contains
<filename class="libraryfile">libgnomevfs</filename> libraries.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/bonobo14.xml
1,12 → 1,83
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY bonobo14-download-http "http://ftp.gnome.org/pub/GNOME/sources/bonobo/1.0/bonobo-&bonobo14-version;.tar.bz2">
<!ENTITY bonobo14-download-ftp "http://ftp.gnome.org/pub/GNOME/sources/bonobo/1.0/bonobo-&bonobo14-version;.tar.bz2">
<!ENTITY bonobo14-md5sum "7718c374ed82911b24d95fa3ab55dda5">
<!ENTITY bonobo14-size "1.2 MB">
<!ENTITY bonobo14-buildsize "47 MB">
<!ENTITY bonobo14-time "1.69 SBU">
]>
 
<sect1 id="bonobo14" xreflabel="Bonobo-&bonobo14-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="bonobo14.html"?>
<title>Bonobo-&bonobo14-version;</title>
<title><application>Bonobo</application>-&bonobo14-version;</title>
 
&bonobo14-intro;
&bonobo14-inst;
&bonobo14-exp;
&bonobo14-desc;
<sect2>
<title>Introduction to <application>Bonobo</application></title>
 
<para>The <application>Bonobo</application> package contains a set of language
and system independent <acronym>CORBA</acronym> interfaces for creating
reusable components, controls and compound documents.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&bonobo14-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&bonobo14-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &bonobo14-md5sum;</para></listitem>
<listitem><para>Download size: &bonobo14-size;</para></listitem>
<listitem><para>Estimated disk space required:
&bonobo14-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&bonobo14-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Bonobo</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="oaf"/> and <xref linkend="gnome-print"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Bonobo</application></title>
 
<para>Install <application>Bonobo</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Installs
<application>Bonobo</application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Bonobo</application> package contains
<application><acronym>GNOME</acronym></application> 1.4 compound
document and component libraries.</para>
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/gal1.xml
1,11 → 1,90
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gal1-download-http "http://ftp.gnome.org/pub/GNOME/sources/gal/&gal1-version;/gal-&gal1-version;.tar.bz2">
<!ENTITY gal1-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gal/&gal1-version;/gal-&gal1-version;.tar.bz2">
<!ENTITY gal1-md5sum "9f9790d4e8763c4ce74e5d59f47aa509">
<!ENTITY gal1-size "1.0 MB">
<!ENTITY gal1-buildsize "48 MB">
<!ENTITY gal1-time "1.04 SBU">
]>
 
<sect1 id="gal1" xreflabel="GAL-&gal1-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gal1.html"?>
<title>GAL-&gal1-version;</title>
<title><application>GAL</application>-&gal1-version;</title>
 
&gal1-intro;
&gal1-inst;
&gal1-exp;
&gal1-desc;
<sect2>
<title>Introduction to <application><acronym>GAL</acronym></application></title>
 
<para>The <application><acronym>GAL</acronym></application> package contains
library functions that came from <application>Gnumeric</application> and
<application>Evolution</application>. <acronym>GAL</acronym> is short for
<application><acronym>GNOME</acronym></application> Application Libs.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gal1-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gal1-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gal1-md5sum;</para></listitem>
<listitem><para>Download size: &gal1-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gal1-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gal1-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GAL</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-print"/> and <xref linkend="libglade14"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gnome-vfs1"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GAL</acronym></application></title>
 
<para>Install <application><acronym>GAL</acronym></application> by running the
following commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Installs
<application><acronym>GAL</acronym></application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GAL</acronym></application> package contains
library routines pulled from the <application>Evolution</application> and
<application>Gnumeric</application> projects and repackaged as the
<filename class='directory'>libgal</filename> generic library.</para>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/otherlibs/guppi.xml
1,12 → 1,102
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY guppi-download-http "http://ftp.gnome.org/pub/GNOME/sources/Guppi/0.40/Guppi-&guppi-version;.tar.bz2">
<!ENTITY guppi-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/Guppi/0.40/Guppi-&guppi-version;.tar.bz2">
<!ENTITY guppi-md5sum "26ec6eb5b6fe7fb4e32ecff64d4f1b16">
<!ENTITY guppi-size "1.0 MB">
<!ENTITY guppi-buildsize "33 MB">
<!ENTITY guppi-time "1.35 SBU">
]>
 
<sect1 id="guppi" xreflabel="Guppi-&guppi-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="guppi.html"?>
<title>Guppi-&guppi-version;</title>
<title><application>Guppi</application>-&guppi-version;</title>
 
&guppi-intro;
&guppi-inst;
&guppi-exp;
&guppi-desc;
<sect2>
<title>Introduction to <application>Guppi</application></title>
 
<para>The <application>Guppi</application> package contains a
<application>Guile</application> scriptable plot program with
integrated statistics capabilities.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&guppi-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&guppi-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &guppi-md5sum;</para></listitem>
<listitem><para>Download size: &guppi-size;</para></listitem>
<listitem><para>Estimated disk space required:
&guppi-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&guppi-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required Patch (if compiled with
<application><acronym>GCC</acronym></application>-3.4.x): <ulink
url="&patch-root;/Guppi-&guppi-version;-gcc34-1.patch"/></para></listitem>
 
<listitem><para>Required Patch <ulink
url="&patch-root;/Guppi-&guppi-version;-legend_fix-1.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title><application>Guppi</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-print"/> and <xref linkend="libglade14"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="bonobo14"/>,
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Guppi</application></title>
 
<para>Install <application>Guppi</application> by running the following
commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../Guppi-&guppi-version;-gcc34-1.patch &amp;&amp;
patch -Np1 -i ../Guppi-&guppi-version;-legend_fix-1.patch &amp;&amp;
./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Installs
<application>Guppi</application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Guppi</application> package contains plotting libraries
and plugins for <application><acronym>GNOME</acronym></application> 1.4.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/soup.xml
1,12 → 1,106
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY soup-download-http "http://ftp.gnome.org/pub/GNOME/sources/soup/0.7/soup-&soup-version;.tar.bz2">
<!ENTITY soup-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/soup/0.7/soup-&soup-version;.tar.bz2">
<!ENTITY soup-md5sum "61bb2fef816ce164af62f8a3a5bd782e">
<!ENTITY soup-size "324 KB">
<!ENTITY soup-buildsize "9.4 MB">
<!ENTITY soup-time "0.27">
]>
 
<sect1 id="soup" xreflabel="Soup-&soup-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="soup.html"?>
<title>Soup-&soup-version;</title>
<title><application>Soup</application>-&soup-version;</title>
 
&soup-intro;
&soup-inst;
&soup-exp;
&soup-desc;
<sect2>
<title>Introduction to <application>Soup</application></title>
 
<para>The <application>Soup</application> package contains a
<acronym>SOAP</acronym> (Simple Object Access Protocol)
implementation in <application>C</application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&soup-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&soup-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &soup-md5sum;</para></listitem>
<listitem><para>Download size: &soup-size;</para></listitem>
<listitem><para>Estimated disk space required:
&soup-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&soup-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required Patch (if compiled with
<application><acronym>GCC</acronym></application>-3.4.x): <ulink
url="&patch-root;/soup-&soup-version;-gcc_3.4-1.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title><application>Soup</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="GLib"/> or <xref linkend="glib2"/>,
<xref linkend="libxml"/> or <xref linkend="libxml2"/> and
<xref linkend="popt"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="apache"/>,
<xref linkend="openssl"/> or
<xref linkend="mozilla"/> (for the <acronym>NSS</acronym> libraries),
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Soup</application></title>
 
<para>Install <application>Soup</application> by running the following
commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../soup-&soup-version;-gcc_3.4-1.patch &amp;&amp;
./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Installs
<application>Soup</application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
<para><parameter>--enable-apache=no</parameter>: This command can be added
to prevent building against <application>Apache</application>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Soup</application> package contains
<acronym>SOAP</acronym> libraries, used to implement
<acronym>XML</acronym> remote procedure calls.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/gtkhtml1.xml
1,11 → 1,110
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gtkhtml1-download-http "http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/1.1/gtkhtml-&gtkhtml1-version;.tar.bz2">
<!ENTITY gtkhtml1-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gtkhtml/1.1/gtkhtml-&gtkhtml1-version;.tar.bz2">
<!ENTITY gtkhtml1-md5sum "83cd60ab9a108d2a0d65b3bf760affa4">
<!ENTITY gtkhtml1-size "1.1 MB">
<!ENTITY gtkhtml1-buildsize "36 MB">
<!ENTITY gtkhtml1-time "1.51 SBU">
]>
 
<sect1 id="gtkhtml1" xreflabel="GtkHTML-&gtkhtml1-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gtkhtml1.html"?>
<title>GtkHTML-&gtkhtml1-version;</title>
<title><application>
<acronym>Gtk</acronym><acronym>HTML</acronym></application>-&gtkhtml1-version;
</title>
 
&gtkhtml1-intro;
&gtkhtml1-inst;
&gtkhtml1-exp;
&gtkhtml1-desc;
<sect2>
<title>Introduction to
<application><acronym>Gtk</acronym><acronym>HTML</acronym></application></title>
 
<para>The
<application><acronym>Gtk</acronym><acronym>HTML</acronym></application>
package contains a lightweight <acronym>HTML</acronym>
rendering/printing/editing engine.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gtkhtml1-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gtkhtml1-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gtkhtml1-md5sum;</para></listitem>
<listitem><para>Download size: &gtkhtml1-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gtkhtml1-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gtkhtml1-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required Patch (if compiled with
<application><acronym>GCC</acronym></application>-3.4.x): <ulink
url="&patch-root;/gtkhtml-&gtkhtml1-version;-gcc34-1.patch"/></para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title><application>
<acronym>Gtk</acronym><acronym>HTML</acronym></application>
dependencies</title>
 
<sect4><title>Required</title>
<para><xref linkend="gal1"/> and <xref linkend="libcapplet"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="GConf1"/>,
<xref linkend="soup"/>,
<xref linkend="bonobo14"/>,
<xref linkend="libghttp"/> and
<xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of
<application><acronym>Gtk</acronym><acronym>HTML</acronym></application></title>
 
<para>Install
<application><acronym>Gtk</acronym><acronym>HTML</acronym></application> by
running the following commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../gtkhtml-&gtkhtml1-version;-gcc34-1.patch &amp;&amp;
./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Install
<application><acronym>Gtk</acronym><acronym>HTML</acronym></application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The
<application><acronym>Gtk</acronym><acronym>HTML</acronym></application>
package contains the <application><acronym>GNOME</acronym></application> 1.4
<acronym>HTML</acronym> rendering engine.</para>
 
</sect2>
 
</sect1>
/trunk/blfs/gnome/otherlibs/otherlibs.xml
1,30 → 1,36
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="gnome-otherlibs">
<?dbhtml filename="otherlibs.html"?>
<title>Bibliothèques GNOME 1.4</title>
<title><application><acronym>GNOME</acronym></application> 1.4 Libraries</title>
 
<para>Cette section contient les bibliothèques supplémentaires de
<application><acronym>GNOME</acronym></application> 1.4, nécessaires pour
quelques applications qui n'ont pas encore été porté vers
<application><acronym>GNOME</acronym></application> 2.x. Aucune de ces
bibliothèques n'est nécessaire pour l'installation d'un environnement de bureau
<application><acronym>GNOME</acronym></application>.
</para>
<para>This section contains additional
<application><acronym>GNOME</acronym></application> 1.4 libraries, needed by
some applications that have not yet been ported to
<application><acronym>GNOME</acronym></application> 2.x. None of
these libraries are needed for a
<application><acronym>GNOME</acronym></application> desktop install.</para>
 
&gnome-otherlibs-config;
&ORBit;
&oaf;
&gnome-libs;
&gdk;
&gnome-print;
&bonobo14;
&GConf1;
&gnome-vfs1;
&libglade14;
&gal1;
&guppi;
&libcapplet;
&soup;
&gtkhtml1;
&libghttp;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="otherlibs-config.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="orbit.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="oaf.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-libs.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gdk.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-print.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="bonobo14.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gconf1.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnome-vfs1.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libglade14.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gal1.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="guppi.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libcapplet.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="soup.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="libghttp.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gtkhtml1.xml"/>
 
</chapter>
/trunk/blfs/gnome/otherlibs/gnome-libs.xml
1,12 → 1,136
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-libs-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-libs/1.4/gnome-libs-&gnome-libs-version;.tar.bz2">
<!ENTITY gnome-libs-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-libs/1.4/gnome-libs-&gnome-libs-version;.tar.bz2">
<!ENTITY gnome-libs-md5sum "6111e91b143a90afb30f7a8c1e6cbbd6">
<!ENTITY gnome-libs-size "2.8 MB">
<!ENTITY gnome-libs-buildsize "70.3 MB">
<!ENTITY gnome-libs-time "1.51 SBU">
]>
 
<sect1 id="gnome-libs" xreflabel="GNOME Libraries-&gnome-libs-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gnome-libs.html"?>
<title>GNOME Libraries-&gnome-libs-version;</title>
<title><application><acronym>GNOME</acronym>
Libraries</application>-&gnome-libs-version;</title>
 
&gnome-libs-intro;
&gnome-libs-inst;
&gnome-libs-config;
&gnome-libs-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Libraries</application></title>
 
<para>The <application><acronym>GNOME</acronym> Libraries</application>
package contains the <application><acronym>GNOME</acronym></application>
libraries. This is useful as a foundation for the
<application><acronym>GNOME</acronym></application> Desktop and
applications.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-libs-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-libs-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-libs-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-libs-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-libs-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-libs-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Libraries</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="ORBit"/>,
<xref linkend="GTK"/>,
<xref linkend="imlib"/> and
<xref linkend="db"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="audiofile"/>,
<xref linkend="esound"/> and
<xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Libraries</application></title>
 
<para>Install <application><acronym>GNOME</acronym> Libraries</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Configuring <application><acronym>GNOME</acronym>
Libraries</application></title>
 
<sect3><title>Config files</title>
<para><filename>/opt/gnome/etc/mime-magic</filename>,
<filename>/opt/gnome/etc/paper.config</filename>,
<filename>/opt/gnome/etc/sound/events/gnome.soundlist</filename> and
<filename>/opt/gnome/etc/sound/events/gtk-events.soundlist</filename></para>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Libraries</application>
package contains <filename class="libraryfile">libgnome</filename>,
<filename class="libraryfile">libgnomeui</filename>,
<filename class="libraryfile">libgnomesupport</filename>,
<filename class="libraryfile">libart_lgpl</filename>,
<filename class="libraryfile">libgtkxmhtml</filename>,
<filename class="libraryfile">libgnorba</filename>,
<filename class="libraryfile">libgnorbagtk</filename> and
<filename class="libraryfile">libzvt</filename> libraries, along with
many support programs.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgnome</title>
<para><filename class="libraryfile">libgnome</filename> library is the
non-<acronym>GUI</acronym> part of the
<application><acronym>GNOME</acronym></application> library.</para></sect3>
 
<sect3><title>libgnomeui</title>
<para><filename class="libraryfile">libgnomeui</filename> is the
<acronym>GUI</acronym> part of the
<application><acronym>GNOME</acronym></application> library.</para></sect3>
 
<sect3><title>libart_lgpl</title>
<para><filename class="libraryfile">libart_lgpl</filename> library is the
<acronym>LGPL</acronym> component of libart.</para></sect3>
 
<sect3><title>libgnorbagtk</title>
<para><filename class="libraryfile">libgnorbagtk</filename> is the
<application><acronym>GNOME</acronym></application>
<acronym>CORBA</acronym> <acronym>GTK</acronym> framework.</para></sect3>
 
<sect3><title>libzvt</title>
<para><filename class="libraryfile">libzvt</filename> library provides
the functions necessary to emulate <command>xterm</command>.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/otherlibs-config.xml
1,35 → 1,45
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<sect1 id="gnome-otherlib-config">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="otherlib-config.html"?>
<title>Configuration de pré-installation</title>
<title>Pre-installation configuration</title>
 
<para>Ajoutez à votre profile personnel ou système:</para>
<para>Add to your system or personal profile:</para>
 
<screen><command>export PATH=$PATH:/opt/gnome/bin
export PKG_CONFIG_PATH=$PKG_CONFIG_PATH:/opt/gnome/lib/pkgconfig
export GNOME_LIBCONFIG_PATH=/usr/lib</command></screen>
 
<para>Ajoutez à votre fichier <filename>/etc/ld.so.conf</filename>:</para>
<para>Add to your <filename>/etc/ld.so.conf</filename>:</para>
 
<screen><userinput><command>cat &gt;&gt; /etc/ld.so.conf &lt;&lt; "EOF"</command>
# Début ajout gnome à /etc/ld.so.conf
# Begin gnome addition to /etc/ld.so.conf
 
/opt/gnome/lib
 
# Fin ajout gnome
# End gnome addition
<command>EOF</command></userinput></screen>
 
<para>Rappellez-vous d'exécuter <command>ldconfig</command> après avoir installé
des bibliothèques pour mettre à jour le cache.</para>
<para>Remember to execute <command>ldconfig</command> after installation of
libraries to update the library cache.</para>
 
<para>Ajoutez à votre fichier <filename>/etc/man.conf</filename>:</para>
<para>Add to your <filename>/etc/man.conf</filename>:</para>
 
<screen><userinput><command>cat &gt;&gt; /etc/man.conf &lt;&lt; "EOF"</command>
# Début ajout gnome à man.conf
# Begin gnome addition to man.conf
 
MANPATH /opt/gnome/man
 
# Fin ajout gnome
# END gnome addition to man.conf
<command>EOF</command></userinput></screen>
 
</sect1>
/trunk/blfs/gnome/otherlibs/gnome-print.xml
1,12 → 1,117
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnome-print-download-http "http://ftp.linux.org.uk/mirrors/ftp.gnome.org/sources/gnome-print/0.37/gnome-print-&gnome-print-version;.tar.bz2">
<!ENTITY gnome-print-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-print/0.37/gnome-print-&gnome-print-version;.tar.bz2">
<!ENTITY gnome-print-md5sum "f9e13f4f17b04baceec1cdeed0f88eae">
<!ENTITY gnome-print-size "756 KB">
<!ENTITY gnome-print-buildsize "19 MB">
<!ENTITY gnome-print-time "0.61">
]>
 
<sect1 id="gnome-print" xreflabel="GNOME Print-&gnome-print-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gnome-print.html"?>
<title>GNOME Print-&gnome-print-version;</title>
<title><application><acronym>GNOME</acronym>
Print</application>-&gnome-print-version;</title>
 
&gnome-print-intro;
&gnome-print-inst;
&gnome-print-exp;
&gnome-print-desc;
<sect2>
<title>Introduction to <application><acronym>GNOME</acronym>
Print</application></title>
 
<para>The <application><acronym>GNOME</acronym> Print</application> package
contains the <application><acronym>GNOME</acronym></application> Printing
Architecture, for <application><acronym>GNOME</acronym></application>
1.4.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnome-print-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnome-print-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnome-print-md5sum;</para></listitem>
<listitem><para>Download size: &gnome-print-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnome-print-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnome-print-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
<listitem><para>Required Patch: <ulink
url="&patch-root;/gnome-print-&gnome-print-version;-ft217_fixes-1.patch"/>
</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GNOME</acronym> Print</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gdk"/>,
<xref linkend="gnome-libs"/> and
<xref linkend="libxml"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GNOME</acronym>
Print</application></title>
 
<!-- Current versions of libxml install this xmlConf.sh file in /usr/lib now.
This apparently is good enough for GNOME Print as configure finds libxml
with no problems now. -Randy
 
<para>The <command>configure</command> script does not correctly
interpret that <application>libxml</application>-&libxml-version; is
newer than <application>libxml</application>-1.8.8. This can be solved
by building <filename>xmlConf.sh</filename> with this command:</para>
 
<screen><userinput><command>cat &gt; /opt/gnome/lib/xmlConf.sh &lt;&lt; EOF</command>
XML_LIBDIR="-L/usr/lib"
XML_LIBS="-lxml"
XML_INCLUDEDIR="-I/usr/include/gnome-xml"
MODULE_VERSION=xml-&libxml-version;
<command>EOF</command></userinput></screen>
 
-->
 
<para>Install <application><acronym>GNOME</acronym> Print</application> by
running the following commands:</para>
 
<screen><userinput><command>patch -Np1 -i ../gnome-print-&gnome-print-version;-ft217_fixes-1.patch &amp;&amp;
./configure --prefix=/opt/gnome --with-zlib=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--with-zlib=/usr</parameter>: Configure
<application><acronym>GNOME</acronym> Print</application> to use the system
installed <application>zlib</application>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GNOME</acronym> Print</application> package
contains <command>gnome-font-install</command>,
<application><acronym>GNOME</acronym></application> 1.4 printing libraries and
various font databases.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/oaf.xml
1,10 → 1,81
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY oaf-download-http "http://ftp.gnome.org/pub/GNOME/sources/oaf/0.6/oaf-&oaf-version;.tar.bz2">
<!ENTITY oaf-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/oaf/0.6/oaf-&oaf-version;.tar.bz2">
<!ENTITY oaf-md5sum "ed9aa2ceb70bba34034b3134b22d2729">
<!ENTITY oaf-size "432 KB">
<!ENTITY oaf-buildsize "6.6 MB">
<!ENTITY oaf-time "0.23">
]>
 
<sect1 id="oaf" xreflabel="OAF-&oaf-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="oaf.html"?>
<title>OAF-&oaf-version;</title>
<title><application><acronym>OAF</acronym></application>-&oaf-version;</title>
 
&oaf-intro;
&oaf-inst;
&oaf-desc;
<sect2>
<title>Introduction to <application><acronym>OAF</acronym></application></title>
 
<para>The <application><acronym>OAF</acronym></application> package contains
the Object Activation Framework for
<application><acronym>GNOME</acronym></application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&oaf-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&oaf-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &oaf-md5sum;</para></listitem>
<listitem><para>Download size: &oaf-size;</para></listitem>
<listitem><para>Estimated disk space required:
&oaf-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&oaf-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>OAF</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="ORBit"/>,
<xref linkend="libxml"/> and
<xref linkend="popt"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>OAF</acronym></application></title>
 
<para>Install <application><acronym>OAF</acronym></application> by running the
following commands:</para>
 
<screen><userinput><command>ldconfig &amp;&amp;
./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>OAF</acronym></application> package
contains <filename class="libraryfile">liboaf</filename> libraries.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/gdk.xml
1,11 → 1,96
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gdk-download-http "http://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.22/gdk-pixbuf-&gdk-version;.tar.bz2">
<!ENTITY gdk-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gdk-pixbuf/0.22/gdk-pixbuf-&gdk-version;.tar.bz2">
<!ENTITY gdk-md5sum "05fcb68ceaa338614ab650c775efc2f2">
<!ENTITY gdk-size "396 KB">
<!ENTITY gdk-buildsize "8.9 MB">
<!ENTITY gdk-time "0.32 SBU">
]>
 
<sect1 id="gdk" xreflabel="GDK Pixel Buffer-&gdk-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gdkpixbuf.html"?>
<title>GDK Pixel Buffer-&gdk-version;</title>
<title><application>GDK Pixel Buffer</application>-&gdk-version;</title>
 
&gdk-intro;
&gdk-inst;
&gdk-desc;
<sect2>
<title>Introduction to <application><acronym>GDK</acronym> Pixel
Buffer</application></title>
 
<para>The <application><acronym>GDK</acronym> Pixel Buffer</application>
package is the <acronym>GTK</acronym>+ pixel buffer library.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gdk-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gdk-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gdk-md5sum;</para></listitem>
<listitem><para>Download size: &gdk-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gdk-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gdk-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GDK</acronym> Pixel Buffer</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="GTK"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gnome-libs"/>,
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GDK</acronym> Pixel
Buffer</application></title>
 
<para>The <command>make</command> command attempts to open an
<application>X</application> display during the compile, so an
<application>X</application> server must be running during this process.</para>
 
<para>Install <application><acronym>GDK</acronym> Pixel Buffer</application>
by running the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>GDK</acronym> Pixel Buffer</application>
package contains <filename class="libraryfile">libgdk_pixbuf</filename>
and <filename class='libraryfile'>libgnomecanvaspixbuf</filename> libraries,
along with many gdk-pixbuf loader modules.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgdk_pixbuf libraries</title>
<para><filename class="libraryfile">libdgk_pixbuf</filename> libraries
contain the <acronym>GTK</acronym>+ pixel buffer libraries for the
<application><acronym>GIMP</acronym></application> Toolkit.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/libglade14.xml
1,12 → 1,92
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libglade14-download-http "http://ftp.gnome.org/pub/GNOME/sources/libglade/0.17/libglade-&libglade14-version;.tar.gz">
<!ENTITY libglade14-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libglade/0.17/libglade-&libglade14-version;.tar.gz">
<!ENTITY libglade14-md5sum "38b2e2cfd813783fe157617813bfe3b3">
<!ENTITY libglade14-size "416 KB">
<!ENTITY libglade14-buildsize "5.8 MB">
<!ENTITY libglade14-time "0.22 SBU">
]>
 
<sect1 id="libglade14" xreflabel="libglade-&libglade14-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="libglade14.html"?>
<title>libglade-&libglade14-version;</title>
<title><application>libglade</application>-&libglade14-version;</title>
 
&libglade14-intro;
&libglade14-inst;
&libglade14-exp;
&libglade14-desc;
<sect2>
<title>Introduction to <application>libglade</application></title>
 
<para>The <application>libglade</application> package contains libraries which
allow applications to load Glade interface files at runtime.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libglade14-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libglade14-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libglade14-md5sum;</para></listitem>
<listitem><para>Download size: &libglade14-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libglade14-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libglade14-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libglade</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libxml"/> and <xref linkend="GTK"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gnome-libs"/>,
<xref linkend="bonobo14"/>,
<xref linkend="python"/> and
<xref linkend="gtk-doc"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libglade</application></title>
 
<para>The <command>make</command> command attempts to open an
<application>X</application> display during the compile, so an
<application>X</application> server must be running during this
process.</para>
 
<para>Install <application>libglade</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome --disable-gtk-doc &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><option>--enable-bonobo</option>: Enables
<application>Bonobo</application> support.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libglade</application> package contains
<application>Glade</application> interface file loading libraries.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/libghttp.xml
1,12 → 1,78
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libghttp-download-http "http://ftp.gnome.org/pub/GNOME/sources/libghttp/1.0/libghttp-&libghttp-version;.tar.gz">
<!ENTITY libghttp-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libghttp/1.0/libghttp-&libghttp-version;.tar.gz">
<!ENTITY libghttp-md5sum "0690e7456f9a15c635f240f3d6d5dab2">
<!ENTITY libghttp-size "148 KB">
<!ENTITY libghttp-buildsize "1.8 MB">
<!ENTITY libghttp-time "0.05 SBU">
]>
 
<sect1 id="libghttp" xreflabel="libghttp-&libghttp-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="libghttp.html"?>
<title>libghttp-&libghttp-version;</title>
<title><application>libghttp</application>-&libghttp-version;</title>
 
&libghttp-intro;
&libghttp-inst;
&libghttp-exp;
&libghttp-desc;
<sect2>
<title>Introduction to <application>libghttp</application></title>
 
<para>The <application>libghttp</application> package contains a
<application><acronym>GNOME</acronym></application> 1.4
<acronym>HTTP</acronym> client library.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libghttp-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libghttp-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libghttp-md5sum;</para></listitem>
<listitem><para>Download size: &libghttp-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libghttp-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libghttp-time;</para></listitem></itemizedlist>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libghttp</application></title>
 
<para>Install <application>libghttp</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Installs
<application>libghttp</application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libghttp</application> package contains a
<application><acronym>GNOME</acronym></application> 1.4
<acronym>HTTP</acronym> client library.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/gconf1.xml
1,11 → 1,102
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY GConf1-download-http "http://ftp.gnome.org/pub/GNOME/sources/GConf/1.0/GConf-&GConf1-version;.tar.bz2">
<!ENTITY GConf1-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/GConf/1.0/GConf-&GConf1-version;.tar.bz2">
<!ENTITY GConf1-md5sum "613aea1d9b7a9c504f52217451c7bf99">
<!ENTITY GConf1-size "772 KB">
<!ENTITY GConf1-buildsize "15 MB">
<!ENTITY GConf1-time "0.36">
]>
 
<sect1 id="GConf1" xreflabel="GConf-&GConf1-version;">
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="gconf1.html"?>
<title>GConf-&GConf1-version;</title>
<title><application>GConf</application>-&GConf1-version;</title>
 
&GConf1-intro;
&GConf1-inst;
&GConf1-desc;
<sect2>
<title>Introduction to <application>GConf</application></title>
 
<para>The <application>GConf</application> package contains a configuration
database system.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&GConf1-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&GConf1-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &GConf1-md5sum;</para></listitem>
<listitem><para>Download size: &GConf1-size;</para></listitem>
<listitem><para>Estimated disk space required:
&GConf1-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&GConf1-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing="compact">
<listitem><para>Required patch for Berkeley DB: <ulink
url="&patch-root;/GConf-&GConf1-version;-db43-2.patch"/></para>
</listitem></itemizedlist>
</sect3>
 
<sect3><title><application>GConf</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="oaf"/> and <xref linkend="popt"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="GTK"/>,
<xref linkend="db"/> and
<xref linkend="guile"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GConf</application></title>
 
<para>If you have Berkeley DB installed apply the following
patch:</para>
 
<screen><userinput><command>patch -Np1 -i ../GConf-&GConf1-version;-db43-2.patch</command></userinput></screen>
 
<para>Install <application>GConf</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GConf</application> package contains
<command>gconf-config</command>,
<command>gconfd-1</command>,
<command>gconftool-1</command>,
<command>gconf-sanity-check-1</command> and
<filename>libgconf</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libgconf libraries</title>
<para><filename>libgconf</filename> libraries provide the functions necessary
to maintain the configuration database.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/orbit.xml
1,11 → 1,105
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY ORBit-download-http "http://ftp.gnome.org/pub/GNOME/sources/ORBit/0.5/ORBit-&ORBit-version;.tar.bz2">
<!ENTITY ORBit-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/ORBit/0.5/ORBit-&ORBit-version;.tar.bz2">
<!ENTITY ORBit-md5sum "35acc6f8d49d930b566104fcceb893d3">
<!ENTITY ORBit-size "1 MB">
<!ENTITY ORBit-buildsize "29.1 MB">
<!ENTITY ORBit-time "0.61 SBU">
]>
 
<sect1 id="ORBit" xreflabel="ORBit-&ORBit-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="ORBit.html"?>
<title>ORBit-&ORBit-version;</title>
<title><application>
<acronym>ORB</acronym>it</application>-&ORBit-version;</title>
 
&ORBit-intro;
&ORBit-inst;
&ORBit-desc;
<sect2>
<title>Introduction to
<application><acronym>ORB</acronym>it</application></title>
 
<para>The <application><acronym>ORB</acronym>it</application> package contains
a high-performance <acronym>CORBA</acronym> Object Request Broker. This allows
programs to send requests and receive replies from other programs.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&ORBit-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&ORBit-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &ORBit-md5sum;</para></listitem>
<listitem><para>Download size: &ORBit-size;</para></listitem>
<listitem><para>Estimated disk space required:
&ORBit-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&ORBit-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>ORB</acronym>it</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="GLib"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="tcpwrappers"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>ORB</acronym>it</application>
</title>
 
<para>Install <application><acronym>ORB</acronym>it</application> by running
the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application><acronym>ORB</acronym>it</application> package contains
<filename class="libraryfile">libIDL</filename>,
<filename class="libraryfile">libIIOP</filename>,
<filename class="libraryfile">libORBit</filename>,
<filename class="libraryfile">libORBitCosNaming</filename> and
<filename class="libraryfile">libORBitutil</filename> libraries.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>libIDL</title>
<para><filename class="libraryfile">libIDL</filename> library is the Interface
Definition Language mappings for CORBA.</para></sect3>
 
<sect3><title>libIIOP</title>
<para><filename class="libraryfile">libIIOP</filename> library is for low level
CORBA communications.</para></sect3>
 
<sect3><title>libORBit</title>
<para><filename class="libraryfile">libORBit</filename> library is the CORBA
API.</para></sect3>
 
<sect3><title>libORBitutil</title>
<para><filename class="libraryfile">libORBitutil</filename> library
contains the convenience routines for ORBit.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/otherlibs/libcapplet.xml
1,12 → 1,86
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY libcapplet-download-http "http://ftp.gnome.org/pub/GNOME/sources/libcapplet/1.5/libcapplet-&libcapplet-version;.tar.bz2">
<!ENTITY libcapplet-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/libcapplet/1.5/libcapplet-&libcapplet-version;.tar.bz2">
<!ENTITY libcapplet-md5sum "c6ba2bd6a08d82cba6b2b5360baab23c">
<!ENTITY libcapplet-size "312 KB">
<!ENTITY libcapplet-buildsize "2.8 MB">
<!ENTITY libcapplet-time "0.06 SBU">
]>
 
<sect1 id="libcapplet" xreflabel="libcapplet-&libcapplet-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-16 06:06:00 $</date>
</sect1info>
<?dbhtml filename="libcapplet.html"?>
<title>libcapplet-&libcapplet-version;</title>
<title><application>libcapplet</application>-&libcapplet-version;</title>
 
&libcapplet-intro;
&libcapplet-inst;
&libcapplet-exp;
&libcapplet-desc;
<sect2>
<title>Introduction to <application>libcapplet</application></title>
 
<para>The <application>libcapplet</application> package contains a control
panel applet library.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&libcapplet-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&libcapplet-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &libcapplet-md5sum;</para></listitem>
<listitem><para>Download size: &libcapplet-size;</para></listitem>
<listitem><para>Estimated disk space required:
&libcapplet-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&libcapplet-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>libcapplet</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gnome-libs"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="pkgconfig"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>libcapplet</application></title>
 
<para>Install <application>libcapplet</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>: Installs
<application>libcapplet</application> in the
<application><acronym>GNOME</acronym></application> 1.4 directory
structure.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>libcapplet</application> package contains a control
panel applet library.</para>
 
</sect2>
 
</sect1>
 
/trunk/blfs/gnome/gnome-intro.xml
1,4 → 1,10
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../general.ent">
%general-entities;
]>
 
<partintro>
<title>Introduction à <application><acronym>GNOME</acronym></application></title>